Bug 75394 - System hangs randomly with error message: [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle
Summary: System hangs randomly with error message: [drm:i915_hangcheck_elapsed] *ERROR...
Status: CLOSED WORKSFORME
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-23 08:05 UTC by Diego Viola
Modified: 2017-05-22 09:22 UTC (History)
9 users (show)

See Also:
i915 platform: G45, SNB
i915 features: GPU hang


Attachments
dmidecode (6.75 KB, text/plain)
2014-02-23 08:08 UTC, Diego Viola
no flags Details
lshw (12.97 KB, text/plain)
2014-02-23 08:08 UTC, Diego Viola
no flags Details
Output of dmidecode (19.64 KB, text/plain)
2014-12-16 02:37 UTC, Chris
no flags Details
Output of lshw (19.08 KB, text/plain)
2014-12-16 02:39 UTC, Chris
no flags Details
dmesg output drm.debug=0x06 (127.35 KB, text/plain)
2015-01-14 02:01 UTC, Michael
no flags Details
dmesg output drm.debug=0x06 (77.17 KB, text/plain)
2015-01-14 14:07 UTC, Chris
no flags Details
Output in syslog showing drm.debug messages during and after forced reboot from lockup (215.52 KB, text/plain)
2015-01-14 17:19 UTC, Chris
no flags Details
output of lshw after upgrading BIOS from Dell A03 to A15 (19.08 KB, text/plain)
2015-01-15 15:07 UTC, Chris
no flags Details
dmidecode_dell760 (19.71 KB, text/plain)
2015-01-16 14:26 UTC, Christian Egger
no flags Details
dmesg output drm.debug=0x06 (85.35 KB, text/plain)
2015-01-20 22:01 UTC, Chris
no flags Details
dmesg output drm.debug=0x06 (78.31 KB, text/plain)
2015-02-15 01:35 UTC, Chris
no flags Details
dmesg output drm.debug=0x06 (94.74 KB, text/plain)
2015-02-19 14:07 UTC, Chris
no flags Details
Xorg.1.log from logging in to terminal after lockup (20.17 KB, text/plain)
2015-02-19 14:08 UTC, Chris
no flags Details
kern.log from 10 May 2015 lockup (15.11 KB, text/plain)
2015-05-16 12:48 UTC, Chris
no flags Details
kern.log from 13 May 2015 lockup (316.41 KB, text/plain)
2015-05-16 12:48 UTC, Chris
no flags Details
Xorg.0.log from 10 May lockup (21.73 KB, text/plain)
2015-05-16 12:49 UTC, Chris
no flags Details
Xorg.0.log from 13 May lockup (21.73 KB, text/plain)
2015-05-16 12:49 UTC, Chris
no flags Details
Screeshot showing video issue (2.45 MB, image/png)
2015-09-07 01:03 UTC, Chris
no flags Details
dmesg (Arch Linux 4.1.6-1-ARCH) (27.53 KB, text/plain)
2015-09-14 19:41 UTC, Augusto Fraga Giachero
no flags Details
Kern.log from 15 Sept 2015 freeze (114.41 KB, text/plain)
2015-09-17 00:27 UTC, Chris
no flags Details
Xorg.0.log from 15 Sept freeze (21.70 KB, text/plain)
2015-09-17 00:28 UTC, Chris
no flags Details
Syslog from 28 Sept freeze showing processes continuing to run until reboot. (52.59 KB, application/x-xz)
2015-09-29 00:47 UTC, Chris
no flags Details
Screenshot showing choppiness of desktop background after boot. Logging out and back in clears it up. (88.73 KB, image/png)
2015-10-01 17:02 UTC, Chris
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Viola 2014-02-23 08:05:35 UTC
System environment:

-- chipset: i915
-- system architecture: x86_64
-- xf86-video-intel: 2.99.910-1
-- xorg-server: 1.15.0-5
-- mesa: 10.0.3-1
-- libdrm: 2.4.52-1
-- kernel: 3.13.4-1-ARCH
-- Linux distribution: Arch Linux (x86_64)
-- Machine or mobo model: POSITIVO (POS-ECIG41BS) -- I think this might be a rebranded motherboard. Full dmidecode attached for more information.
-- Display connector: VGA

Reproducing steps:

I can't reproduce the issue at will, the hang happens randomly.

Additional info:

I'm not sure if this error message is the exact cause of the hang, or if there might be another cause.

I've Googled and there are some people experiencing the same hang issue with this same error message, so I assume the problem is the same.

https://bugs.archlinux.org/task/34611

Thanks.
Comment 1 Diego Viola 2014-02-23 08:08:03 UTC
Created attachment 94593 [details]
dmidecode
Comment 2 Diego Viola 2014-02-23 08:08:18 UTC
Created attachment 94594 [details]
lshw
Comment 3 Diego Viola 2014-02-23 08:09:38 UTC
[diego@myhost ~]$ uname -a
Linux myhost 3.13.4-1-ARCH #1 SMP PREEMPT Thu Feb 20 23:54:52 CET 2014 x86_64 GNU/Linux
[diego@myhost ~]$
Comment 4 Andre Robatino 2014-06-21 05:18:28 UTC
I've seen this twice on a newly acquired refurbished Lenovo 7630AF3 running Fedora 20 x86_64. The display freezes, but I can get to a VT. The message in the Summary is the last line in dmesg output. The first time, I tried to restart X and the system hung completely and I had to hard power off. The second time, I immediately rebooted (successfully). It was about a week between the two occurrences.

Machine: Lenovo 7630AF3
Motherboard: Lenovo MTQ45NK
Display: first occurrence with VGA, 2nd with HDMI
kernel-3.14.8-200.fc20.x86_64
xorg-x11-server-common-1.14.4-9.fc20.x86_64
libdrm-2.4.54-1.fc20.x86_64
mesa-dri-drivers-10.1.5-1.20140607.fc20.x86_64
Comment 5 Andre Robatino 2014-07-11 19:29:44 UTC
This may be a duplicate of https://bugs.freedesktop.org/show_bug.cgi?id=54226 .
Comment 6 Guo Jinxian 2014-07-16 03:42:23 UTC
This bug is able to reproduce on latest -nightly(2a38e1bcd4dc9523cd723291340226d139bece1b)

[root@x-pk5 tests]# ./gem_hangcheck_forcewake
IGT-Version: 1.7-g3f50598 (x86_64) (Linux: 3.16.0-rc5_drm-intel-nightly_2a38e1_20140715+ x86_64)
filling ring
waiting
done waiting, check dmesg
[root@x-pk5 tests]# dmesg -r|egrep "<[1-3]>"|grep drm
<3>[14464.643562] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... bsd ring idle
Comment 7 Guo Jinxian 2014-08-27 06:34:05 UTC
This failure still able to reproduce on latest -nightly(c30b73ce7c138b5fd671ed3a7e1301bd273fd661) on PNV

[root@x-pk5 tests]# ./gem_basic --run-subtest bad-close
IGT-Version: 1.7-g50166d2 (x86_64) (Linux: 3.17.0-rc2_drm-intel-nightly_c30b73_20140827+ x86_64)
Testing error return on bad close ioctl.
Subtest bad-close: SUCCESS
[root@x-pk5 tests]# dmesg -r|egrep "<[1-4]>"|grep drm
<3>[ 1321.805951] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... bsd ring idle
<3>[ 1321.829976] [drm:ibx_irq_handler] *ERROR* PCH transcoder B FIFO underrun
Comment 8 Chris Wilson 2014-09-16 07:54:11 UTC
(In reply to comment #7)
> This failure still able to reproduce on latest
> -nightly(c30b73ce7c138b5fd671ed3a7e1301bd273fd661) on PNV

That's interesting as PNV does not even have a BSD ring...
Comment 9 Chris 2014-12-16 02:35:11 UTC
I'm also experiencing this same bug on my Ubuntu 14.04.1 LTS system. This seemed to have started on 13 September 2014. The kernel in use at that time was:

Linux version 3.13.0-36-generic (buildd@toyol) (gcc version 4.8.2 (Ubuntu 4.8.2-19ubuntu1) ) #63-Ubuntu SMP Wed Sep 3 21:30:07 UTC 2014 (Ubuntu 3.13.0-36.63-generic 3.13.11.6)

Has continued through these kernel versions:

Linux version 3.13.0-37-generic (buildd@kapok) (gcc version 4.8.2 (Ubuntu 4.8.2-19ubuntu1) ) #64-Ubuntu SMP Mon Sep 22 21:28:38 UTC 2014 (Ubuntu 3.13.0-37.64-generic 3.13.11.7)

Linux version 3.13.0-39-generic (buildd@toyol) (gcc version 4.8.2 (Ubuntu 4.8.2-19ubuntu1) ) #66-Ubuntu SMP Tue Oct 28 13:30:27 UTC 2014 (Ubuntu 3.13.0-39.66-generic 3.13.11.8)

Linux version 3.13.0-40-generic (buildd@comet) (gcc version 4.8.2 (Ubuntu 4.8.2-19ubuntu1) ) #69-Ubuntu SMP Thu Nov 13 17:53:56 UTC 2014 (Ubuntu 3.13.0-40.69-generic 3.13.11.10)

Linux version 3.13.0-43-generic (buildd@tipua) (gcc version 4.8.2 (Ubuntu 4.8.2-19ubuntu1) ) #72-Ubuntu SMP Mon Dec 8 19:35:06 UTC 2014 (Ubuntu 3.13.0-43.72-generic 3.13.11.11)

There were three instances when the error showed up however it did not lockup the system. Two of those times were after I upgraded to Evolution 3.12.7 and it was causing my local IMAP server to connect, log-in and disconnect every 90 seconds. The other I could see no cause for it.

Some other pertinent information

00:02.0 VGA compatible controller [0300]: Intel Corporation 4 Series Chipset Integrated Graphics Controller [8086:2e12] (rev 03) (prog-if 00 [VGA controller])
	Subsystem: Dell Device [1028:0420]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 49
	Region 0: Memory at fe800000 (64-bit, non-prefetchable) [size=4M]
	Region 2: Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at ecb8 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915

chris@localhost:~$ uname -a
Linux localhost 3.13.0-43-generic #72-Ubuntu SMP Mon Dec 8 19:35:06 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

P: /devices/pci0000:00/0000:00:02.0
E: DEVPATH=/devices/pci0000:00/0000:00:02.0
E: DRIVER=i915
E: ID_MODEL_FROM_DATABASE=4 Series Chipset Integrated Graphics Controller
E: ID_PCI_CLASS_FROM_DATABASE=Display controller
E: ID_PCI_INTERFACE_FROM_DATABASE=VGA controller
E: ID_PCI_SUBCLASS_FROM_DATABASE=VGA compatible controller
E: ID_VENDOR_FROM_DATABASE=Intel Corporation
E: MODALIAS=pci:v00008086d00002E12sv00001028sd00000420bc03sc00i00
E: PCI_CLASS=30000
E: PCI_ID=8086:2E12
E: PCI_SLOT_NAME=0000:00:02.0
E: PCI_SUBSYS_ID=1028:0420
E: SUBSYSTEM=pci
E: USEC_INITIALIZED=12528656

As with the original reporter this can't be reproduced on demand. I've also added two attachments. The output of dmidecode and lshw.
Comment 10 Chris 2014-12-16 02:37:28 UTC
Created attachment 110889 [details]
Output of dmidecode
Comment 11 Chris 2014-12-16 02:39:17 UTC
Created attachment 110890 [details]
Output of lshw
Comment 12 Ander Conselvan de Oliveira 2014-12-17 13:19:07 UTC
Can you test with the latest drm-intel-nightly kernel?

Make sure you pass drm.debug=0x06 in your kernel command line, and when the hang happens, attach the full dmesg here.
Comment 13 Chris 2014-12-19 13:59:41 UTC
After doing more reading and asking questions in the #ubuntu IRC channel I upgraded to a new kernel version yesterday afternoon, 18 Dec. The version now is Linux localhost 3.14.0-031400-generic #201403310035 SMP Mon Mar 31 04:36:23 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux 

If the problem happens again after the update I'll post back for some more assistance. I'll also post if it seems to have been fixed with the update. 

One thing of note, though there is a black screen with only the mouse cursor when this happens the system continues to function normally. For instance fetchmail and procmail continue to fetch and process email and so forth.
Comment 14 Chris 2014-12-24 13:39:45 UTC
As per my previous comment I've upgraded to the 3.14 version kernel. This appears to have fixed the problem as it's been over five days without any of the issues myself or the OP have reported.
Comment 15 Chris 2015-01-14 01:47:16 UTC
Unfortunately even running a 3.14 (kernel 3.14.0-031400-generic) kernel this popped up again last night - Jan 12 19:43:52 localhost kernel: [11781.820024] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle

All I saw was a black screen with mouse cursor could not CTRL-ALT-F1 out of it. Mouse cursor would move however the keyboard was totally inactive. I've since downgraded to 3.13.0-44-generic #73-Ubuntu SMP. This issue is so intermittent that I fear if I ran any kernel debugging I'd have gigabytes of data.
Comment 16 Michael 2015-01-14 02:01:14 UTC
We have been having these same issues with our Dell Vostro 230 workstations, which have GMA X4500 graphics like the mobo in the OP's bug report.  We've tried the stock Fedora 20 kernels, 3.16.6 and 3.17.7, as well as vanilla 3.14.23 and 3.14.26.

We haven't had a chance to test the drm-intel-nightly kernel, but attached is the resulting output from dmesg after adding drm.debug=0x06 to the kernel boot parameters.
Comment 17 Michael 2015-01-14 02:01:52 UTC
Created attachment 112188 [details]
dmesg output drm.debug=0x06
Comment 18 Michael 2015-01-14 02:15:44 UTC
Another thing to note, we've tested this with the following xorg-x11-drv-intel packages as well:
xorg-x11-drv-intel-2.21.12-2.fc19.i686
xorg-x11-drv-intel-2.21.15-9.fc20.i686

It seems like 2.21.12 causes the issue less than 2.21.15, but we have no hard evidence of that since the issue tends to be quite intermittent.
Comment 19 Chris 2015-01-14 14:05:59 UTC
I'm still experiencing the intermittent lockups on my Ubuntu 14.04.1 LTS system with the same error as shown in the bug report. The latest one being last night. I've attached the output of dmesg output drm.debug=0x06.
Comment 20 Chris 2015-01-14 14:07:21 UTC
Created attachment 112216 [details]
dmesg output drm.debug=0x06
Comment 21 Chris 2015-01-14 17:19:59 UTC
Created attachment 112237 [details]
Output in syslog showing drm.debug messages during and after forced reboot from lockup
Comment 22 Chris 2015-01-15 15:06:17 UTC
I have upgraded my BIOS this morning to A15. Per a bug report I submitted on Ubuntu Launchpad this was the suggestion for a possible fix. See bug https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1402331 I'm attaching the output of lshw to this comment. Note - another Ubuntu user who upgraded to the Dell A16 BIOS version has already experienced another lockup.
Comment 23 Chris 2015-01-15 15:07:24 UTC
Created attachment 112300 [details]
output of lshw after upgrading BIOS from Dell A03 to A15
Comment 24 Christian Egger 2015-01-16 14:26:22 UTC
Created attachment 112347 [details]
dmidecode_dell760

output of dmidecode on a Dell Optiplex 760 (A16 BIOS).
Comment 25 Christian Egger 2015-01-16 14:28:00 UTC
Also affected here. My env:

-- chipset: i915
-- system architecture: x86_64
-- xf86-video-intel: 2.21.15
-- xserver-xorg: 7.7
-- mesa: 10.3.2
-- libdrm: 2.4.58
-- kernel: 3.16.0-4-amd64
-- Linux distribution: Debian Jessie 8.0 (x86_64)
-- Machine or mobo model: Dell Optiplex 760
-- Display connector: DVI

I have upgraded to the latest Dell BIOS yesterday to no avail. GPU related lockups are quite frequent (more than once a day).
Comment 26 Chris 2015-01-18 02:36:11 UTC
I've experienced another lockup this evening and as I mentioned before I've updated the BIOS on my Dell Optiplex 780 from A03 to A15. I don't know what other attachments I can post to this bug other than what I already have. If anyone can give me suggestions I'll try to make it happen.
Comment 27 Chris 2015-01-18 02:38:14 UTC
I should have added, and I don't know if this makes any difference or not but it happened as I was scrolling down Facebook posts.
Comment 28 Chris 2015-01-20 22:00:41 UTC
Yesterday, 19 Jan I had a lockup. Prior to that I had been instructed via the same bug report on Ubuntu Launchpad to update to the newest kernel to see if that would fix the issue. I'm now running 

3.19.0-031900rc5-generic #201501180935 SMP Sun Jan 18 09:36:49 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

I've been asked on the Ubuntu bug report to do a 'kernel bisection' which I'm in the process of reading up on how to do this. I've attached the dmesg output from yesterday's lockup. Note there was no [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle noted in my syslog however the system was totally locked up with again the mouse cursor movable.
Comment 29 Chris 2015-01-20 22:01:33 UTC
Created attachment 112563 [details]
dmesg output drm.debug=0x06
Comment 30 Chris 2015-01-23 14:22:10 UTC
I have noticed several changes to this bug lately. Firstly I've had four 'lockups' since 17 Jan, none of which contain the [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle issue. Secondly since 14 Jan when I went back from the 3.14* kernel build to Ubuntu's 3.13.0-44-generic I've been seeing quite often in my syslog:

kernel: [ 1326.412487] [drm:intel_crtc_cursor_set_obj] cursor off
kernel: [ 1326.412493] [drm:g4x_check_srwm] SR watermark: display plane 92, cursor 2
kernel: [ 1326.412495] [drm:g4x_check_srwm] display watermark is too large(92/63), disabling
kernel: [ 1326.412497] [drm:intel_set_memory_cxsr] memory self-refresh is disabled
kernel: [ 1326.412499] [drm:g4x_update_wm] Setting FIFO watermarks - A: plane=40, cursor=2, B: plane=2, cursor=2, SR: plane=0, cursor=0

I might add that though the system 'appears' to be 'locked up' it is only the video that is locked, however the mouse cursor will continue to move, if that makes any sense. The system continues to fetch and process mail with fetchmail and procmail, SpamAssassin and ClamAv continue to run as well as scripts I have to report spam and so forth. Whether this change will make any difference in this bug report I'm not sure. Since the status of this report shows 'Need Info' still I'm not sure what else can be added to it.
Comment 31 Chris 2015-01-27 01:43:45 UTC
To add to my previous comment, I've now had three more 'lockups' making a total of sever since 17 January none of which show the 'Hangcheck' issue. In fact AFAICT there is nothing in my syslog that shows anything. I've had two this evening, 26 Jan within 10 minutes of each other. As requested either I am still running this kernel - 3.19.0-031900rc5-generic #201501180935 SMP Sun Jan 18 09:36:49 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
Comment 32 Chris 2015-01-31 04:11:26 UTC
Things have apparently changed for some reason. Firstly I'll call this a 'hang' instead of a 'lockup' because all background processes such as Fetchmail, Procmail, Postfix and others continue running and doing what they're supposed to do. Since the 17th of January I've experienced approximately ten more of these system 'hangs' and not a single one have the 'Hangcheck...' error in the syslog anywhere. In fact I've had two in the past 24hrs, one this morning when I first went to access the computer and the 2nd about 15 minutes ago. Can anyone give me an idea of where to proceed from here to try and find the problem. I can say that the 'hangs' seem to happen about every 2.5 - 3 days.
Comment 33 Chris 2015-02-01 20:37:14 UTC
Yesterday morning I upgraded to the latest Ubuntu kernel 3.13.0-45 at 6:30am. Almost exactly 1 1/2 days later the system froze again with:

kernel: [106482.820016] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle

Although it's 'frozen' about 11 times since the last time I saw the above this is the first time it's popped up since the 17th of Jan.
Comment 34 Diego Viola 2015-02-05 07:48:52 UTC
I've just experienced this on Arch Linux (x86_64) when running the latest Enlightenment 0.19.2 and when trying to resize Firefox.

I've got this:

Feb 05 04:40:21 myhost kernel: [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle

Then my system completely froze and I had to do a hard reboot.

Linux myhost 3.18.5-1-ARCH #1 SMP PREEMPT Fri Jan 30 07:31:50 CET 2015 x86_64 GNU/Linux
Comment 35 Christian Egger 2015-02-05 09:28:47 UTC
I tried bisecting but gave up after different kind of erros showed up in earlier kernel versions. I'm currently running 3.19.0-rc7+ (dc6d6844111d953d3fa2121da28d38be9359c911 on master).

$ cat /proc/sys/kernel/tainted 
576
512 is due to the warnings but I have no idea where the 64 comes from (I didn't set it).

It hasn't crashed yet in it's 20h uptime but I get a lot of these WARNINGS:

[   34.112693] ------------[ cut here ]------------
[   34.112703] WARNING: CPU: 0 PID: 106 at drivers/gpu/drm/drm_irq.c:1121 drm_wait_one_vblank+0x170/0x180 [drm]()
[   34.112704] vblank not available on crtc 0, ret=-22
[   34.112728] Modules linked in: btusb bluetooth rfkill snd_hda_intel snd_hda_controller snd_hda_codec i915 video drm_kms_helper drm lpc_ich snd_hwdep snd_pcm mfd_core snd_timer snd soundcore tpm_tis shpchp tpm button mei_me wmi floppy(+) mei i2c_algo_bit i2c_core acpi_cpufreq processor thermal_sys loop fuse parport_pc ppdev lp parport autofs4 ext4 crc16 mbcache jbd2 sha256_generic ecb cbc algif_skcipher af_alg dm_crypt dm_mod md_mod hid_generic usbhid hid sg sr_mod cdrom sd_mod ahci libahci ata_generic e1000e ptp ehci_pci pps_core libata uhci_hcd ehci_hcd scsi_mod usbcore usb_common
[   34.112730] CPU: 0 PID: 106 Comm: kworker/u16:7 Tainted: G     U  W      3.19.0-rc7+ #6
[   34.112730] Hardware name: Dell Inc. OptiPlex 760                 /0M858N, BIOS A16 08/06/2013
[   34.112735] Workqueue: events_unbound async_run_entry_fn
[   34.112737]  0000000000000000 ffffffffa03bd6ff ffffffff815420a5 ffff88003723f818
[   34.112738]  ffffffff8106c031 ffff8800373cc800 ffff8800b8770000 0000000000000000
[   34.112739]  ffff8800b8770360 ffff8800b941f000 ffffffff8106c0aa ffffffffa03bfec0
[   34.112740] Call Trace:
[   34.112744]  [<ffffffff815420a5>] ? dump_stack+0x40/0x50
[   34.112746]  [<ffffffff8106c031>] ? warn_slowpath_common+0x81/0xb0
[   34.112748]  [<ffffffff8106c0aa>] ? warn_slowpath_fmt+0x4a/0x50
[   34.112751]  [<ffffffffa0392e8a>] ? drm_vblank_get+0x6a/0xc0 [drm]
[   34.112755]  [<ffffffffa0393940>] ? drm_wait_one_vblank+0x170/0x180 [drm]
[   34.112792]  [<ffffffffa049e6ee>] ? intel_sdvo_write_sdvox.isra.1+0x9e/0x120 [i915]
[   34.112812]  [<ffffffffa049ff4a>] ? intel_enable_sdvo+0x6a/0x120 [i915]
[   34.112829]  [<ffffffffa046df11>] ? i9xx_crtc_enable+0x3f1/0x4b0 [i915]
[   34.112848]  [<ffffffffa046c4d7>] ? __intel_set_mode+0x867/0xc60 [i915]
[   34.112866]  [<ffffffffa0473204>] ? intel_crtc_set_config+0xc04/0xf80 [i915]
[   34.112870]  [<ffffffffa039c0e7>] ? drm_mode_set_config_internal+0x67/0x100 [drm]
[   34.112873]  [<ffffffffa03f9721>] ? restore_fbdev_mode+0xc1/0xe0 [drm_kms_helper]
[   34.112876]  [<ffffffffa03fb640>] ? drm_fb_helper_restore_fbdev_mode_unlocked+0x20/0x60 [drm_kms_helper]
[   34.112878]  [<ffffffffa03fb6a2>] ? drm_fb_helper_set_par+0x22/0x50 [drm_kms_helper]
[   34.112895]  [<ffffffffa0480196>] ? intel_fbdev_set_par+0x16/0x60 [i915]
[   34.112898]  [<ffffffff8132a100>] ? fbcon_init+0x580/0x610
[   34.112900]  [<ffffffff8139cdd1>] ? visual_init+0xb1/0x110
[   34.112901]  [<ffffffff8139f2e4>] ? do_bind_con_driver+0x174/0x3c0
[   34.112903]  [<ffffffff8139fac3>] ? do_take_over_console+0xb3/0x1c0
[   34.112904]  [<ffffffff81325173>] ? do_fbcon_takeover+0x63/0xd0
[   34.112906]  [<ffffffff81089fcd>] ? notifier_call_chain+0x4d/0x70
[   34.112907]  [<ffffffff8108a301>] ? __blocking_notifier_call_chain+0x41/0x60
[   34.112909]  [<ffffffff8133236e>] ? register_framebuffer+0x1fe/0x330
[   34.112911]  [<ffffffffa03fb92a>] ? drm_fb_helper_initial_config+0x25a/0x3c0 [drm_kms_helper]
[   34.112913]  [<ffffffff8108f389>] ? finish_task_switch+0x59/0x160
[   34.112915]  [<ffffffff8108ba43>] ? async_run_entry_fn+0x43/0x160
[   34.112917]  [<ffffffff81083a0d>] ? process_one_work+0x14d/0x3f0
[   34.112918]  [<ffffffff8108438b>] ? worker_thread+0x6b/0x4a0
[   34.112920]  [<ffffffff81084320>] ? rescuer_thread+0x310/0x310
[   34.112921]  [<ffffffff81089123>] ? kthread+0xd3/0xf0
[   34.112922]  [<ffffffff81089050>] ? kthread_create_on_node+0x180/0x180
[   34.112924]  [<ffffffff81547b7c>] ? ret_from_fork+0x7c/0xb0
[   34.112925]  [<ffffffff81089050>] ? kthread_create_on_node+0x180/0x180
[   34.112926] ---[ end trace b37264d08a3caf8c ]---
[   34.112927] ------------[ cut here ]------------
Comment 36 Chris 2015-02-05 13:51:01 UTC
I've been asked over on the Ubuntu Launchpad where I've reported the same bug - https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1402331 to do a kernel bisection of what I believe to be the last good kernel which would be 3.13.0-35-generic and the first one producing this error which I think is *-36. However, I've never done anything like that before and even after reading how to do this I'm unsure if I know how. Between Jan 17th, running 3.13.0-44-generic and 1 Feb after upgrading to 3.13.0-45-generic I experienced 12 'freezes' when running either kernel 3.18.3-031803-generic or 3.19.0-031900rc5-generic. I would not see the 'Hangcheck...' error but would see this:

[drm:intel_crtc_cursor_set_obj] cursor off
[drm:g4x_check_srwm] SR watermark: display plane 92, cursor 2
[drm:g4x_check_srwm] display watermark is too large(92/63), disabling
[drm:intel_set_memory_cxsr] memory self-refresh is disabled
[drm:g4x_update_wm] Setting FIFO watermarks - A: plane=40, cursor=2, B: plane=2, cursor=2, SR: plane=0, cursor=0

Which I have no idea what it means. The odd thing, to me, about all of the freezes whether it's the 'Hangcheck' error or the one above is that all background processes continue to run. On my Ubuntu system fetchmail, procmail and postfix continue running processing mail, cron jobs continue to run and so forth. It's as if the video freezes however when I it freezes with nothing but a black screen the mouse cursor continues to move. When it freezes in for instance Firefox again, the cursor will move and I can hover over something clickable and the cursor will change shape but of course nothing will happen when clicked. The clock will also freeze. My system would have been up for approximately 3 days yesterday at noon except the electric company had to shut power off to change the meter so I've had to start over. Right now it's at 21hrs since restarting running kernel 3.13.0-45-generic #74-Ubuntu SMP Tue Jan 13 19:36:28 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux. Bottom line, I don't know what can be done as this affects so many different 'flavors' and kernel versions.
Comment 37 Chris 2015-02-14 01:34:58 UTC
I just had another 'lockup' after about 11 days with the same error message - Feb 13 19:05:22 localhost kernel: [807775.808019] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle as has been the norm lately I see a black screen with a movable mouse cursor. CTRL-ALT-F1 will not take to to a log-in screen. I have to manually shut down the system with the power button. Doesn't anyone have an idea as to what to do to troubleshoot this problem? This is on my Ubuntu 14.04.1 LTS system running kernel 3.13.0-45-generic #74-Ubuntu SMP Tue Jan 13 19:36:28 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux. I still would like to know what info is needed as per the status on this report.
Comment 38 Chris 2015-02-15 01:35:30 UTC
Created attachment 113499 [details]
dmesg output drm.debug=0x06
Comment 39 Chris 2015-02-15 01:35:55 UTC
I just experienced another 'lockup' at 19:06:06 however this time as sometimes in the past the 'Hangcheck....' error was not present in my syslog. All that was noted was this:

Feb 14 19:04:53 localhost kernel: [10683.755797] systemd-hostnamed[9328]: Warning: nss-myhostname is not installed. Changing the local hostname might make it unresolveable. Please install nss-myhostname!
Feb 14 19:04:53 localhost dbus[382]: [system] Successfully activated service 'org.freedesktop.hostname1'
Feb 14 19:09:48 localhost kernel: [10978.591143] [drm:intel_crtc_cursor_set], cursor off
Comment 40 Chris 2015-02-17 23:32:59 UTC
Another lockup this afternoon, black screen, mouse cursor was present and could be moved. When moving around (black) screen hand would appear as if I was hovering over something of course I have no idea what it was. Could not CTRL>ALT>F* to terminal log-in.

Feb 17 17:18:01 localhost kernel: [252433.820010] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle
Comment 41 Chris 2015-02-17 23:44:53 UTC
In my haste I neglected to post the kernel version - Linux localhost 3.13.0-45-generic #74-Ubuntu SMP Tue Jan 13 19:36:28 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
Comment 42 Chris 2015-02-19 14:06:06 UTC
On 18 Feb, 2015 I installed kernel 3.19.0-031900-generic #201502091451 SMP Mon Feb 9 14:52:52 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux to see if the above bug had been fixed. This morning at 07:18:55, 19 Feb 2015 the system froze while clicking on a link to open in Firefox. The above 'Hangcheck' error did not appear in my syslog, below is what I see during that time period. Note: I was able to CTRL>ALT>F1 into a terminal and logged in. Attempted to run 'startx' however it did not run (possibly I did it wrong) but I will attach the Xorg.1.log from this as well as dmesg from the boot. The below are the lines from my syslog when this lockup happened:

Feb 19 07:18:54 localhost kernel: [49604.616334] [drm:i915_gem_open] 
Feb 19 07:19:59 localhost kernel: [49669.989779] [drm:intel_crtc_cursor_set_obj] cursor off
Feb 19 07:19:59 localhost kernel: [49669.989786] [drm:g4x_check_srwm] SR watermark: display plane 92, cursor 2
Feb 19 07:19:59 localhost kernel: [49669.989789] [drm:g4x_check_srwm] display watermark is too large(92/63), disabling
Feb 19 07:19:59 localhost kernel: [49669.989791] [drm:intel_set_memory_cxsr] memory self-refresh is disabled
Feb 19 07:19:59 localhost kernel: [49669.989794] [drm:g4x_update_wm] Setting FIFO watermarks - A: plane=40, cursor=2, B: plane=2, cursor=2, SR: plane=0, cursor=0
Feb 19 07:20:00 localhost kernel: [49670.747858] [drm:intel_crtc_set_config] [CRTC:9] [FB:47] #connectors=1 (x y) (0 0)
Feb 19 07:20:00 localhost kernel: [49670.747862] [drm:intel_set_config_compute_mode_changes] computed changes for [CRTC:9], mode_changed=0, fb_changed=1
Feb 19 07:20:00 localhost kernel: [49670.747865] [drm:intel_modeset_stage_output_state] [CONNECTOR:13:VGA-1] to [CRTC:9]
Feb 19 07:20:00 localhost kernel: [49670.747867] [drm:intel_modeset_affected_pipes] set mode pipe masks: modeset: 1, prepare: 1, disable: 0
Feb 19 07:20:00 localhost kernel: [49670.747870] [drm:connected_sink_compute_bpp] [CONNECTOR:13:VGA-1] checking for sink bpp constrains
Feb 19 07:20:00 localhost kernel: [49670.747872] [drm:intel_modeset_pipe_config] plane bpp: 24, pipe bpp: 24, dithering: 0
Feb 19 07:20:00 localhost kernel: [49670.747874] [drm:intel_dump_pipe_config] [CRTC:9][modeset] config for pipe A
Feb 19 07:20:00 localhost kernel: [49670.747875] [drm:intel_dump_pipe_config] cpu_transcoder: A
Feb 19 07:20:00 localhost kernel: [49670.747876] [drm:intel_dump_pipe_config] pipe bpp: 24, dithering: 0
Feb 19 07:20:00 localhost kernel: [49670.747878] [drm:intel_dump_pipe_config] fdi/pch: 0, lanes: 0, gmch_m: 0, gmch_n: 0, link_m: 0, link_n: 0, tu: 0
Feb 19 07:20:00 localhost kernel: [49670.747879] [drm:intel_dump_pipe_config] dp: 0, gmch_m: 0, gmch_n: 0, link_m: 0, link_n: 0, tu: 0
Feb 19 07:20:00 localhost kernel: [49670.747881] [drm:intel_dump_pipe_config] dp: 0, gmch_m2: 0, gmch_n2: 0, link_m2: 0, link_n2: 0, tu2: 0
Feb 19 07:20:00 localhost kernel: [49670.747882] [drm:intel_dump_pipe_config] audio: 0, infoframes: 0
Feb 19 07:20:00 localhost kernel: [49670.747882] [drm:intel_dump_pipe_config] requested mode:
Feb 19 07:20:00 localhost kernel: [49670.747885] [drm:drm_mode_debug_printmodeline] Modeline 0:"1680x1050" 60 119000 1680 1728 1760 1840 1050 1053 1059 1080 0x48 0xa
Feb 19 07:20:00 localhost kernel: [49670.747886] [drm:intel_dump_pipe_config] adjusted mode:
Feb 19 07:20:00 localhost kernel: [49670.747889] [drm:drm_mode_debug_printmodeline] Modeline 0:"1680x1050" 60 119000 1680 1728 1760 1840 1050 1053 1059 1080 0x48 0xa
Feb 19 07:20:00 localhost kernel: [49670.747891] [drm:intel_dump_crtc_timings] crtc timings: 119000 1680 1728 1760 1840 1050 1053 1059 1080, type: 0x48 flags: 0xa
Feb 19 07:20:00 localhost kernel: [49670.747892] [drm:intel_dump_pipe_config] port clock: 119000
Feb 19 07:20:00 localhost kernel: [49670.747893] [drm:intel_dump_pipe_config] pipe src size: 1680x1050
Feb 19 07:20:00 localhost kernel: [49670.747894] [drm:intel_dump_pipe_config] gmch pfit: control: 0x00000000, ratios: 0x00000000, lvds border: 0x00000000
Feb 19 07:20:00 localhost kernel: [49670.747896] [drm:intel_dump_pipe_config] pch pfit: pos: 0x00000000, size: 0x00000000, disabled
Feb 19 07:20:00 localhost kernel: [49670.747897] [drm:intel_dump_pipe_config] ips: 0
Feb 19 07:20:00 localhost kernel: [49670.747897] [drm:intel_dump_pipe_config] double wide: 0
Feb 19 07:20:00 localhost kernel: [49670.747912] [drm:i9xx_update_primary_plane] Writing base 00546000 00000000 0 0 6720
Feb 19 07:20:00 localhost kernel: [49670.844013] ------------[ cut here ]------------
Feb 19 07:20:00 localhost kernel: [49670.844035] WARNING: CPU: 0 PID: 1035 at /home/kernel/COD/linux/drivers/gpu/drm/drm_irq.c:1130 drm_wait_one_vblank+0x12f/0x180 [drm]()
Feb 19 07:20:00 localhost kernel: [49670.844035] vblank wait timed out on crtc 0
Feb 19 07:20:00 localhost kernel: [49670.844064] Modules linked in: usblp(E) ses(E) snd_hda_codec_analog(E) enclosure(E) snd_hda_codec_generic(E) i915(E) snd_hda_intel(E) snd_hda_controller(E) snd_hda_codec(E) coretemp(E) snd_hwdep(E) snd_pcm(E) uas(E) gpio_ich(E) dell_wmi(E) usb_storage(E) dcdbas(E) sparse_keymap(E) kvm(E) snd_seq_midi(E) video(E) joydev(E) snd_seq_midi_event(E) snd_rawmidi(E) drm_kms_helper(E) drm(E) snd_seq(E) snd_seq_device(E) serio_raw(E) snd_timer(E) bnep(E) rfcomm(E) lpc_ich(E) snd(E) i2c_algo_bit(E) bluetooth(E) soundcore(E) 8250_fintek(E) ppdev(E) wmi(E) shpchp(E) lp(E) mac_hid(E) parport_pc(E) parport(E) binfmt_misc(E) hid_generic(E) usbhid(E) psmouse(E) pata_acpi(E) hid(E) e1000e(E) ptp(E) pps_core(E)

I'm not sure now how to proceed however I will continue to run the 3.19.0 kernel.
Comment 43 Chris 2015-02-19 14:07:02 UTC
Created attachment 113663 [details]
dmesg output drm.debug=0x06
Comment 44 Chris 2015-02-19 14:08:22 UTC
Created attachment 113664 [details]
Xorg.1.log from logging in to terminal after lockup
Comment 45 Chris 2015-02-21 01:34:49 UTC
Again another lockup this evening at 19:16:40, 20 Feb 2015 while still running the 3.19.0 kernel. And again the 'Hangcheck' error did not make itself known, what my syslog shows for this time period before the CTRL>ALT>F1 is:

Feb 20 19:17:01 localhost CRON[29189]: (root) CMD ( cd / && run-parts --report /etc/cron.hourly)
Feb 20 19:17:28 localhost kernel: [129187.759473] [drm:intel_crtc_cursor_set_obj] cursor off
Feb 20 19:17:28 localhost kernel: [129187.759479] [drm:g4x_check_srwm] SR watermark: display plane 92, cursor 2
Feb 20 19:17:28 localhost kernel: [129187.759481] [drm:g4x_check_srwm] display watermark is too large(92/63), disabling
Feb 20 19:17:28 localhost kernel: [129187.759483] [drm:intel_set_memory_cxsr] memory self-refresh is disabled
Feb 20 19:17:28 localhost kernel: [129187.759485] [drm:g4x_update_wm] Setting FIFO watermarks - A: plane=40, cursor=2, B: plane=2, cursor=2, SR: plane=0, cursor=0
Feb 20 19:17:29 localhost kernel: [129189.173796] [drm:intel_crtc_set_config] [CRTC:9] [FB:47] #connectors=1 (x y) (0 0)
Feb 20 19:17:29 localhost kernel: [129189.173800] [drm:intel_set_config_compute_mode_changes] computed changes for [CRTC:9], mode_changed=0, fb_changed=1
Feb 20 19:17:29 localhost kernel: [129189.173803] [drm:intel_modeset_stage_output_state] [CONNECTOR:13:VGA-1] to [CRTC:9]
Feb 20 19:17:29 localhost kernel: [129189.173805] [drm:intel_modeset_affected_pipes] set mode pipe masks: modeset: 1, prepare: 1, disable: 0
Feb 20 19:17:29 localhost kernel: [129189.173808] [drm:connected_sink_compute_bpp] [CONNECTOR:13:VGA-1] checking for sink bpp constrains
Feb 20 19:17:29 localhost kernel: [129189.173810] [drm:intel_modeset_pipe_config] plane bpp: 24, pipe bpp: 24, dithering: 0
Feb 20 19:17:29 localhost kernel: [129189.173812] [drm:intel_dump_pipe_config] [CRTC:9][modeset] config for pipe A
Feb 20 19:17:29 localhost kernel: [129189.173813] [drm:intel_dump_pipe_config] cpu_transcoder: A
Feb 20 19:17:29 localhost kernel: [129189.173814] [drm:intel_dump_pipe_config] pipe bpp: 24, dithering: 0
Feb 20 19:17:29 localhost kernel: [129189.173816] [drm:intel_dump_pipe_config] fdi/pch: 0, lanes: 0, gmch_m: 0, gmch_n: 0, link_m: 0, link_n: 0, tu: 0
Feb 20 19:17:29 localhost kernel: [129189.173817] [drm:intel_dump_pipe_config] dp: 0, gmch_m: 0, gmch_n: 0, link_m: 0, link_n: 0, tu: 0
Feb 20 19:17:29 localhost kernel: [129189.173819] [drm:intel_dump_pipe_config] dp: 0, gmch_m2: 0, gmch_n2: 0, link_m2: 0, link_n2: 0, tu2: 0
Feb 20 19:17:29 localhost kernel: [129189.173820] [drm:intel_dump_pipe_config] audio: 0, infoframes: 0
Feb 20 19:17:29 localhost kernel: [129189.173820] [drm:intel_dump_pipe_config] requested mode:
Feb 20 19:17:29 localhost kernel: [129189.173823] [drm:drm_mode_debug_printmodeline] Modeline 0:"1680x1050" 60 119000 1680 1728 1760 1840 1050 1053 1059 1080 0x48 0xa
Feb 20 19:17:29 localhost kernel: [129189.173824] [drm:intel_dump_pipe_config] adjusted mode:
Feb 20 19:17:29 localhost kernel: [129189.173827] [drm:drm_mode_debug_printmodeline] Modeline 0:"1680x1050" 60 119000 1680 1728 1760 1840 1050 1053 1059 1080 0x48 0xa
Feb 20 19:17:29 localhost kernel: [129189.173829] [drm:intel_dump_crtc_timings] crtc timings: 119000 1680 1728 1760 1840 1050 1053 1059 1080, type: 0x48 flags: 0xa
Feb 20 19:17:29 localhost kernel: [129189.173830] [drm:intel_dump_pipe_config] port clock: 119000
Feb 20 19:17:29 localhost kernel: [129189.173831] [drm:intel_dump_pipe_config] pipe src size: 1680x1050
Feb 20 19:17:29 localhost kernel: [129189.173832] [drm:intel_dump_pipe_config] gmch pfit: control: 0x00000000, ratios: 0x00000000, lvds border: 0x00000000
Feb 20 19:17:29 localhost kernel: [129189.173834] [drm:intel_dump_pipe_config] pch pfit: pos: 0x00000000, size: 0x00000000, disabled
Feb 20 19:17:29 localhost kernel: [129189.173835] [drm:intel_dump_pipe_config] ips: 0
Feb 20 19:17:29 localhost kernel: [129189.173836] [drm:intel_dump_pipe_config] double wide: 0
Feb 20 19:17:29 localhost kernel: [129189.173846] [drm:i9xx_update_primary_plane] Writing base 00546000 00000000 0 0 6720

I have no idea as to whether I should submit a new bug or what. Looking for some advice here from someone.
Comment 46 Andre Robatino 2015-02-21 01:41:43 UTC
Since most people believe that this is a kernel bug, thought I should mention that I've been running Fedora 21 for about 2 1/2 months now, with the 3.17 and 3.18 kernels, without a single hang. Previously, on Fedora 20, I'd had hangs at least once a month. F21 includes xorg-x11-drv-intel-2.99.916-3.20141117.fc21 as opposed to F20's xorg-x11-drv-intel-2.21.15-9.fc20, so that update might be responsible.
Comment 47 Chris 2015-02-21 14:30:35 UTC
I believe this shows my video driver:

dpkg -l | grep xorg | grep intel
ii  xserver-xorg-video-intel
2:2.99.910-0ubuntu1.4 amd64 
X.Org X server -- Intel i8xx, i9xx display driver

I've found that when running the 3.19.* kernel that the 'hangcheck' error is not there when it lockups up however the issue in my comment 42 and 45 does. Is this related? I don't see it if I go back to the 3.13.0-45 kernel however the 'hangcheck' error shows back up during lockups.
Comment 48 Chris 2015-03-01 18:04:46 UTC
This is now getting into the realm of the absurd. No matter what kernel version I run in the 3.13.* series the system will lockup after a day or so with the above error. Today it locked up at 9:09am CST - Mar  1 09:09:00 localhost kernel: [182499.820012] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle. Again with the black screen and mouse cursor only. Cannot get to a log-in screen with CTRL-ALT-F1, CTRL-ALT-BKSPACE or with CTRL-ALT-ESC. And again, all background processes continue running as if nothing is happening. The current kernel version being run is - 3.13.0-46-generic #76-Ubuntu SMP Thu Feb 26 18:52:13 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
Comment 49 Chris 2015-03-02 14:15:36 UTC
And again this happens less than 24hrs later still with kernel 3.13.0-46-generic #76-Ubuntu SMP Thu Feb 26 18:52:13 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux. I was able to drop to a terminal with CTRL-ALT-F1 this time as it locked up in Firefox. 

Mar  2 07:35:38 localhost kernel: [71138.820009] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle

Portion of kern.log when lockup happened:

Mar  2 07:35:38 localhost kernel: [71138.820009] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle
Mar  2 07:36:23 localhost kernel: [71184.699897] [drm:intel_crtc_cursor_set], cursor off
Mar  2 07:36:24 localhost kernel: [71185.780637] [drm:intel_crtc_set_config], [CRTC:3] [FB:37] #connectors=1 (x y) (0 0)
Mar  2 07:36:24 localhost kernel: [71185.780641] [drm:intel_set_config_compute_mode_changes], computed changes for [CRTC:3], mode_changed=0, fb_changed=1
Mar  2 07:36:24 localhost kernel: [71185.780644] [drm:intel_modeset_stage_output_state], [CONNECTOR:5:VGA-1] to [CRTC:3]
Mar  2 07:36:24 localhost kernel: [71185.780656] [drm:i9xx_update_plane], Writing base 00046000 00000000 0 0 6720
Mar  2 07:36:24 localhost kernel: [71185.788019] [drm:intel_crtc_set_config], [CRTC:4] [NOFB]
Mar  2 07:36:24 localhost kernel: [71185.788021] [drm:intel_set_config_compute_mode_changes], computed changes for [CRTC:4], mode_changed=0, fb_changed=0
Mar  2 07:36:24 localhost kernel: [71185.788023] [drm:intel_modeset_stage_output_state], [CONNECTOR:5:VGA-1] to [CRTC:3]
Mar  2 07:36:24 localhost kernel: [71185.788026] [drm:intel_crtc_set_config], [CRTC:3] [FB:37] #connectors=1 (x y) (0 0)
Mar  2 07:36:24 localhost kernel: [71185.788029] [drm:intel_set_config_compute_mode_changes], computed changes for [CRTC:3], mode_changed=0, fb_changed=0
Mar  2 07:36:24 localhost kernel: [71185.788031] [drm:intel_modeset_stage_output_state], [CONNECTOR:5:VGA-1] to [CRTC:3]
Mar  2 07:36:24 localhost kernel: [71185.788042] [drm:intel_crtc_set_config], [CRTC:3] [FB:37] #connectors=1 (x y) (0 0)
Mar  2 07:36:24 localhost kernel: [71185.788044] [drm:intel_set_config_compute_mode_changes], computed changes for [CRTC:3], mode_changed=0, fb_changed=0
Mar  2 07:36:24 localhost kernel: [71185.788046] [drm:intel_modeset_stage_output_state], [CONNECTOR:5:VGA-1] to [CRTC:3]
Comment 50 Chris 2015-03-02 17:01:12 UTC
A link to kern.log showing what was logged prior to 4 of the lockups

http://pastebin.com/8EwEtEae
Comment 51 Chris 2015-03-10 02:16:30 UTC
Lockup happened again today with the hangcheck error. It has happened since my last post and now however without the hangcheck error. All I would see is a black screen with a movable mouse cursor. Today I disabled X-Screensaver and it locked up while using FireFox running kernel 3.13.0-46-generic #77-Ubuntu SMP Mon Mar 2 18:23:39 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux.
Comment 52 Chris 2015-03-19 20:54:24 UTC
I'm running kernel 4.0.0-040000rc4-generic #201503152135 SMP Mon Mar 16 01:36:37 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux and had booted into it at 7:49pm 17 March 2015. This morning, 19 March 2015, at approximately 7am my monitor was showing only a black screen with a movable mouse cursor. I tried several times to CTRL>ALT>F1 to drop to a login terminal to no avail. After trying this several times I just tried to blindly login by entering my login and password then waiting a bit and entering sudo reboot and password. Looking up at the monitor about 7:33 or so I noticed the login was now present so I logged in, and ran sudo reboot. The system rebooted normally. Looking through my syslog during the time between I left the system on the 18th and the time I had to reboot this morning I saw this:

Mar 19 07:34:14 localhost kernel: [128723.820044] [drm:i915_hangcheck_elapsed [i915]] *ERROR* Hangcheck timer elapsed... render ring idle

which is approximately 2 minutes prior to the time I gave the reboot command to the system. 

I'll be more than happy to attach any other information needed if someone would just tell me what is needed. It seems to me that no matter what kernel I run this problem seems to keep popping up.
Comment 53 Chris 2015-03-21 00:40:21 UTC
The status of this report says NEEDINFO. What info is still needed? Is there anyone to ask what is needed? I'd gladly supply the needed info if I knew what it was and I could especially since I'm still experiencing this with kernel 4.0.0-040000rc4-generic #201503152135 SMP Mon Mar 16 01:36:37 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
Comment 54 frederic wagner 2015-04-19 09:00:51 UTC
hi,

same bug here.

I can however easily reproduce it. When I use the geeqie image viewer on a set of photos (resolution is 4608x3456) it crashes while browsing through the photos within a minute.

still access to terminal but X is frozen and gdm will not restart.

geeqie is version 1.2 

I hope this can help to reproduce the problem more easily.

this is my hardware :
 00:02.0 VGA compatible controller: Intel Corporation 4 Series Chipset Integrated Graphics Controller (rev 03)
Comment 55 Chris 2015-04-19 13:20:18 UTC
I should have posted this info here earlier but wanted to wait to see how it was going to work out. After getting really frustrated about this I went here - http://lists.freedesktop.org/mailman/listinfo/intel-gfx and joined the intel-gfx mailing list. The main part of the post I made there on 25 March was:

"I am hoping that by joining this list I can get some kind of assistance
with this bug in the subject line. Every one to one and a half days my
system will just lockup with a black screen and only the mouse cursor
shown. It can be moved but will not go to the desktop. I can CTRL>ALT>F1
to a terminal and login then run sudo reboot and reboot the system. The
complete error shown in my syslog is:

kernel: [93991.808012] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck
timer elapsed... render ring idle

I have filed a bug report at the Ubuntu Launchpad for this -
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1402331 and also
have added information to the one opened at freedesktop.org -
https://bugs.freedesktop.org/show_bug.cgi?id=75394 

This all started somewhere around kernel version 3.13.0-35 and has
progressed from there. I have noticed a lockup in all of these kernel
versions which I have tested:" (here I listed all the kernels I've tried)

Almost immediately I received a reply referencing the running of the latest Ubuntu drm/intel kernel which can be found here - http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-next/ (I'm currently running the one dated 31 March still). At the suggestion of the list I've also updated xserver-xorg-video-intel however before you do anything I suggest that you join the list and ask your question there. Give as much information as possible. I ran 'sudo lshw' and attached the output to my first post there about the issue. That I'm sure will help in possibly identifying what the problem might be.
Comment 56 Chris 2015-05-16 12:44:53 UTC
I have had two video lockups recently, 10 May and 13 May. Both times it happened when I was using Firefox doing something as simple as scrolling through my Twitter feed. There was no 'Hangcheck....' error noted in my syslog and I was able to CTRL>ALT>F1 to console both times, log-in and save kern.log and Xorg.0.log before rebooting. I am still running kernel 4.0.0-997-generic #201503310205 SMP Tue Mar 31 02:07:04 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux from here http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-next/ and xf86-video-intel driver version 2.99.917. I've attached the kern.log and Xorg.0.log from the latest lockup.
Comment 57 Chris 2015-05-16 12:48:00 UTC
Created attachment 115830 [details]
kern.log from 10 May 2015 lockup

This is the kern.log from the 10 May video lockup hopefully showing some backtrace information.
Comment 58 Chris 2015-05-16 12:48:38 UTC
Created attachment 115831 [details]
kern.log from 13 May 2015 lockup
Comment 59 Chris 2015-05-16 12:49:18 UTC
Created attachment 115832 [details]
Xorg.0.log from 10 May lockup
Comment 60 Chris 2015-05-16 12:49:50 UTC
Created attachment 115833 [details]
Xorg.0.log from 13 May lockup
Comment 61 Mathieu 2015-05-21 08:30:31 UTC
Chris,

I have regular video lockups (almost once a week) like everyone else. The only think I can do is to switch to console with CTRL+ALT+F2 and type reboot.

I have the same error message (drm;i915_hangcheck_elapsed) in /var/log/messages.

Correct me if I'm wrong but it seems to me that every users who experience that are using Dell Computer. I personnaly use a Dell Optiplex 780.

Like you, I still wonder why status is still ' NEEDINFO '.

(In reply to Chris from comment #53)
> The status of this report says NEEDINFO. What info is still needed? Is there
> anyone to ask what is needed?

I'm checking this report regularly and I'll be glad to provide further information.
Comment 62 Miguel A. Vallejo 2015-05-28 12:01:19 UTC
I'm also affected by this bug since a year ago, maybe some more.

It's quite random. It can bite you five times in a single evening and then
experience a full week without any issues.

Symptoms are the same described here. Sudenly the screen freezes, sometimes the 
mouse cursor can be moved over the frozen screen, sometimes not. Sometimes the
computer seems to be running, for example, if there was playing music, this is
still playing. Sometimes complete freeze. Once fronzen, sometimes I can switch
(blindy!) to a text console, log in as root and issue a shutdown, but usually
I can't.

Sometimes I get a fill dump in system log, but sometimes only a single line:

kernel: [ 2048.804024] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle

System environment:

-- chipset: i915 
   00:02.0 VGA compatible controller: Intel Corporation 4 Series Chipset Integrated Graphics Controller (rev 03)
-- system architecture: x86_64
-- xf86-video-intel: 2:2.21.15-2+b2
-- server-xorg: 1:7.7+7
-- mesa: 10.3.2-1
-- libdrm: 2.4.58-2
-- kernel: 3.16.0-4-amd64
-- Linux distribution: Debian Jessie (x86_64)
-- Machine: eMachines EL-1850
-- Display connector: VGA

I updated to Debian Sid to test with the latest versions of packages:

-- chipset: i915 
   00:02.0 VGA compatible controller: Intel Corporation 4 Series Chipset Integrated Graphics Controller (rev 03)
-- system architecture: x86_64
-- xf86-video-intel: 2:2.99.917-1
-- server-xorg: 1:7.7+9
-- mesa: 10.5.5-1
-- libdrm: 2.4.60-3
-- kernel: 4.0.2-1-amd64
-- Linux distribution: Debian Sid (x86_64)
-- Machine: eMachines EL-1850
-- Display connector: VGA

And the same problems. See below for full errors.

The problem is quite random but it happens mostly (but not only) while
using Chrome. I noticed it can be "forced" to appear using Chrome and webgl. For
example, if I visit http://sci.esa.int/where_is_rosetta/ or http://stars.chromeexperiments.com/ 
and start to rotating and zooming in/out the system freezes in less than 10 minutes.

The principal problem for me it is so irritating and prone to freeze at the
worst possible moment I'm considering to plug a new graphics card just to be
able to get the work done.

/var/log/syslog :

May 26 00:49:17 waterhole kernel: [  930.816062] [drm:i915_hangcheck_elapsed [i915]] *ERROR* Hangcheck timer elapsed... render ring idle
May 26 00:50:00 waterhole kernel: [  974.392039] ------------[ cut here ]------------
May 26 00:50:00 waterhole kernel: [  974.392068] WARNING: CPU: 1 PID: 868 at /build/linux-Xbe5gu/linux-4.0.2/drivers/gpu/drm/drm_irq.c:1138 drm_wait_one_vblank+0xa5/0x180 [drm]()
May 26 00:50:00 waterhole kernel: [  974.392071] vblank wait timed out on crtc 0
May 26 00:50:00 waterhole kernel: [  974.392074] Modules linked in: ctr ccm pci_stub vboxpci(O) vboxnetadp(O) vboxnetflt(O) vboxdrv(O) nfsd auth_rpcgss oid_registry nfs_acl nfs lockd grace fscache sunrpc arc4 rt73usb rt2x00usb rt2x00lib mac80211 cfg80211 rfkill crc_itu_t i915 video iTCO_wdt iTCO_vendor_support snd_hda_codec_realtek snd_hda_codec_generic drm_kms_helper snd_hda_intel snd_hda_controller drm kvm_intel snd_hda_codec kvm snd_hwdep snd_pcm snd_timer pcspkr shpchp evdev psmouse serio_raw i2c_i801 i2c_algo_bit ite_cir i2c_core rc_core lpc_ich mfd_core rng_core button snd soundcore wmi acpi_cpufreq processor thermal_sys it87 hwmon_vid coretemp fuse parport_pc ppdev lp parport autofs4 ext4 crc16 mbcache jbd2 usb_storage sg sr_mod cdrom sd_mod ata_generic ata_piix libata scsi_mod xhci_pci xhci_hcd ehci_pci uhci_hcd ehci_hcd usbcore usb_common
May 26 00:50:00 waterhole kernel: [  974.392169] CPU: 1 PID: 868 Comm: Xorg Tainted: G     U     O    4.0.0-1-amd64 #1 Debian 4.0.2-1
May 26 00:50:00 waterhole kernel: [  974.392172] Hardware name: eMachines EL1850/EL1850, BIOS P01-A4  04/28/2010
May 26 00:50:00 waterhole kernel: [  974.392175]  0000000000000000 ffffffffa0404140 ffffffff8155df6b ffff8800c6edbb38
May 26 00:50:00 waterhole kernel: [  974.392181]  ffffffff8106ce91 0000000000000000 ffff8800c81ae800 0000000000000000
May 26 00:50:00 waterhole kernel: [  974.392185]  0000000000000000 000000000000d634 ffffffff8106cf0a ffffffffa0404438
May 26 00:50:00 waterhole kernel: [  974.392190] Call Trace:
May 26 00:50:00 waterhole kernel: [  974.392203]  [<ffffffff8155df6b>] ? dump_stack+0x40/0x50
May 26 00:50:00 waterhole kernel: [  974.392209]  [<ffffffff8106ce91>] ? warn_slowpath_common+0x81/0xb0
May 26 00:50:00 waterhole kernel: [  974.392213]  [<ffffffff8106cf0a>] ? warn_slowpath_fmt+0x4a/0x50
May 26 00:50:00 waterhole kernel: [  974.392219]  [<ffffffff810a9fb3>] ? prepare_to_wait_event+0x83/0xf0
May 26 00:50:00 waterhole kernel: [  974.392231]  [<ffffffffa03d6995>] ? drm_wait_one_vblank+0xa5/0x180 [drm]
May 26 00:50:00 waterhole kernel: [  974.392237]  [<ffffffff810a9e80>] ? wait_woken+0x90/0x90
May 26 00:50:00 waterhole kernel: [  974.392247]  [<ffffffffa03b8640>] ? drm_plane_helper_commit+0x200/0x2b0 [drm_kms_helper]
May 26 00:50:00 waterhole kernel: [  974.392260]  [<ffffffffa03df6a8>] ? __setplane_internal+0x208/0x2f0 [drm]
May 26 00:50:00 waterhole kernel: [  974.392271]  [<ffffffffa03ee048>] ? drm_modeset_lock+0x38/0x100 [drm]
May 26 00:50:00 waterhole kernel: [  974.392284]  [<ffffffffa03df914>] ? drm_mode_cursor_common+0x184/0x370 [drm]
May 26 00:50:00 waterhole kernel: [  974.392291]  [<ffffffff811d67f0>] ? poll_select_copy_remaining+0x140/0x140
May 26 00:50:00 waterhole kernel: [  974.392305]  [<ffffffffa03e3644>] ? drm_mode_cursor_ioctl+0x44/0x50 [drm]
May 26 00:50:00 waterhole kernel: [  974.392315]  [<ffffffffa03d4823>] ? drm_ioctl+0x1c3/0x5a0 [drm]
May 26 00:50:00 waterhole kernel: [  974.392322]  [<ffffffff8101ffe5>] ? __restore_xstate_sig+0x85/0x5c0
May 26 00:50:00 waterhole kernel: [  974.392328]  [<ffffffff811d5bc8>] ? do_vfs_ioctl+0x2e8/0x4f0
May 26 00:50:00 waterhole kernel: [  974.392334]  [<ffffffff81078f1d>] ? __set_task_blocked+0x2d/0x70
May 26 00:50:00 waterhole kernel: [  974.392338]  [<ffffffff8107b9e5>] ? __set_current_blocked+0x35/0x90
May 26 00:50:00 waterhole kernel: [  974.392343]  [<ffffffff8107c844>] ? restore_altstack+0x14/0x30
May 26 00:50:00 waterhole kernel: [  974.392348]  [<ffffffff811d5e51>] ? SyS_ioctl+0x81/0xa0
May 26 00:50:00 waterhole kernel: [  974.392352]  [<ffffffff8107bc13>] ? SyS_rt_sigprocmask+0x83/0xb0
May 26 00:50:00 waterhole kernel: [  974.392358]  [<ffffffff8156418d>] ? system_call_fast_compare_end+0xc/0x11
May 26 00:50:00 waterhole kernel: [  974.392361] ---[ end trace 9eeecdfc2dcab610 ]---
May 26 00:51:00 waterhole kernel: [ 1034.476055] ------------[ cut here ]------------
May 26 00:51:00 waterhole kernel: [ 1034.476100] WARNING: CPU: 0 PID: 868 at /build/linux-Xbe5gu/linux-4.0.2/drivers/gpu/drm/i915/intel_display.c:3623 intel_crtc_wait_for_pending_flips+0x19b/0x230 [i915]()
May 26 00:51:00 waterhole kernel: [ 1034.476103] WARN_ON(wait_event_timeout(dev_priv->pending_flip_queue, !intel_crtc_has_pending_flip(crtc), 60*HZ) == 0)
May 26 00:51:00 waterhole kernel: [ 1034.476106] Modules linked in: ctr ccm pci_stub vboxpci(O) vboxnetadp(O) vboxnetflt(O) vboxdrv(O) nfsd auth_rpcgss oid_registry nfs_acl nfs lockd grace fscache sunrpc arc4 rt73usb rt2x00usb rt2x00lib mac80211 cfg80211 rfkill crc_itu_t i915 video iTCO_wdt iTCO_vendor_support snd_hda_codec_realtek snd_hda_codec_generic drm_kms_helper snd_hda_intel snd_hda_controller drm kvm_intel snd_hda_codec kvm snd_hwdep snd_pcm snd_timer pcspkr shpchp evdev psmouse serio_raw i2c_i801 i2c_algo_bit ite_cir i2c_core rc_core lpc_ich mfd_core rng_core button snd soundcore wmi acpi_cpufreq processor thermal_sys it87 hwmon_vid coretemp fuse parport_pc ppdev lp parport autofs4 ext4 crc16 mbcache jbd2 usb_storage sg sr_mod cdrom sd_mod ata_generic ata_piix libata scsi_mod xhci_pci xhci_hcd ehci_pci uhci_hcd ehci_hcd usbcore usb_common
May 26 00:51:00 waterhole kernel: [ 1034.476203] CPU: 0 PID: 868 Comm: Xorg Tainted: G     U  W  O    4.0.0-1-amd64 #1 Debian 4.0.2-1
May 26 00:51:00 waterhole kernel: [ 1034.476206] Hardware name: eMachines EL1850/EL1850, BIOS P01-A4  04/28/2010
May 26 00:51:00 waterhole kernel: [ 1034.476209]  0000000000000000 ffffffffa052a520 ffffffff8155df6b ffff8800c6edbb68
May 26 00:51:00 waterhole kernel: [ 1034.476214]  ffffffff8106ce91 ffff8800c81ae9a8 ffff8800c96586b8 ffff88012991d000
May 26 00:51:00 waterhole kernel: [ 1034.476219]  ffff8800c81ae800 0000000000000001 ffffffff8106cf0a ffffffffa052ca88
May 26 00:51:00 waterhole kernel: [ 1034.476224] Call Trace:
May 26 00:51:00 waterhole kernel: [ 1034.476236]  [<ffffffff8155df6b>] ? dump_stack+0x40/0x50
May 26 00:51:00 waterhole kernel: [ 1034.476242]  [<ffffffff8106ce91>] ? warn_slowpath_common+0x81/0xb0
May 26 00:51:00 waterhole kernel: [ 1034.476247]  [<ffffffff8106cf0a>] ? warn_slowpath_fmt+0x4a/0x50
May 26 00:51:00 waterhole kernel: [ 1034.476253]  [<ffffffff810a9fb3>] ? prepare_to_wait_event+0x83/0xf0
May 26 00:51:00 waterhole kernel: [ 1034.476275]  [<ffffffffa04ca09b>] ? intel_crtc_wait_for_pending_flips+0x19b/0x230 [i915]
May 26 00:51:00 waterhole kernel: [ 1034.476284]  [<ffffffff810a9e80>] ? wait_woken+0x90/0x90
May 26 00:51:00 waterhole kernel: [ 1034.476306]  [<ffffffffa04ca2e8>] ? intel_begin_crtc_commit+0x1b8/0x1c0 [i915]
May 26 00:51:00 waterhole kernel: [ 1034.476316]  [<ffffffffa03b854c>] ? drm_plane_helper_commit+0x10c/0x2b0 [drm_kms_helper]
May 26 00:51:00 waterhole kernel: [ 1034.476331]  [<ffffffffa03df6a8>] ? __setplane_internal+0x208/0x2f0 [drm]
May 26 00:51:00 waterhole kernel: [ 1034.476342]  [<ffffffffa03ee1b9>] ? drm_modeset_lock_all_crtcs+0xa9/0xc0 [drm]
May 26 00:51:00 waterhole kernel: [ 1034.476356]  [<ffffffffa03e2fd1>] ? drm_mode_setplane+0x1a1/0x250 [drm]
May 26 00:51:00 waterhole kernel: [ 1034.476367]  [<ffffffffa03d4823>] ? drm_ioctl+0x1c3/0x5a0 [drm]
May 26 00:51:00 waterhole kernel: [ 1034.476374]  [<ffffffff811c1474>] ? new_sync_write+0x74/0xa0
May 26 00:51:00 waterhole kernel: [ 1034.476379]  [<ffffffff811d5bc8>] ? do_vfs_ioctl+0x2e8/0x4f0
May 26 00:51:00 waterhole kernel: [ 1034.476383]  [<ffffffff811c403d>] ? __sb_end_write+0x2d/0x70
May 26 00:51:00 waterhole kernel: [ 1034.476388]  [<ffffffff811c1ce3>] ? vfs_write+0x1b3/0x1f0
May 26 00:51:00 waterhole kernel: [ 1034.476393]  [<ffffffff811d5e51>] ? SyS_ioctl+0x81/0xa0
May 26 00:51:00 waterhole kernel: [ 1034.476398]  [<ffffffff8156418d>] ? system_call_fast_compare_end+0xc/0x11
May 26 00:51:00 waterhole kernel: [ 1034.476402] ---[ end trace 9eeecdfc2dcab611 ]---
May 26 00:51:00 waterhole kernel: [ 1034.476404] ------------[ cut here ]------------
May 26 00:51:00 waterhole kernel: [ 1034.476427] WARNING: CPU: 0 PID: 868 at /build/linux-Xbe5gu/linux-4.0.2/drivers/gpu/drm/i915/intel_display.c:3628 intel_crtc_wait_for_pending_flips+0x21d/0x230 [i915]()
May 26 00:51:00 waterhole kernel: [ 1034.476430] Removing stuck page flip
May 26 00:51:00 waterhole kernel: [ 1034.476431] Modules linked in: ctr ccm pci_stub vboxpci(O) vboxnetadp(O) vboxnetflt(O) vboxdrv(O) nfsd auth_rpcgss oid_registry nfs_acl nfs lockd grace fscache sunrpc arc4 rt73usb rt2x00usb rt2x00lib mac80211 cfg80211 rfkill crc_itu_t i915 video iTCO_wdt iTCO_vendor_support snd_hda_codec_realtek snd_hda_codec_generic drm_kms_helper snd_hda_intel snd_hda_controller drm kvm_intel snd_hda_codec kvm snd_hwdep snd_pcm snd_timer pcspkr shpchp evdev psmouse serio_raw i2c_i801 i2c_algo_bit ite_cir i2c_core rc_core lpc_ich mfd_core rng_core button snd soundcore wmi acpi_cpufreq processor thermal_sys it87 hwmon_vid coretemp fuse parport_pc ppdev lp parport autofs4 ext4 crc16 mbcache jbd2 usb_storage sg sr_mod cdrom sd_mod ata_generic ata_piix libata scsi_mod xhci_pci xhci_hcd ehci_pci uhci_hcd ehci_hcd usbcore usb_common
May 26 00:51:00 waterhole kernel: [ 1034.476514] CPU: 0 PID: 868 Comm: Xorg Tainted: G     U  W  O    4.0.0-1-amd64 #1 Debian 4.0.2-1
May 26 00:51:00 waterhole kernel: [ 1034.476517] Hardware name: eMachines EL1850/EL1850, BIOS P01-A4  04/28/2010
May 26 00:51:00 waterhole kernel: [ 1034.476519]  0000000000000000 ffffffffa052a520 ffffffff8155df6b ffff8800c6edbb68
May 26 00:51:00 waterhole kernel: [ 1034.476524]  ffffffff8106ce91 ffff8800c81ae9a8 ffff8800c96586b8 ffff88012991d000
May 26 00:51:00 waterhole kernel: [ 1034.476529]  ffff8800c81ae800 0000000000000001 ffffffff8106cf0a ffffffffa0537c29
May 26 00:51:00 waterhole kernel: [ 1034.476534] Call Trace:
May 26 00:51:00 waterhole kernel: [ 1034.476540]  [<ffffffff8155df6b>] ? dump_stack+0x40/0x50
May 26 00:51:00 waterhole kernel: [ 1034.476544]  [<ffffffff8106ce91>] ? warn_slowpath_common+0x81/0xb0
May 26 00:51:00 waterhole kernel: [ 1034.476549]  [<ffffffff8106cf0a>] ? warn_slowpath_fmt+0x4a/0x50
May 26 00:51:00 waterhole kernel: [ 1034.476553]  [<ffffffff810a9fb3>] ? prepare_to_wait_event+0x83/0xf0
May 26 00:51:00 waterhole kernel: [ 1034.476576]  [<ffffffffa04ca11d>] ? intel_crtc_wait_for_pending_flips+0x21d/0x230 [i915]
May 26 00:51:00 waterhole kernel: [ 1034.476583]  [<ffffffff810a9e80>] ? wait_woken+0x90/0x90
May 26 00:51:00 waterhole kernel: [ 1034.476605]  [<ffffffffa04ca2e8>] ? intel_begin_crtc_commit+0x1b8/0x1c0 [i915]
May 26 00:51:00 waterhole kernel: [ 1034.476614]  [<ffffffffa03b854c>] ? drm_plane_helper_commit+0x10c/0x2b0 [drm_kms_helper]
May 26 00:51:00 waterhole kernel: [ 1034.476628]  [<ffffffffa03df6a8>] ? __setplane_internal+0x208/0x2f0 [drm]
May 26 00:51:00 waterhole kernel: [ 1034.476639]  [<ffffffffa03ee1b9>] ? drm_modeset_lock_all_crtcs+0xa9/0xc0 [drm]
May 26 00:51:00 waterhole kernel: [ 1034.476652]  [<ffffffffa03e2fd1>] ? drm_mode_setplane+0x1a1/0x250 [drm]
May 26 00:51:00 waterhole kernel: [ 1034.476663]  [<ffffffffa03d4823>] ? drm_ioctl+0x1c3/0x5a0 [drm]
May 26 00:51:00 waterhole kernel: [ 1034.476668]  [<ffffffff811c1474>] ? new_sync_write+0x74/0xa0
May 26 00:51:00 waterhole kernel: [ 1034.476673]  [<ffffffff811d5bc8>] ? do_vfs_ioctl+0x2e8/0x4f0
May 26 00:51:00 waterhole kernel: [ 1034.476677]  [<ffffffff811c403d>] ? __sb_end_write+0x2d/0x70
May 26 00:51:00 waterhole kernel: [ 1034.476682]  [<ffffffff811c1ce3>] ? vfs_write+0x1b3/0x1f0
May 26 00:51:00 waterhole kernel: [ 1034.476687]  [<ffffffff811d5e51>] ? SyS_ioctl+0x81/0xa0
May 26 00:51:00 waterhole kernel: [ 1034.476691]  [<ffffffff8156418d>] ? system_call_fast_compare_end+0xc/0x11
May 26 00:51:00 waterhole kernel: [ 1034.476695] ---[ end trace 9eeecdfc2dcab612 ]---
May 26 00:51:00 waterhole kernel: [ 1034.576045] ------------[ cut here ]------------
May 26 00:51:00 waterhole kernel: [ 1034.576073] WARNING: CPU: 0 PID: 868 at /build/linux-Xbe5gu/linux-4.0.2/drivers/gpu/drm/drm_irq.c:1138 drm_wait_one_vblank+0xa5/0x180 [drm]()
May 26 00:51:00 waterhole kernel: [ 1034.576076] vblank wait timed out on crtc 0
May 26 00:51:00 waterhole kernel: [ 1034.576079] Modules linked in: ctr ccm pci_stub vboxpci(O) vboxnetadp(O) vboxnetflt(O) vboxdrv(O) nfsd auth_rpcgss oid_registry nfs_acl nfs lockd grace fscache sunrpc arc4 rt73usb rt2x00usb rt2x00lib mac80211 cfg80211 rfkill crc_itu_t i915 video iTCO_wdt iTCO_vendor_support snd_hda_codec_realtek snd_hda_codec_generic drm_kms_helper snd_hda_intel snd_hda_controller drm kvm_intel snd_hda_codec kvm snd_hwdep snd_pcm snd_timer pcspkr shpchp evdev psmouse serio_raw i2c_i801 i2c_algo_bit ite_cir i2c_core rc_core lpc_ich mfd_core rng_core button snd soundcore wmi acpi_cpufreq processor thermal_sys it87 hwmon_vid coretemp fuse parport_pc ppdev lp parport autofs4 ext4 crc16 mbcache jbd2 usb_storage sg sr_mod cdrom sd_mod ata_generic ata_piix libata scsi_mod xhci_pci xhci_hcd ehci_pci uhci_hcd ehci_hcd usbcore usb_common
May 26 00:51:00 waterhole kernel: [ 1034.576173] CPU: 0 PID: 868 Comm: Xorg Tainted: G     U  W  O    4.0.0-1-amd64 #1 Debian 4.0.2-1
May 26 00:51:00 waterhole kernel: [ 1034.576177] Hardware name: eMachines EL1850/EL1850, BIOS P01-A4  04/28/2010
May 26 00:51:00 waterhole kernel: [ 1034.576179]  0000000000000000 ffffffffa0404140 ffffffff8155df6b ffff8800c6edbbb8
May 26 00:51:00 waterhole kernel: [ 1034.576185]  ffffffff8106ce91 0000000000000000 ffff8800c81ae800 0000000000000000
May 26 00:51:00 waterhole kernel: [ 1034.576189]  0000000000000000 000000000000d634 ffffffff8106cf0a ffffffffa0404438
May 26 00:51:00 waterhole kernel: [ 1034.576195] Call Trace:
May 26 00:51:00 waterhole kernel: [ 1034.576206]  [<ffffffff8155df6b>] ? dump_stack+0x40/0x50
May 26 00:51:00 waterhole kernel: [ 1034.576212]  [<ffffffff8106ce91>] ? warn_slowpath_common+0x81/0xb0
May 26 00:51:00 waterhole kernel: [ 1034.576217]  [<ffffffff8106cf0a>] ? warn_slowpath_fmt+0x4a/0x50
May 26 00:51:00 waterhole kernel: [ 1034.576223]  [<ffffffff810a9fb3>] ? prepare_to_wait_event+0x83/0xf0
May 26 00:51:00 waterhole kernel: [ 1034.576234]  [<ffffffffa03d6995>] ? drm_wait_one_vblank+0xa5/0x180 [drm]
May 26 00:51:00 waterhole kernel: [ 1034.576240]  [<ffffffff810a9e80>] ? wait_woken+0x90/0x90
May 26 00:51:00 waterhole kernel: [ 1034.576250]  [<ffffffffa03b8640>] ? drm_plane_helper_commit+0x200/0x2b0 [drm_kms_helper]
May 26 00:51:00 waterhole kernel: [ 1034.576264]  [<ffffffffa03df6a8>] ? __setplane_internal+0x208/0x2f0 [drm]
May 26 00:51:00 waterhole kernel: [ 1034.576275]  [<ffffffffa03ee1b9>] ? drm_modeset_lock_all_crtcs+0xa9/0xc0 [drm]
May 26 00:51:00 waterhole kernel: [ 1034.576288]  [<ffffffffa03e2fd1>] ? drm_mode_setplane+0x1a1/0x250 [drm]
May 26 00:51:00 waterhole kernel: [ 1034.576299]  [<ffffffffa03d4823>] ? drm_ioctl+0x1c3/0x5a0 [drm]
May 26 00:51:00 waterhole kernel: [ 1034.576306]  [<ffffffff811c1474>] ? new_sync_write+0x74/0xa0
May 26 00:51:00 waterhole kernel: [ 1034.576312]  [<ffffffff811d5bc8>] ? do_vfs_ioctl+0x2e8/0x4f0
May 26 00:51:00 waterhole kernel: [ 1034.576316]  [<ffffffff811c403d>] ? __sb_end_write+0x2d/0x70
May 26 00:51:00 waterhole kernel: [ 1034.576321]  [<ffffffff811c1ce3>] ? vfs_write+0x1b3/0x1f0
May 26 00:51:00 waterhole kernel: [ 1034.576326]  [<ffffffff811d5e51>] ? SyS_ioctl+0x81/0xa0
May 26 00:51:00 waterhole kernel: [ 1034.576331]  [<ffffffff8156418d>] ? system_call_fast_compare_end+0xc/0x11
May 26 00:51:00 waterhole kernel: [ 1034.576335] ---[ end trace 9eeecdfc2dcab613 ]---
May 26 00:51:00 waterhole kernel: [ 1034.684032] ------------[ cut here ]------------
May 26 00:51:00 waterhole kernel: [ 1034.684058] WARNING: CPU: 1 PID: 868 at /build/linux-Xbe5gu/linux-4.0.2/drivers/gpu/drm/drm_irq.c:1138 drm_wait_one_vblank+0xa5/0x180 [drm]()
May 26 00:51:00 waterhole kernel: [ 1034.684060] vblank wait timed out on crtc 0
May 26 00:51:00 waterhole kernel: [ 1034.684119] Modules linked in: ctr ccm pci_stub vboxpci(O) vboxnetadp(O) vboxnetflt(O) vboxdrv(O) nfsd auth_rpcgss oid_registry nfs_acl nfs lockd grace fscache sunrpc arc4 rt73usb rt2x00usb rt2x00lib mac80211 cfg80211 rfkill crc_itu_t i915 video iTCO_wdt iTCO_vendor_support snd_hda_codec_realtek snd_hda_codec_generic drm_kms_helper snd_hda_intel snd_hda_controller drm kvm_intel snd_hda_codec kvm snd_hwdep snd_pcm snd_timer pcspkr shpchp evdev psmouse serio_raw i2c_i801 i2c_algo_bit ite_cir i2c_core rc_core lpc_ich mfd_core rng_core button snd soundcore wmi acpi_cpufreq processor thermal_sys it87 hwmon_vid coretemp fuse parport_pc ppdev lp parport autofs4 ext4 crc16 mbcache jbd2 usb_storage sg sr_mod cdrom sd_mod ata_generic ata_piix libata scsi_mod xhci_pci xhci_hcd ehci_pci uhci_hcd ehci_hcd usbcore usb_common
May 26 00:51:00 waterhole kernel: [ 1034.684127] CPU: 1 PID: 868 Comm: Xorg Tainted: G     U  W  O    4.0.0-1-amd64 #1 Debian 4.0.2-1
May 26 00:51:00 waterhole kernel: [ 1034.684128] Hardware name: eMachines EL1850/EL1850, BIOS P01-A4  04/28/2010
May 26 00:51:00 waterhole kernel: [ 1034.684132]  0000000000000000 ffffffffa0404140 ffffffff8155df6b ffff8800c6edb8c8
May 26 00:51:00 waterhole kernel: [ 1034.684135]  ffffffff8106ce91 0000000000000000 ffff8800c81ae800 0000000000000000
May 26 00:51:00 waterhole kernel: [ 1034.684137]  0000000000000000 000000000000d634 ffffffff8106cf0a ffffffffa0404438
May 26 00:51:00 waterhole kernel: [ 1034.684139] Call Trace:
May 26 00:51:00 waterhole kernel: [ 1034.684149]  [<ffffffff8155df6b>] ? dump_stack+0x40/0x50
May 26 00:51:00 waterhole kernel: [ 1034.684153]  [<ffffffff8106ce91>] ? warn_slowpath_common+0x81/0xb0
May 26 00:51:00 waterhole kernel: [ 1034.684156]  [<ffffffff8106cf0a>] ? warn_slowpath_fmt+0x4a/0x50
May 26 00:51:00 waterhole kernel: [ 1034.684160]  [<ffffffff810a9fb3>] ? prepare_to_wait_event+0x83/0xf0
May 26 00:51:00 waterhole kernel: [ 1034.684170]  [<ffffffffa03d6995>] ? drm_wait_one_vblank+0xa5/0x180 [drm]
May 26 00:51:00 waterhole kernel: [ 1034.684174]  [<ffffffff810a9e80>] ? wait_woken+0x90/0x90
May 26 00:51:00 waterhole kernel: [ 1034.684183]  [<ffffffffa03b8640>] ? drm_plane_helper_commit+0x200/0x2b0 [drm_kms_helper]
May 26 00:51:00 waterhole kernel: [ 1034.684213]  [<ffffffffa04d4211>] ? intel_crtc_set_config+0xd31/0xfc0 [i915]
May 26 00:51:00 waterhole kernel: [ 1034.684218]  [<ffffffffa03df257>] ? drm_mode_set_config_internal+0x67/0x100 [drm]
May 26 00:51:00 waterhole kernel: [ 1034.684221]  [<ffffffffa03c0e21>] ? restore_fbdev_mode+0xc1/0xe0 [drm_kms_helper]
May 26 00:51:00 waterhole kernel: [ 1034.684224]  [<ffffffffa03c2d40>] ? drm_fb_helper_restore_fbdev_mode_unlocked+0x20/0x60 [drm_kms_helper]
May 26 00:51:00 waterhole kernel: [ 1034.684226]  [<ffffffffa03c2da2>] ? drm_fb_helper_set_par+0x22/0x50 [drm_kms_helper]
May 26 00:51:00 waterhole kernel: [ 1034.684233]  [<ffffffffa04e2b96>] ? intel_fbdev_set_par+0x16/0x60 [i915]
May 26 00:51:00 waterhole kernel: [ 1034.684236]  [<ffffffff811d78ed>] ? do_sys_poll+0x10d/0x540
May 26 00:51:00 waterhole kernel: [ 1034.684239]  [<ffffffff8134034e>] ? fb_set_var+0x15e/0x3a0
May 26 00:51:00 waterhole kernel: [ 1034.684241]  [<ffffffff81337373>] ? fbcon_blank+0x223/0x2e0
May 26 00:51:00 waterhole kernel: [ 1034.684243]  [<ffffffff813b0d27>] ? do_unblank_screen+0xb7/0x1f0
May 26 00:51:00 waterhole kernel: [ 1034.684245]  [<ffffffff813a6cd4>] ? complete_change_console+0x54/0xe0
May 26 00:51:00 waterhole kernel: [ 1034.684246]  [<ffffffff813a7e2f>] ? vt_ioctl+0x10cf/0x1390
May 26 00:51:00 waterhole kernel: [ 1034.684250]  [<ffffffffa03d46ea>] ? drm_ioctl+0x8a/0x5a0 [drm]
May 26 00:51:00 waterhole kernel: [ 1034.684253]  [<ffffffff8139a49e>] ? tty_ioctl+0x3de/0xc50
May 26 00:51:00 waterhole kernel: [ 1034.684254]  [<ffffffff811d5bc8>] ? do_vfs_ioctl+0x2e8/0x4f0
May 26 00:51:00 waterhole kernel: [ 1034.684257]  [<ffffffff8105cd69>] ? __do_page_fault+0x1d9/0x490
May 26 00:51:00 waterhole kernel: [ 1034.684258]  [<ffffffff811d5e51>] ? SyS_ioctl+0x81/0xa0
May 26 00:51:00 waterhole kernel: [ 1034.684260]  [<ffffffff81566348>] ? page_fault+0x28/0x30
May 26 00:51:00 waterhole kernel: [ 1034.684261]  [<ffffffff8156418d>] ? system_call_fast_compare_end+0xc/0x11
May 26 00:51:00 waterhole kernel: [ 1034.684262] ---[ end trace 9eeecdfc2dcab614 ]---
Comment 63 Miguel A. Vallejo 2015-05-28 12:10:00 UTC
I forgot to mention I tested many workarounds:

- Disable VT-x
- Add i915.semaphores=1 to kernel boot
 (as recomended here: https://blog.sleeplessbeastie.eu/2014/11/30/i915-and-hangcheck-timer-elapsed-error/)

I tried also in xorg.conf:

- Option "AccelMethod" "uxa"
- Option "AccelMethod" "sna"
- Option "TearFree" "true"

but none of them worked.
Comment 64 Anders Sandblad 2015-06-05 05:55:22 UTC
I experience the exact same as Miguel.

00:00.0 Host bridge: Intel Corporation 4 Series Chipset DRAM Controller (rev 03)
	Subsystem: Hewlett-Packard Company Device 3048
	Flags: bus master, fast devsel, latency 0
	Capabilities: [e0] Vendor Specific Information: Len=0c <?>
	Kernel driver in use: agpgart-intel

00:02.0 VGA compatible controller: Intel Corporation 4 Series Chipset Integrated Graphics Controller (rev 03) (prog-if 00 [VGA controller])
	Subsystem: Hewlett-Packard Company Device 3048
	Flags: bus master, fast devsel, latency 0, IRQ 49
	Memory at f0000000 (64-bit, non-prefetchable) [size=4M]
	Memory at e0000000 (64-bit, prefetchable) [size=256M]
	I/O ports at 1230 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [d0] Power Management version 2
	Kernel driver in use: i915
Comment 65 Josh Rosenberg 2015-08-28 13:42:18 UTC
Can I "me too" this bug? Linux mint 17.2 (and some previous versions), latest kernel 3.19.0-26-generic, Dell Optiplex 760, and basically the same symptoms as everyone else. Here's some of my syslog from the last episode:

Aug 27 17:57:49 himalia kernel: [10588.808052] [drm:i915_hangcheck_elapsed [i915]] *ERROR* Hangcheck timer elapsed... render ring idle
Aug 27 17:58:01 himalia kernel: [10601.568023] ------------[ cut here ]------------
Aug 27 17:58:01 himalia kernel: [10601.568054] WARNING: CPU: 1 PID: 1506 at /build/linux-lts-vivid-BZwsXG/linux-lts-vivid-3.19.0/drivers/gpu/drm/drm_irq.c:1129 drm_wait_one_vblank+0x185/0x190 [drm]()
Aug 27 17:58:01 himalia kernel: [10601.568055] vblank wait timed out on crtc 0
Aug 27 17:58:01 himalia kernel: [10601.568089] Modules linked in: arc4 md4 nls_utf8 cifs fscache bnep gpio_ich rfcomm dell_wmi bluetooth sparse_keymap dcdbas dm_multipath scsi_dh snd_hda_codec_analog snd_hda_codec_generic snd_hda_intel coretemp snd_hda_controller snd_hda_codec kvm_intel snd_hwdep kvm snd_pcm snd_seq_midi serio_raw snd_seq_midi_event lpc_ich snd_rawmidi snd_seq snd_seq_device snd_timer mei_me snd mei soundcore shpchp 8250_fintek mac_hid binfmt_misc parport_pc ppdev lp parport dm_mirror dm_region_hash dm_log hid_generic usbhid hid i915 psmouse ahci libahci video i2c_algo_bit drm_kms_helper drm wmi pata_acpi e1000e ptp pps_core
Aug 27 17:58:01 himalia kernel: [10601.568092] CPU: 1 PID: 1506 Comm: Xorg Not tainted 3.19.0-26-generic #28~14.04.1-Ubuntu
Aug 27 17:58:01 himalia kernel: [10601.568093] Hardware name: Dell Inc. OptiPlex 760                 /0M858N, BIOS A05 08/17/2009
Aug 27 17:58:01 himalia kernel: [10601.568097]  ffffffffc041dd48 ffff8800b8d3f7e8 ffffffff817aeed7 00000000fb1afb1a
Aug 27 17:58:01 himalia kernel: [10601.568099]  ffff8800b8d3f838 ffff8800b8d3f828 ffffffff81074d8a 3830317830323931
Aug 27 17:58:01 himalia kernel: [10601.568101]  0000000000000000 ffff880035d96800 0000000000000000 000000000009494a
Aug 27 17:58:01 himalia kernel: [10601.568102] Call Trace:
Aug 27 17:58:01 himalia kernel: [10601.568111]  [<ffffffff817aeed7>] dump_stack+0x45/0x57
Aug 27 17:58:01 himalia kernel: [10601.568114]  [<ffffffff81074d8a>] warn_slowpath_common+0x8a/0xc0
Aug 27 17:58:01 himalia kernel: [10601.568116]  [<ffffffff81074e06>] warn_slowpath_fmt+0x46/0x50
Aug 27 17:58:01 himalia kernel: [10601.568121]  [<ffffffff810b4afc>] ? finish_wait+0x5c/0x80
Aug 27 17:58:01 himalia kernel: [10601.568133]  [<ffffffffc03efde5>] drm_wait_one_vblank+0x185/0x190 [drm]
Aug 27 17:58:01 himalia kernel: [10601.568136]  [<ffffffff810b4e10>] ? prepare_to_wait_event+0x110/0x110
Aug 27 17:58:01 himalia kernel: [10601.568169]  [<ffffffffc055f810>] intel_pipe_set_base+0x140/0x230 [i915]
Aug 27 17:58:01 himalia kernel: [10601.568199]  [<ffffffffc056ad55>] intel_crtc_set_config+0xb85/0xf60 [i915]
Aug 27 17:58:01 himalia kernel: [10601.568201]  [<ffffffff810ab606>] ? check_preempt_wakeup+0x146/0x240
Aug 27 17:58:01 himalia kernel: [10601.568211]  [<ffffffffc03f883f>] drm_mode_set_config_internal+0x6f/0x110 [drm]
Aug 27 17:58:01 himalia kernel: [10601.568218]  [<ffffffffc0484488>] restore_fbdev_mode+0xc8/0xf0 [drm_kms_helper]
Aug 27 17:58:01 himalia kernel: [10601.568223]  [<ffffffffc04863a9>] drm_fb_helper_restore_fbdev_mode_unlocked+0x29/0x80 [drm_kms_helper]
Aug 27 17:58:01 himalia kernel: [10601.568228]  [<ffffffffc0486422>] drm_fb_helper_set_par+0x22/0x50 [drm_kms_helper]
Aug 27 17:58:01 himalia kernel: [10601.568242]  [<ffffffffc0576d9a>] intel_fbdev_set_par+0x1a/0x60 [i915]
Aug 27 17:58:01 himalia kernel: [10601.568245]  [<ffffffff81423c51>] fb_set_var+0x191/0x430
Aug 27 17:58:01 himalia kernel: [10601.568247]  [<ffffffff8109dccd>] ? check_preempt_curr+0x8d/0xa0
Aug 27 17:58:01 himalia kernel: [10601.568249]  [<ffffffff810a52f8>] ? __enqueue_entity+0x78/0x80
Aug 27 17:58:01 himalia kernel: [10601.568250]  [<ffffffff810ac699>] ? enqueue_entity+0x289/0xb20
Aug 27 17:58:01 himalia kernel: [10601.568253]  [<ffffffff8141aa71>] fbcon_blank+0x1d1/0x2d0
Aug 27 17:58:01 himalia kernel: [10601.568255]  [<ffffffff814a9ae8>] do_unblank_screen+0xb8/0x1f0
Aug 27 17:58:01 himalia kernel: [10601.568257]  [<ffffffff8149f8fe>] complete_change_console+0x5e/0xf0
Aug 27 17:58:01 himalia kernel: [10601.568259]  [<ffffffff814a092c>] vt_ioctl+0xf9c/0x1180
Aug 27 17:58:01 himalia kernel: [10601.568266]  [<ffffffffc03ed8ec>] ? drm_ioctl+0x8c/0x660 [drm]
Aug 27 17:58:01 himalia kernel: [10601.568268]  [<ffffffff81492d98>] tty_ioctl+0x208/0xca0
Aug 27 17:58:01 himalia kernel: [10601.568270]  [<ffffffff8122af76>] ? fsnotify+0x306/0x490
Aug 27 17:58:01 himalia kernel: [10601.568273]  [<ffffffff811ffbf8>] do_vfs_ioctl+0x2f8/0x510
Aug 27 17:58:01 himalia kernel: [10601.568275]  [<ffffffff811eea85>] ? __sb_end_write+0x35/0x70
Aug 27 17:58:01 himalia kernel: [10601.568277]  [<ffffffff811ec4f2>] ? vfs_write+0x172/0x1f0
Aug 27 17:58:01 himalia kernel: [10601.568278]  [<ffffffff811ffe91>] SyS_ioctl+0x81/0xa0
Aug 27 17:58:01 himalia kernel: [10601.568280]  [<ffffffff817b688d>] system_call_fastpath+0x16/0x1b
Aug 27 17:58:01 himalia kernel: [10601.568281] ---[ end trace aeb43fc4a1b48425 ]---
Comment 66 Josh Rosenberg 2015-08-28 13:46:48 UTC
I should add that I've also tried i915.semaphores=1, and most recently I'm not trying that but am trying i915.i915_enable_rc6=0, at the advice of random pages on the internet.
Comment 67 Darren Enns 2015-09-06 23:24:36 UTC
This is another 'me too' with this bug.  Running Linux Mint LMDE2 64bit on a Gateway SX2800 with Intel G45/G43 GPU.  Whenever I use Geeqie, and browse through my images 'too quickly', the system hangs with this error.  I've tried the various tricks, including running newer kernels e.g. 4.1+.  No difference that I can tell.  Today I started hunting around with alternate image browsers in hopes that I can avoid this issue -- but I would rather that a fix or workaround shows up :)
Comment 68 Chris 2015-09-07 01:00:16 UTC
Is there any kind of an update that can be posted here by those working on this bug to let us know the status? I've also enclosed a screen shot of my background that is displaying incorrectly. I thought I had this fixed when Chris Wilson had me do this

Ok, I think it is the recent sw detiling that is broken. Could you
please compile xf86-video-intel with

        ./autogen.sh --prefix=/usr --enable-debug=full

and grab the Xorg.0.log file from that. It will be huge, but I only want
say the first 2500 lines and it should compress with xz very well.

Then in src/sna/kgem.c, line 86, there is

#define DBG_NO_WC_MMAP 0

could you change that to

#define DBG_NO_WC_MMAP 1

and recompile, install and retest?

back on 1 April this year. 

Currently my uptime without a freeze is a little over 13 days so if things go as they have been it's due about any time.
Comment 69 Chris 2015-09-07 01:03:53 UTC
Created attachment 118118 [details]
Screeshot showing video issue
Comment 70 Chris 2015-09-11 00:52:20 UTC
This morning at 5:03am after 16d9h12m the video froze again. This time I had no time to do any kind of back trace as I had to leave for an appointment. There was no 'Hangcheck....' error noted in syslog. As usual all other system applications were still running.
Comment 71 Miguel A. Vallejo 2015-09-11 19:27:00 UTC
I have run several weeks without this bug doing this:

- Disable hardware acceleration in Chromium/Chrome. This seems to be main factor to me to be bitten by this bug.

- Stay away from hardware accelerated programs

- Stay away from OpenGL programs.

No problems since I did all the above things.
Comment 72 Chris 2015-09-11 20:03:35 UTC
That is what seems odd about this bug. I went from the video freezing every few days to it happening now only twice in over a month. The only applications I run on a daily basis are Gnome-Shell of course, Evolution, Firefox, GKrellm, and TEA text editor. Everything else such as Fetchmail, Procmail, Postfix and so on don't use the video driver that I'm aware of. And I'm not using hardware acceleration in Firefox.
Comment 73 Augusto Fraga Giachero 2015-09-14 19:41:05 UTC
Created attachment 118271 [details]
dmesg (Arch Linux 4.1.6-1-ARCH)

I'm experiencing the same problem described here. It happened to the last 3 distributions I've tested (Elementary OS, OpenSUSE, Arch Linux). Now I'm using Arch Linux with the 4.1.6 kernel and xf86-video-intel 1:2.99.917+381+g5772556-1.

One thing that I've observed when installing Arch Linux is that the default acceleration method (SNA) produces video corruption on my hardware (Pentium Dual-Core E5700). Changing the acceleration method to UXA (as shown on the Arch Linux wiki https://wiki.archlinux.org/index.php/Intel_graphics#SNA_issues) solves the corruption issue, but after more or less 1 hour of use the GUI hangs and I'm unable to change to other tty.
Comment 74 Chris 2015-09-17 00:27:46 UTC
Created attachment 118321 [details]
Kern.log from 15 Sept 2015 freeze
Comment 75 Chris 2015-09-17 00:28:56 UTC
Created attachment 118322 [details]
Xorg.0.log from 15 Sept freeze
Comment 76 Chris 2015-09-17 00:31:22 UTC
Experienced another freeze last night after only 5d16h41m of uptime after the last one. There was again no 'Hangcheck...' error notation in my syslog. Running cat /sys/class/drm/card0/error came back with 'no error state collected'
Comment 77 Robert 2015-09-17 08:39:47 UTC
It happens multiple times a day on almost every machine at work. All machines has intel built in graphics and the only common thing about this bug is that there was always web browser running some page with flash.

We use Optiplex 380, 390, 3010 and 7010 with Ubuntu. Those problems started when we switched from Ubuntu 10.04 to 12.04 and even now using HWE kernel does not solve the problem.
Comment 78 Chris 2015-09-29 00:45:16 UTC
Today, at 15:54:11 the video froze on my system while opening a new tab with Firefox 41.0. At the time of the freeze I was running kernel 3.19.0-28-generic #30~14.04.1-Ubuntu SMP Tue Sep 1 09:32:55 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux and have since updated via an update to kernel 3.19.0-30-generic #33~14.04.1-Ubuntu SMP Tue Sep 22 09:27:00 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux. The cursor would still move but nothing clicked on will open nor can I change to a different window. This came after an uptime of 6d20h6m. I've attached today's syslog which shows that until the time I rebooted after the freeze that background operations were still working. The 2nd boot today was into the new 3.19-30 kernel.
Comment 79 Chris 2015-09-29 00:47:06 UTC
Created attachment 118506 [details]
Syslog from 28 Sept freeze showing processes continuing to run until reboot.
Comment 80 cprigent 2015-10-01 15:35:14 UTC
Bug scrub:
Priority updated to medium/major. System is quite old now, this has a lower priority than current high priority bugs on new systems.
Comment 81 Chris 2015-10-01 16:52:03 UTC
On 9/28/2015 at 15:54:11 the video froze on my system while opening a new tab with Firefox 41.0. At the time of the freeze I was running kernel 3.19.0-28-generic #30~14.04.1-Ubuntu SMP Tue Sep 1 09:32:55 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux as advised by Christopher M. Penalver as related to Ubuntu bug 1497627 which I initiated on 9/19/2015 and have since updated via an update to kernel 3.19.0-30-generic #33~14.04.1-Ubuntu SMP Tue Sep 22 09:27:00 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux. The cursor would still move but nothing clicked on will open nor can I change to a different window. This came after an uptime of 6d20h6m. I've attached a link http://pastebin.com/nZjp11Zh to the syslog for that time period which shows that until the time I rebooted after the freeze that background operations were still working. The 2nd boot today was into the new 3.19-30 kernel.
Comment 82 Chris 2015-10-01 17:00:56 UTC
On 30 Sept, 2015 at 13:03:46 video froze again. I was not at home at the time. The uptime when I SSHd into the system was 1d23h10m at 16:06 so you can see it only went about 1d20h before freezing again. As in previous reports the mouse cursor would move and Evolution and Firefox were running.  I've attached a screenshot this time showing the choppiness of the desktop background after reboot. All other screens look normal, ie..Evo, Firefox and so on.
Comment 83 Chris 2015-10-01 17:02:14 UTC
Created attachment 118565 [details]
Screenshot showing choppiness of desktop background after boot. Logging out and back in clears it up.
Comment 84 Chris 2015-10-01 17:03:50 UTC
Note that [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle no longer seems to show up in my syslog. In fact looking at it there is nothing that points to the freeze anymore, the video just freezes randomly. I don't know if this calls for a completely new bug report or what.
Comment 85 Miguel A. Vallejo 2016-01-09 21:14:58 UTC
Any progress on this bug?

Currently I'm on kernel 4.3 and it still bites me everyday, which is just painful. It's just like work with a timebomb.


Jan  9 21:41:05 waterhole kernel: [15459.816074] [drm:i915_hangcheck_elapsed [i915]] *ERROR* Hangcheck timer elapsed... render ring idle
Jan  9 21:42:38 waterhole kernel: [15552.536040] ------------[ cut here ]------------
Jan  9 21:42:38 waterhole kernel: [15552.536095] WARNING: CPU: 1 PID: 940 at /build/linux-LMUB50/linux-4.3.3/drivers/gpu/drm/i915/intel_display.c:3926 intel_crtc_wait_for_pending_flips+0x1c4/0x230 [i915]()
Jan  9 21:42:38 waterhole kernel: [15552.536099] WARN_ON(wait_event_timeout(dev_priv->pending_flip_queue, !intel_crtc_has_pending_flip(crtc), 60*HZ) == 0)
Jan  9 21:42:38 waterhole kernel: [15552.536101] Modules linked in: sha256_ssse3 sha256_generic hmac drbg ansi_cprng ctr ccm binfmt_misc pci_stub vboxpci(O) vboxnetadp(O) vboxnetflt(O) vboxdrv(O) nfsd auth_rpcgss oid_registry nfs_acl nfs lockd grace fscache sunrpc arc4 rt73usb rt2x00usb rt2x00lib mac80211 cfg80211 rfkill crc_itu_t kvm_intel kvm snd_hda_codec_realtek snd_hda_codec_generic evdev snd_hda_intel snd_hda_codec psmouse snd_hda_core snd_hwdep serio_raw pcspkr iTCO_wdt iTCO_vendor_support snd_pcm i915 snd_timer i2c_i801 snd soundcore lpc_ich mfd_core rng_core video drm_kms_helper drm ite_cir rc_core shpchp wmi button i2c_algo_bit acpi_cpufreq processor it87 hwmon_vid coretemp fuse parport_pc ppdev lp parport autofs4 ext4 crc16 mbcache jbd2 uas usb_storage sg sr_mod cdrom sd_mod ata_generic ata_piix libata scsi_mod xhci_pci xhci_hcd r8169 mii uhci_hcd ehci_pci ehci_hcd usbcore usb_common
Jan  9 21:42:38 waterhole kernel: [15552.536226] CPU: 1 PID: 940 Comm: Xorg Tainted: G           O    4.3.0-0.bpo.1-amd64 #1 Debian 4.3.3-2~bpo8+1
Jan  9 21:42:38 waterhole kernel: [15552.536230] Hardware name: eMachines EL1850/EL1850, BIOS P01-B3  06/08/2011
Jan  9 21:42:38 waterhole kernel: [15552.536233]  0000000000000000 00000000c1c1dae8 ffffffff812e1829 ffff8800c8dbbaf0
Jan  9 21:42:38 waterhole kernel: [15552.536239]  ffffffff81074451 ffff8800c789a1a8 ffff8800c8dbbb48 ffff880036f1f000
Jan  9 21:42:38 waterhole kernel: [15552.536244]  ffff8800c789a000 ffff8800c7410000 ffffffff810744dc ffffffffa0479cc0
Jan  9 21:42:38 waterhole kernel: [15552.536249] Call Trace:
Jan  9 21:42:38 waterhole kernel: [15552.536258]  [<ffffffff812e1829>] ? dump_stack+0x40/0x57
Jan  9 21:42:38 waterhole kernel: [15552.536264]  [<ffffffff81074451>] ? warn_slowpath_common+0x81/0xb0
Jan  9 21:42:38 waterhole kernel: [15552.536268]  [<ffffffff810744dc>] ? warn_slowpath_fmt+0x5c/0x80
Jan  9 21:42:38 waterhole kernel: [15552.536274]  [<ffffffff810b303b>] ? finish_wait+0x3b/0x70
Jan  9 21:42:38 waterhole kernel: [15552.536311]  [<ffffffffa0414a14>] ? intel_crtc_wait_for_pending_flips+0x1c4/0x230 [i915]
Jan  9 21:42:38 waterhole kernel: [15552.536316]  [<ffffffff810b31a0>] ? wait_woken+0x90/0x90
Jan  9 21:42:38 waterhole kernel: [15552.536353]  [<ffffffffa0415b72>] ? intel_pre_plane_update+0x112/0x120 [i915]
Jan  9 21:42:38 waterhole kernel: [15552.536390]  [<ffffffffa04161be>] ? intel_atomic_commit+0x22e/0x12e0 [i915]
Jan  9 21:42:38 waterhole kernel: [15552.536421]  [<ffffffffa030cee8>] ? drm_atomic_check_only+0x1c8/0x580 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.536456]  [<ffffffffa03ff168>] ? intel_crtc_duplicate_state+0x38/0x80 [i915]
Jan  9 21:42:38 waterhole kernel: [15552.536481]  [<ffffffffa030c377>] ? drm_atomic_get_crtc_state+0x67/0xc0 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.536496]  [<ffffffffa0370507>] ? drm_atomic_helper_disable_plane+0xe7/0x130 [drm_kms_helper]
Jan  9 21:42:38 waterhole kernel: [15552.536517]  [<ffffffffa02fd738>] ? __setplane_internal+0x258/0x330 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.536542]  [<ffffffffa030bdd7>] ? drm_modeset_lock_all_crtcs+0x87/0xa0 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.536566]  [<ffffffffa030134c>] ? drm_mode_setplane+0x13c/0x1b0 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.536582]  [<ffffffffa02f32d0>] ? drm_ioctl+0x110/0x470 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.536604]  [<ffffffffa0301210>] ? drm_plane_check_pixel_format+0x50/0x50 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.536610]  [<ffffffff8118f94d>] ? handle_mm_fault+0xb3d/0x16c0
Jan  9 21:42:38 waterhole kernel: [15552.536617]  [<ffffffff811e31e5>] ? do_vfs_ioctl+0x2d5/0x4b0
Jan  9 21:42:38 waterhole kernel: [15552.536622]  [<ffffffff811e3436>] ? SyS_ioctl+0x76/0x90
Jan  9 21:42:38 waterhole kernel: [15552.536629]  [<ffffffff81585876>] ? system_call_fast_compare_end+0xc/0x6b
Jan  9 21:42:38 waterhole kernel: [15552.536633] ---[ end trace 7d1c5e5d8e321984 ]---
Jan  9 21:42:38 waterhole kernel: [15552.536635] ------------[ cut here ]------------
Jan  9 21:42:38 waterhole kernel: [15552.536673] WARNING: CPU: 1 PID: 940 at /build/linux-LMUB50/linux-4.3.3/drivers/gpu/drm/i915/intel_display.c:3931 intel_crtc_wait_for_pending_flips+0x218/0x230 [i915]()
Jan  9 21:42:38 waterhole kernel: [15552.536676] Removing stuck page flip
Jan  9 21:42:38 waterhole kernel: [15552.536678] Modules linked in: sha256_ssse3 sha256_generic hmac drbg ansi_cprng ctr ccm binfmt_misc pci_stub vboxpci(O) vboxnetadp(O) vboxnetflt(O) vboxdrv(O) nfsd auth_rpcgss oid_registry nfs_acl nfs lockd grace fscache sunrpc arc4 rt73usb rt2x00usb rt2x00lib mac80211 cfg80211 rfkill crc_itu_t kvm_intel kvm snd_hda_codec_realtek snd_hda_codec_generic evdev snd_hda_intel snd_hda_codec psmouse snd_hda_core snd_hwdep serio_raw pcspkr iTCO_wdt iTCO_vendor_support snd_pcm i915 snd_timer i2c_i801 snd soundcore lpc_ich mfd_core rng_core video drm_kms_helper drm ite_cir rc_core shpchp wmi button i2c_algo_bit acpi_cpufreq processor it87 hwmon_vid coretemp fuse parport_pc ppdev lp parport autofs4 ext4 crc16 mbcache jbd2 uas usb_storage sg sr_mod cdrom sd_mod ata_generic ata_piix libata scsi_mod xhci_pci xhci_hcd r8169 mii uhci_hcd ehci_pci ehci_hcd usbcore usb_common
Jan  9 21:42:38 waterhole kernel: [15552.536773] CPU: 1 PID: 940 Comm: Xorg Tainted: G        W  O    4.3.0-0.bpo.1-amd64 #1 Debian 4.3.3-2~bpo8+1
Jan  9 21:42:38 waterhole kernel: [15552.536776] Hardware name: eMachines EL1850/EL1850, BIOS P01-B3  06/08/2011
Jan  9 21:42:38 waterhole kernel: [15552.536778]  0000000000000000 00000000c1c1dae8 ffffffff812e1829 ffff8800c8dbbaf0
Jan  9 21:42:38 waterhole kernel: [15552.536784]  ffffffff81074451 ffff8800c789a1a8 ffff8800c8dbbb48 ffff880036f1f000
Jan  9 21:42:38 waterhole kernel: [15552.536789]  ffff8800c789a000 ffff8800c7410000 ffffffff810744dc ffffffffa048617c
Jan  9 21:42:38 waterhole kernel: [15552.536794] Call Trace:
Jan  9 21:42:38 waterhole kernel: [15552.536798]  [<ffffffff812e1829>] ? dump_stack+0x40/0x57
Jan  9 21:42:38 waterhole kernel: [15552.536802]  [<ffffffff81074451>] ? warn_slowpath_common+0x81/0xb0
Jan  9 21:42:38 waterhole kernel: [15552.536807]  [<ffffffff810744dc>] ? warn_slowpath_fmt+0x5c/0x80
Jan  9 21:42:38 waterhole kernel: [15552.536811]  [<ffffffff810b303b>] ? finish_wait+0x3b/0x70
Jan  9 21:42:38 waterhole kernel: [15552.536848]  [<ffffffffa0414a68>] ? intel_crtc_wait_for_pending_flips+0x218/0x230 [i915]
Jan  9 21:42:38 waterhole kernel: [15552.536853]  [<ffffffff810b31a0>] ? wait_woken+0x90/0x90
Jan  9 21:42:38 waterhole kernel: [15552.536890]  [<ffffffffa0415b72>] ? intel_pre_plane_update+0x112/0x120 [i915]
Jan  9 21:42:38 waterhole kernel: [15552.536926]  [<ffffffffa04161be>] ? intel_atomic_commit+0x22e/0x12e0 [i915]
Jan  9 21:42:38 waterhole kernel: [15552.536952]  [<ffffffffa030cee8>] ? drm_atomic_check_only+0x1c8/0x580 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.536986]  [<ffffffffa03ff168>] ? intel_crtc_duplicate_state+0x38/0x80 [i915]
Jan  9 21:42:38 waterhole kernel: [15552.537011]  [<ffffffffa030c377>] ? drm_atomic_get_crtc_state+0x67/0xc0 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.537023]  [<ffffffffa0370507>] ? drm_atomic_helper_disable_plane+0xe7/0x130 [drm_kms_helper]
Jan  9 21:42:38 waterhole kernel: [15552.537044]  [<ffffffffa02fd738>] ? __setplane_internal+0x258/0x330 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.537069]  [<ffffffffa030bdd7>] ? drm_modeset_lock_all_crtcs+0x87/0xa0 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.537091]  [<ffffffffa030134c>] ? drm_mode_setplane+0x13c/0x1b0 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.537107]  [<ffffffffa02f32d0>] ? drm_ioctl+0x110/0x470 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.537130]  [<ffffffffa0301210>] ? drm_plane_check_pixel_format+0x50/0x50 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.537135]  [<ffffffff8118f94d>] ? handle_mm_fault+0xb3d/0x16c0
Jan  9 21:42:38 waterhole kernel: [15552.537140]  [<ffffffff811e31e5>] ? do_vfs_ioctl+0x2d5/0x4b0
Jan  9 21:42:38 waterhole kernel: [15552.537145]  [<ffffffff811e3436>] ? SyS_ioctl+0x76/0x90
Jan  9 21:42:38 waterhole kernel: [15552.537151]  [<ffffffff81585876>] ? system_call_fast_compare_end+0xc/0x6b
Jan  9 21:42:38 waterhole kernel: [15552.537154] ---[ end trace 7d1c5e5d8e321985 ]---
Jan  9 21:42:38 waterhole kernel: [15552.636034] ------------[ cut here ]------------
Jan  9 21:42:38 waterhole kernel: [15552.636074] WARNING: CPU: 0 PID: 940 at /build/linux-LMUB50/linux-4.3.3/drivers/gpu/drm/drm_irq.c:1180 drm_wait_one_vblank+0x160/0x1a0 [drm]()
Jan  9 21:42:38 waterhole kernel: [15552.636078] vblank wait timed out on crtc 0
Jan  9 21:42:38 waterhole kernel: [15552.636081] Modules linked in: sha256_ssse3 sha256_generic hmac drbg ansi_cprng ctr ccm binfmt_misc pci_stub vboxpci(O) vboxnetadp(O) vboxnetflt(O) vboxdrv(O) nfsd auth_rpcgss oid_registry nfs_acl nfs lockd grace fscache sunrpc arc4 rt73usb rt2x00usb rt2x00lib mac80211 cfg80211 rfkill crc_itu_t kvm_intel kvm snd_hda_codec_realtek snd_hda_codec_generic evdev snd_hda_intel snd_hda_codec psmouse snd_hda_core snd_hwdep serio_raw pcspkr iTCO_wdt iTCO_vendor_support snd_pcm i915 snd_timer i2c_i801 snd soundcore lpc_ich mfd_core rng_core video drm_kms_helper drm ite_cir rc_core shpchp wmi button i2c_algo_bit acpi_cpufreq processor it87 hwmon_vid coretemp fuse parport_pc ppdev lp parport autofs4 ext4 crc16 mbcache jbd2 uas usb_storage sg sr_mod cdrom sd_mod ata_generic ata_piix libata scsi_mod xhci_pci xhci_hcd r8169 mii uhci_hcd ehci_pci ehci_hcd usbcore usb_common
Jan  9 21:42:38 waterhole kernel: [15552.636178] CPU: 0 PID: 940 Comm: Xorg Tainted: G        W  O    4.3.0-0.bpo.1-amd64 #1 Debian 4.3.3-2~bpo8+1
Jan  9 21:42:38 waterhole kernel: [15552.636181] Hardware name: eMachines EL1850/EL1850, BIOS P01-B3  06/08/2011
Jan  9 21:42:38 waterhole kernel: [15552.636184]  0000000000000000 00000000c1c1dae8 ffffffff812e1829 ffff8800c8dbbab8
Jan  9 21:42:38 waterhole kernel: [15552.636188]  ffffffff81074451 0000000000000000 ffff8800c8dbbb10 0000000000000000
Jan  9 21:42:38 waterhole kernel: [15552.636191]  00000000000e2522 ffff8800c6f00208 ffffffff810744dc ffffffffa0323038
Jan  9 21:42:38 waterhole kernel: [15552.636195] Call Trace:
Jan  9 21:42:38 waterhole kernel: [15552.636203]  [<ffffffff812e1829>] ? dump_stack+0x40/0x57
Jan  9 21:42:38 waterhole kernel: [15552.636208]  [<ffffffff81074451>] ? warn_slowpath_common+0x81/0xb0
Jan  9 21:42:38 waterhole kernel: [15552.636211]  [<ffffffff810744dc>] ? warn_slowpath_fmt+0x5c/0x80
Jan  9 21:42:38 waterhole kernel: [15552.636216]  [<ffffffff810b303b>] ? finish_wait+0x3b/0x70
Jan  9 21:42:38 waterhole kernel: [15552.636229]  [<ffffffffa02f5000>] ? drm_wait_one_vblank+0x160/0x1a0 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.636232]  [<ffffffff810b31a0>] ? wait_woken+0x90/0x90
Jan  9 21:42:38 waterhole kernel: [15552.636289]  [<ffffffffa041596e>] ? intel_pre_disable_primary+0x4e/0x80 [i915]
Jan  9 21:42:38 waterhole kernel: [15552.636316]  [<ffffffffa0415b54>] ? intel_pre_plane_update+0xf4/0x120 [i915]
Jan  9 21:42:38 waterhole kernel: [15552.636344]  [<ffffffffa04161be>] ? intel_atomic_commit+0x22e/0x12e0 [i915]
Jan  9 21:42:38 waterhole kernel: [15552.636366]  [<ffffffffa030cee8>] ? drm_atomic_check_only+0x1c8/0x580 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.636392]  [<ffffffffa03ff168>] ? intel_crtc_duplicate_state+0x38/0x80 [i915]
Jan  9 21:42:38 waterhole kernel: [15552.636411]  [<ffffffffa030c377>] ? drm_atomic_get_crtc_state+0x67/0xc0 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.636426]  [<ffffffffa0370507>] ? drm_atomic_helper_disable_plane+0xe7/0x130 [drm_kms_helper]
Jan  9 21:42:38 waterhole kernel: [15552.636442]  [<ffffffffa02fd738>] ? __setplane_internal+0x258/0x330 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.636461]  [<ffffffffa030bdd7>] ? drm_modeset_lock_all_crtcs+0x87/0xa0 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.636478]  [<ffffffffa030134c>] ? drm_mode_setplane+0x13c/0x1b0 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.636491]  [<ffffffffa02f32d0>] ? drm_ioctl+0x110/0x470 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.636507]  [<ffffffffa0301210>] ? drm_plane_check_pixel_format+0x50/0x50 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.636512]  [<ffffffff8118f94d>] ? handle_mm_fault+0xb3d/0x16c0
Jan  9 21:42:38 waterhole kernel: [15552.636518]  [<ffffffff811e31e5>] ? do_vfs_ioctl+0x2d5/0x4b0
Jan  9 21:42:38 waterhole kernel: [15552.636521]  [<ffffffff811e3436>] ? SyS_ioctl+0x76/0x90
Jan  9 21:42:38 waterhole kernel: [15552.636527]  [<ffffffff81585876>] ? system_call_fast_compare_end+0xc/0x6b
Jan  9 21:42:38 waterhole kernel: [15552.636530] ---[ end trace 7d1c5e5d8e321986 ]---
Jan  9 21:42:38 waterhole kernel: [15552.736036] ------------[ cut here ]------------
Jan  9 21:42:38 waterhole kernel: [15552.736058] WARNING: CPU: 0 PID: 940 at /build/linux-LMUB50/linux-4.3.3/drivers/gpu/drm/drm_irq.c:1180 drm_wait_one_vblank+0x160/0x1a0 [drm]()
Jan  9 21:42:38 waterhole kernel: [15552.736062] vblank wait timed out on crtc 0
Jan  9 21:42:38 waterhole kernel: [15552.736064] Modules linked in: sha256_ssse3 sha256_generic hmac drbg ansi_cprng ctr ccm binfmt_misc pci_stub vboxpci(O) vboxnetadp(O) vboxnetflt(O) vboxdrv(O) nfsd auth_rpcgss oid_registry nfs_acl nfs lockd grace fscache sunrpc arc4 rt73usb rt2x00usb rt2x00lib mac80211 cfg80211 rfkill crc_itu_t kvm_intel kvm snd_hda_codec_realtek snd_hda_codec_generic evdev snd_hda_intel snd_hda_codec psmouse snd_hda_core snd_hwdep serio_raw pcspkr iTCO_wdt iTCO_vendor_support snd_pcm i915 snd_timer i2c_i801 snd soundcore lpc_ich mfd_core rng_core video drm_kms_helper drm ite_cir rc_core shpchp wmi button i2c_algo_bit acpi_cpufreq processor it87 hwmon_vid coretemp fuse parport_pc ppdev lp parport autofs4 ext4 crc16 mbcache jbd2 uas usb_storage sg sr_mod cdrom sd_mod ata_generic ata_piix libata scsi_mod xhci_pci xhci_hcd r8169 mii uhci_hcd ehci_pci ehci_hcd usbcore usb_common
Jan  9 21:42:38 waterhole kernel: [15552.736166] CPU: 0 PID: 940 Comm: Xorg Tainted: G        W  O    4.3.0-0.bpo.1-amd64 #1 Debian 4.3.3-2~bpo8+1
Jan  9 21:42:38 waterhole kernel: [15552.736169] Hardware name: eMachines EL1850/EL1850, BIOS P01-B3  06/08/2011
Jan  9 21:42:38 waterhole kernel: [15552.736172]  0000000000000000 00000000c1c1dae8 ffffffff812e1829 ffff8800c8dbbb18
Jan  9 21:42:38 waterhole kernel: [15552.736177]  ffffffff81074451 0000000000000000 ffff8800c8dbbb70 0000000000000000
Jan  9 21:42:38 waterhole kernel: [15552.736182]  00000000000e2522 ffff8800c6f00208 ffffffff810744dc ffffffffa0323038
Jan  9 21:42:38 waterhole kernel: [15552.736187] Call Trace:
Jan  9 21:42:38 waterhole kernel: [15552.736194]  [<ffffffff812e1829>] ? dump_stack+0x40/0x57
Jan  9 21:42:38 waterhole kernel: [15552.736198]  [<ffffffff81074451>] ? warn_slowpath_common+0x81/0xb0
Jan  9 21:42:38 waterhole kernel: [15552.736202]  [<ffffffff810744dc>] ? warn_slowpath_fmt+0x5c/0x80
Jan  9 21:42:38 waterhole kernel: [15552.736207]  [<ffffffff810b303b>] ? finish_wait+0x3b/0x70
Jan  9 21:42:38 waterhole kernel: [15552.736224]  [<ffffffffa02f5000>] ? drm_wait_one_vblank+0x160/0x1a0 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.736229]  [<ffffffff810b31a0>] ? wait_woken+0x90/0x90
Jan  9 21:42:38 waterhole kernel: [15552.736269]  [<ffffffffa04163a3>] ? intel_atomic_commit+0x413/0x12e0 [i915]
Jan  9 21:42:38 waterhole kernel: [15552.736295]  [<ffffffffa030cee8>] ? drm_atomic_check_only+0x1c8/0x580 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.736330]  [<ffffffffa03ff168>] ? intel_crtc_duplicate_state+0x38/0x80 [i915]
Jan  9 21:42:38 waterhole kernel: [15552.736355]  [<ffffffffa030c377>] ? drm_atomic_get_crtc_state+0x67/0xc0 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.736367]  [<ffffffffa0370507>] ? drm_atomic_helper_disable_plane+0xe7/0x130 [drm_kms_helper]
Jan  9 21:42:38 waterhole kernel: [15552.736389]  [<ffffffffa02fd738>] ? __setplane_internal+0x258/0x330 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.736413]  [<ffffffffa030bdd7>] ? drm_modeset_lock_all_crtcs+0x87/0xa0 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.736436]  [<ffffffffa030134c>] ? drm_mode_setplane+0x13c/0x1b0 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.736452]  [<ffffffffa02f32d0>] ? drm_ioctl+0x110/0x470 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.736475]  [<ffffffffa0301210>] ? drm_plane_check_pixel_format+0x50/0x50 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.736480]  [<ffffffff8118f94d>] ? handle_mm_fault+0xb3d/0x16c0
Jan  9 21:42:38 waterhole kernel: [15552.736486]  [<ffffffff811e31e5>] ? do_vfs_ioctl+0x2d5/0x4b0
Jan  9 21:42:38 waterhole kernel: [15552.736491]  [<ffffffff811e3436>] ? SyS_ioctl+0x76/0x90
Jan  9 21:42:38 waterhole kernel: [15552.736497]  [<ffffffff81585876>] ? system_call_fast_compare_end+0xc/0x6b
Jan  9 21:42:38 waterhole kernel: [15552.736501] ---[ end trace 7d1c5e5d8e321987 ]---
Jan  9 21:42:38 waterhole kernel: [15552.888040] ------------[ cut here ]------------
Jan  9 21:42:38 waterhole kernel: [15552.888072] WARNING: CPU: 0 PID: 940 at /build/linux-LMUB50/linux-4.3.3/drivers/gpu/drm/drm_irq.c:1180 drm_wait_one_vblank+0x160/0x1a0 [drm]()
Jan  9 21:42:38 waterhole kernel: [15552.888073] vblank wait timed out on crtc 0
Jan  9 21:42:38 waterhole kernel: [15552.888141] Modules linked in: sha256_ssse3 sha256_generic hmac drbg ansi_cprng ctr ccm binfmt_misc pci_stub vboxpci(O) vboxnetadp(O) vboxnetflt(O) vboxdrv(O) nfsd auth_rpcgss oid_registry nfs_acl nfs lockd grace fscache sunrpc arc4 rt73usb rt2x00usb rt2x00lib mac80211 cfg80211 rfkill crc_itu_t kvm_intel kvm snd_hda_codec_realtek snd_hda_codec_generic evdev snd_hda_intel snd_hda_codec psmouse snd_hda_core snd_hwdep serio_raw pcspkr iTCO_wdt iTCO_vendor_support snd_pcm i915 snd_timer i2c_i801 snd soundcore lpc_ich mfd_core rng_core video drm_kms_helper drm ite_cir rc_core shpchp wmi button i2c_algo_bit acpi_cpufreq processor it87 hwmon_vid coretemp fuse parport_pc ppdev lp parport autofs4 ext4 crc16 mbcache jbd2 uas usb_storage sg sr_mod cdrom sd_mod ata_generic ata_piix libata scsi_mod xhci_pci xhci_hcd r8169 mii uhci_hcd ehci_pci ehci_hcd usbcore usb_common
Jan  9 21:42:38 waterhole kernel: [15552.888157] CPU: 0 PID: 940 Comm: Xorg Tainted: G        W  O    4.3.0-0.bpo.1-amd64 #1 Debian 4.3.3-2~bpo8+1
Jan  9 21:42:38 waterhole kernel: [15552.888158] Hardware name: eMachines EL1850/EL1850, BIOS P01-B3  06/08/2011
Jan  9 21:42:38 waterhole kernel: [15552.888161]  0000000000000000 00000000c1c1dae8 ffffffff812e1829 ffff8800c8dbb870
Jan  9 21:42:38 waterhole kernel: [15552.888162]  ffffffff81074451 0000000000000000 ffff8800c8dbb8c8 0000000000000000
Jan  9 21:42:38 waterhole kernel: [15552.888164]  00000000000e2522 ffff8800c6f00208 ffffffff810744dc ffffffffa0323038
Jan  9 21:42:38 waterhole kernel: [15552.888164] Call Trace:
Jan  9 21:42:38 waterhole kernel: [15552.888170]  [<ffffffff812e1829>] ? dump_stack+0x40/0x57
Jan  9 21:42:38 waterhole kernel: [15552.888172]  [<ffffffff81074451>] ? warn_slowpath_common+0x81/0xb0
Jan  9 21:42:38 waterhole kernel: [15552.888174]  [<ffffffff810744dc>] ? warn_slowpath_fmt+0x5c/0x80
Jan  9 21:42:38 waterhole kernel: [15552.888176]  [<ffffffff810b303b>] ? finish_wait+0x3b/0x70
Jan  9 21:42:38 waterhole kernel: [15552.888184]  [<ffffffffa02f5000>] ? drm_wait_one_vblank+0x160/0x1a0 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.888186]  [<ffffffff810b31a0>] ? wait_woken+0x90/0x90
Jan  9 21:42:38 waterhole kernel: [15552.888225]  [<ffffffffa04163a3>] ? intel_atomic_commit+0x413/0x12e0 [i915]
Jan  9 21:42:38 waterhole kernel: [15552.888240]  [<ffffffffa030cee8>] ? drm_atomic_check_only+0x1c8/0x580 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.888250]  [<ffffffffa0370702>] ? drm_atomic_helper_set_config+0x1b2/0x410 [drm_kms_helper]
Jan  9 21:42:38 waterhole kernel: [15552.888260]  [<ffffffffa02fd8de>] ? drm_mode_set_config_internal+0x5e/0xf0 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.888265]  [<ffffffffa03733e3>] ? restore_fbdev_mode+0xa3/0x100 [drm_kms_helper]
Jan  9 21:42:38 waterhole kernel: [15552.888270]  [<ffffffffa0375190>] ? drm_fb_helper_restore_fbdev_mode_unlocked+0x20/0x60 [drm_kms_helper]
Jan  9 21:42:38 waterhole kernel: [15552.888275]  [<ffffffffa03751f9>] ? drm_fb_helper_set_par+0x29/0x50 [drm_kms_helper]
Jan  9 21:42:38 waterhole kernel: [15552.888293]  [<ffffffffa042bec6>] ? intel_fbdev_set_par+0x16/0x60 [i915]
Jan  9 21:42:38 waterhole kernel: [15552.888296]  [<ffffffff8134eb91>] ? fb_set_var+0x171/0x3b0
Jan  9 21:42:38 waterhole kernel: [15552.888299]  [<ffffffff811e4f76>] ? do_sys_poll+0x146/0x560
Jan  9 21:42:38 waterhole kernel: [15552.888302]  [<ffffffff810a6eca>] ? update_curr+0xba/0x110
Jan  9 21:42:38 waterhole kernel: [15552.888303]  [<ffffffff810a937d>] ? enqueue_entity+0x4ed/0x9a0
Jan  9 21:42:38 waterhole kernel: [15552.888305]  [<ffffffff81345e47>] ? fbcon_blank+0x227/0x2f0
Jan  9 21:42:38 waterhole kernel: [15552.888309]  [<ffffffff813c0543>] ? do_unblank_screen+0xb3/0x1b0
Jan  9 21:42:38 waterhole kernel: [15552.888311]  [<ffffffff813b6d94>] ? complete_change_console+0x54/0xd0
Jan  9 21:42:38 waterhole kernel: [15552.888313]  [<ffffffff813b7e06>] ? vt_ioctl+0xff6/0x1270
Jan  9 21:42:38 waterhole kernel: [15552.888315]  [<ffffffff8118d721>] ? do_wp_page+0x251/0x610
Jan  9 21:42:38 waterhole kernel: [15552.888322]  [<ffffffffa02f3301>] ? drm_ioctl+0x141/0x470 [drm]
Jan  9 21:42:38 waterhole kernel: [15552.888325]  [<ffffffff813aafc2>] ? tty_ioctl+0x3b2/0xbf0
Jan  9 21:42:38 waterhole kernel: [15552.888327]  [<ffffffff8118fa8f>] ? handle_mm_fault+0xc7f/0x16c0
Jan  9 21:42:38 waterhole kernel: [15552.888329]  [<ffffffff811e31e5>] ? do_vfs_ioctl+0x2d5/0x4b0
Jan  9 21:42:38 waterhole kernel: [15552.888331]  [<ffffffff811e3436>] ? SyS_ioctl+0x76/0x90
Jan  9 21:42:38 waterhole kernel: [15552.888334]  [<ffffffff81585876>] ? system_call_fast_compare_end+0xc/0x6b
Jan  9 21:42:38 waterhole kernel: [15552.888335] ---[ end trace 7d1c5e5d8e321988 ]---
Comment 86 Chris 2016-01-09 22:23:09 UTC
The last time my system froze with the 'Hangcheck...'error was 07/28/2015 which is not to say it's froze since then without the error which it has. It froze on 10/03/2015 (I was running kernel 4.2.3-040203-generic #201510030832 SMP Sat
Oct 3 12:34:31 UTC 2015)
10/12/2015 - same kernel
10/14/2015 - same kernel
10/19/2015 - same kernel
10/24/2015 - same kernel
11/16/2015 - same kernel
01/03/2016 - same kernel at which time I switched over to kernel 3.19.0-42-generic #48~14.04.1-Ubuntu SMP Fri Dec 18 10:24:49 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux) Uptime between the 11/16/2015 freeze and the 01/03/2016 freeze was 47d 12h 4m. That's one of the longest runs of uptime I can remember since I switched to Ubuntu. If anyone would like to see any of the syslog output for these freezes I can provide them as I have hourly syslog snippets from all the freezes.

I tried running the 4.3...kernel several times however the system would not finish the boot process.
Comment 87 Miguel A. Vallejo 2016-01-10 00:10:02 UTC
You are lucky Chris!

For me this is becoming a nightmare and I'm seriously considering to buy another computer with no intel graphics.

I'm having at least one X_Window system froze every day. Always the same pattern; while using 3D graphics or accelerated 3D output. The only thing that apparently works is disable DRI in xorg.conf, but then computer is almost unusable because of the extremely poor graphics performance, not to mention many programs directly does not like to work without DRI.

More than two years and the bug is still present. A nightmare!
Comment 88 Andre Robatino 2016-01-10 06:43:53 UTC
I last saw the bug on Fedora 20. Never on 21, 22, or 23. Fedora 21 was released over a year ago.
Comment 89 Miguel A. Vallejo 2016-01-10 13:48:06 UTC
So, where is the bug?

Kernel? I have confirmed the bug in every release from 3.1x up to 4.3

xf86-video-intel? Using 2.99.917 and bug still present.

Maybe Mesa?

Any idea will be welcomed!
Comment 90 Chris 2016-01-10 15:12:43 UTC
I don't use any 3D graphics on this box Miguel, it's only used for email and connecting to the internet. As you can see in my initial comments I'd find a black screen with only a movable cursor and no keyboard action at all. It progressed until it would freeze when I was using Firefox and scrolling through my Facebook or Twitter feed. As I noted earlier the 'Hangcheck...' error would not be there for every freeze either especially the most recent ones. I've tried a slew of different kernels, with the exception of the 4.3, which I mentioned would not boot, all of which seem to freeze at one time or another. I'm not sure how in depth the Intel Graphics folks are digging into this.
Comment 91 Chris 2016-01-18 14:35:47 UTC
Video froze last night, 01/17/2016 21:06:30 after uptime of 14d 12h 40m from the last video freeze. I was running kernel 3.19.0-42-generic #48~14.04.1-Ubuntu SMP Fri Dec 18 10:24:49 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux) at the time. This time the hangcheck error was noted in my syslog 

Jan 17 21:17:32 localhost kernel: [1255120.808035] [drm:i915_hangcheck_elapsed [i915]] *ERROR* Hangcheck timer elapsed... render ring idle

I did a reboot via SSH from my tablet and loaded the newest 3.19 kernel

3.19.0-43-generic #49~14.04.1-Ubuntu SMP Thu Dec 31 15:44:49 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

As usual during these freezes the mouse cursor would move but all other actions are frozen. Could not switch to another desktop and so forth.
Comment 92 guideme 2016-01-19 11:10:01 UTC
I really would appreciate some suggestions into how to triage this bug or to just have a developer be polite enough to tell everyone to sod off about this, assuming they even still bother to check on this issue at all ;)
Comment 93 Chris 2016-01-19 14:45:10 UTC
You would think that since this has been happening for almost two years now that a fix would have been applied a long time ago but apparently now. It doesn't matter which kernel I run it still happens.
Comment 94 Miguel A. Vallejo 2016-01-19 14:55:17 UTC
I was having almost a "Hangcheck timer elapsed... render ring idle" error every day. The last one on january 9. That date, as last resort, I added Option DRI False to xorg.conf, no problems since then.

Video performance is sub-optimal, tearing is very noticeable even moving windows around, but at least it does not hangs in the middle of an important task.
Comment 95 Chris 2016-01-19 15:43:29 UTC
These are the xorg.conf files I have:

chris@localhost:/usr/share/X11/xorg.conf.d$ ls -l
total 32
-rw-r--r-- 1 root root 1099 May 12  2015 10-evdev.conf
-rw-r--r-- 1 root root 1350 May 12  2015 10-quirks.conf
-rw-r--r-- 1 root root  590 May 25  2015 11-evdev-quirks.conf
-rw-r--r-- 1 root root  364 May 25  2015 11-evdev-trackpoint.conf
-rw-r--r-- 1 root root 1751 Jun  9  2015 50-synaptics.conf
-rw-r--r-- 1 root root  115 Jun  9  2015 50-vmmouse.conf
-rw-r--r-- 1 root root  858 Jun 10  2015 50-wacom.conf
-rw-r--r-- 1 root root  590 Jun  9  2015 51-synaptics-quirks.conf

Which one of these would I add DRI false to?

When you say "Video performance is sub-optimal, tearing is very noticeable even moving windows around" do you mean a lot of screen 'flicker'? If so I see that a lot also no matter which kernel I run lately.
Comment 96 Miguel A. Vallejo 2016-01-19 15:50:24 UTC
I have this:

/etc/X11/xorg.conf.d/20-intel.conf 

Section "Device"
        Identifier  "Intel Graphics"
        Driver      "intel"
        Option      "AccelMethod" "sna"
        Option      "DRI" "False"
EndSection

About the video performance... Have you ever seen a Windows computer without video driver? Using only the default VGA driver? Something like that: Video is quite slow, sometimes you can see how things are drawn on the screen, tearing is *very* noticeable, and even sometimes some areas on the screen does not get upgraded until you pass the mouse cursor over them. But at least I have run 10 days without a "Hangcheck timer elapsed... render ring idle" error.
Comment 97 Chris 2016-01-22 14:00:17 UTC
Video froze again last night with an uptime of 3d 23h 30m since the last one. This time there was no 'Hangcheck....' noted in the syslog. At the time of the freeze as with many of them I was using Firefox V43.0.4 and writing a tweet. When I rebooted I loaded the newest Ubuntu 3.19 kernel - 3.19.0-47-generic #53~14.04.1-Ubuntu SMP Mon Jan 18 16:09:14 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
Comment 98 sven 2016-03-20 23:24:14 UTC
I sometimes experience this when logging out of a Gnome session on kernel 4.4.5. Then, GDM hangs and I only can pull the plug.
Comment 99 Miguel A. Vallejo 2016-04-27 23:22:43 UTC
Today I've just installed kernel 4.5 and problem is still there. The computer just frozen at first try while loading http://sci.esa.int/where_is_rosetta/ with Chrome 50.

uname -a

Linux waterhole 4.5.0-0.bpo.1-amd64 #1 SMP Debian 4.5.1-1~bpo8+1 (2016-04-20) x86_64 GNU/Linux


/var/log/syslog

Apr 28 01:04:12 waterhole kernel: [16459.816122] [drm:i915_hangcheck_elapsed [i915]] *ERROR* Hangcheck timer elapsed... render ring idle
Apr 28 01:05:10 waterhole kernel: [16517.628055] ------------[ cut here ]------------
Apr 28 01:05:10 waterhole kernel: [16517.628129] WARNING: CPU: 1 PID: 616 at /build/linux-Ki7dwx/linux-4.5.1/drivers/gpu/drm/i915/intel_display.c:3948 intel_atomic_commit+0x16a9/0x16c0 [i915]()
Apr 28 01:05:10 waterhole kernel: [16517.628132] Removing stuck page flip
Apr 28 01:05:10 waterhole kernel: [16517.628134] Modules linked in: snd_seq_dummy(E) snd_seq(E) snd_seq_device(E) hmac(E) drbg(E) ansi_cprng(E) ctr(E) ccm(E) pci_stub(E) vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) binfmt_misc(E) arc4(E) rt73usb(E) rt2x00usb(E) rt2x00lib(E) mac80211(E) cfg80211(E) rfkill(E) crc_itu_t(E) snd_hda_codec_realtek(E) snd_hda_codec_generic(E) snd_hda_intel(E) snd_hda_codec(E) snd_hda_core(E) snd_hwdep(E) iTCO_wdt(E) iTCO_vendor_support(E) kvm_intel(E) kvm(E) irqbypass(E) snd_pcm(E) snd_timer(E) pcspkr(E) evdev(E) i915(E) snd(E) soundcore(E) serio_raw(E) lpc_ich(E) i2c_i801(E) mfd_core(E) video(E) drm_kms_helper(E) drm(E) wmi(E) button(E) shpchp(E) ite_cir(E) rc_core(E) rng_core(E) i2c_algo_bit(E) acpi_cpufreq(E) tpm_tis(E) tpm(E) processor(E) it87(E) hwmon_vid(E) coretemp(E) fuse(E) parport_pc(E) ppdev(E) lp(E) parport(E) autofs4(E) ext4(E) crc16(E) mbcache(E) jbd2(E) uas(E) usb_storage(E) sg(E) sr_mod(E) cdrom(E) sd_mod(E) ata_generic(E) psmouse(E) ata_piix(E) libata(E) scsi_mod(E) fjes(E) xhci_pci(E) xhci_hcd(E) ehci_pci(E) uhci_hcd(E) ehci_hcd(E) usbcore(E) usb_common(E)
Apr 28 01:05:10 waterhole kernel: [16517.628227] CPU: 1 PID: 616 Comm: Xorg Tainted: G           OE   4.5.0-0.bpo.1-amd64 #1 Debian 4.5.1-1~bpo8+1
Apr 28 01:05:10 waterhole kernel: [16517.628229] Hardware name: eMachines EL1850/EL1850, BIOS P01-B3  06/08/2011
Apr 28 01:05:10 waterhole kernel: [16517.628230]  0000000000000086 00000000558150e2 ffffffff813099f5 ffff8800c89f3a80
Apr 28 01:05:10 waterhole kernel: [16517.628232]  ffffffffc04adca0 ffffffff81079a61 ffff8800c95d90a0 ffff8800c89f3ad8
Apr 28 01:05:10 waterhole kernel: [16517.628234]  ffff8800ae43aa00 ffff88012a70c000 0000000000000000 ffffffff81079aec
Apr 28 01:05:10 waterhole kernel: [16517.628236] Call Trace:
Apr 28 01:05:10 waterhole kernel: [16517.628242]  [<ffffffff813099f5>] ? dump_stack+0x5c/0x77
Apr 28 01:05:10 waterhole kernel: [16517.628245]  [<ffffffff81079a61>] ? warn_slowpath_common+0x81/0xb0
Apr 28 01:05:10 waterhole kernel: [16517.628247]  [<ffffffff81079aec>] ? warn_slowpath_fmt+0x5c/0x80
Apr 28 01:05:10 waterhole kernel: [16517.628249]  [<ffffffff810b933b>] ? finish_wait+0x3b/0x70
Apr 28 01:05:10 waterhole kernel: [16517.628269]  [<ffffffffc04497a9>] ? intel_atomic_commit+0x16a9/0x16c0 [i915]
Apr 28 01:05:10 waterhole kernel: [16517.628271]  [<ffffffff810b94a0>] ? wait_woken+0x90/0x90
Apr 28 01:05:10 waterhole kernel: [16517.628297]  [<ffffffffc033b6f7>] ? drm_atomic_get_crtc_state+0x67/0xc0 [drm]
Apr 28 01:05:10 waterhole kernel: [16517.628309]  [<ffffffffc03a0b0c>] ? drm_atomic_helper_update_plane+0xec/0x130 [drm_kms_helper]
Apr 28 01:05:10 waterhole kernel: [16517.628320]  [<ffffffffc032c46e>] ? __setplane_internal+0x23e/0x290 [drm]
Apr 28 01:05:10 waterhole kernel: [16517.628331]  [<ffffffffc032c903>] ? drm_mode_cursor_universal+0x123/0x210 [drm]
Apr 28 01:05:10 waterhole kernel: [16517.628342]  [<ffffffffc032ca67>] ? drm_mode_cursor_common+0x77/0x170 [drm]
Apr 28 01:05:10 waterhole kernel: [16517.628353]  [<ffffffffc03309e4>] ? drm_mode_cursor_ioctl+0x54/0x70 [drm]
Apr 28 01:05:10 waterhole kernel: [16517.628362]  [<ffffffffc0322596>] ? drm_ioctl+0x126/0x490 [drm]
Apr 28 01:05:10 waterhole kernel: [16517.628373]  [<ffffffffc0330990>] ? drm_mode_setcrtc+0x510/0x510 [drm]
Apr 28 01:05:10 waterhole kernel: [16517.628376]  [<ffffffffc038ea05>] ? evdev_read+0x145/0x400 [evdev]
Apr 28 01:05:10 waterhole kernel: [16517.628379]  [<ffffffff811fe479>] ? do_vfs_ioctl+0x99/0x5d0
Apr 28 01:05:10 waterhole kernel: [16517.628381]  [<ffffffff810851f3>] ? recalc_sigpending+0x13/0x50
Apr 28 01:05:10 waterhole kernel: [16517.628383]  [<ffffffff81085b1d>] ? __set_task_blocked+0x3d/0x90
Apr 28 01:05:10 waterhole kernel: [16517.628385]  [<ffffffff81088471>] ? __set_current_blocked+0x31/0x50
Apr 28 01:05:10 waterhole kernel: [16517.628387]  [<ffffffff811fea26>] ? SyS_ioctl+0x76/0x90
Apr 28 01:05:10 waterhole kernel: [16517.628390]  [<ffffffff815b97b6>] ? system_call_fast_compare_end+0xc/0x6b
Apr 28 01:05:10 waterhole kernel: [16517.628392] ---[ end trace aa9253a7c1775791 ]---
Comment 100 Parijatha Kumar 2016-06-16 08:40:15 UTC
I am also affected by the same error. I think it happens if I leave my laptop idly for more than an 45 minutes. My current config is ...

-- chipset: i915
-- system architecture: x86_64
-- xf86-video-intel: 1:2.99.917-1
-- xorg-server: 1.17.4-2
-- mesa: 11.2.2-1
-- libdrm: 2.4.68-1
-- kernel: 4.4.13-ARCH
-- Linux distribution: Manjaro (Arch) Linux (x86_64)
-- Machine model: ASUS laptop P53E
Comment 101 Miguel A. Vallejo 2016-09-16 15:56:34 UTC
The bug is still present in kernel 4.6.4:

Linux waterhole 4.6.0-0.bpo.1-amd64 #1 SMP Debian 4.6.4-1~bpo8+1 (2016-08-11) x86_64 GNU/Linux

Today's big crash. This is becoming exasperating

Sep 16 16:25:40 waterhole kernel: [12976.804142] [drm:i915_hangcheck_elapsed [i915]] *ERROR* Hangcheck timer elapsed... render ring idle
Sep 16 16:26:37 waterhole kernel: [13033.204045] ------------[ cut here ]------------
Sep 16 16:26:37 waterhole kernel: [13033.204114] WARNING: CPU: 1 PID: 891 at /home/zumbi/linux-4.6.4/drivers/gpu/drm/i915/intel_display.c:3931 intel_atomic_commit+0x14a5/0x14b0 [i915]
Sep 16 16:26:37 waterhole kernel: [13033.204117] Removing stuck page flip
Sep 16 16:26:37 waterhole kernel: [13033.204119] Modules linked in: hmac(E) drbg(E) ansi_cprng(E) ctr(E) ccm(E) binfmt_misc(E) pci_stub(E) vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) arc4(E) rt73usb(E) rt2x00usb(E) rt2x00lib(E) mac80211(E) cfg80211(E) rfkill(E) crc_itu_t(E) i915(E) kvm_intel(E) kvm(E) iTCO_wdt(E) irqbypass(E) iTCO_vendor_support(E) snd_hda_codec_realtek(E) snd_hda_codec_generic(E) acpi_cpufreq(E) video(E) snd_hda_intel(E) drm_kms_helper(E) snd_hda_codec(E) pcspkr(E) drm(E) snd_hda_core(E) lpc_ich(E) snd_hwdep(E) tpm_tis(E) mfd_core(E) evdev(E) snd_pcm(E) i2c_algo_bit(E) snd_timer(E) snd(E) serio_raw(E) i2c_i801(E) tpm(E) shpchp(E) rng_core(E) ite_cir(E) wmi(E) rc_core(E) button(E) processor(E) soundcore(E) it87(E) hwmon_vid(E) coretemp(E) fuse(E) parport_pc(E) ppdev(E) lp(E) parport(E) autofs4(E) ext4(E) crc16(E) jbd2(E) mbcache(E) uas(E) usb_storage(E) sg(E) sd_mod(E) sr_mod(E) cdrom(E) ata_generic(E) psmouse(E) ata_piix(E) libata(E) scsi_mod(E) fjes(E) xhci_pci(E) xhci_hcd(E) ehci_pci(E) uhci_hcd(E) ehci_hcd(E) usbcore(E) usb_common(E)
Sep 16 16:26:37 waterhole kernel: [13033.204222] CPU: 1 PID: 891 Comm: Xorg Tainted: G           OE   4.6.0-0.bpo.1-amd64 #1 Debian 4.6.4-1~bpo8+1
Sep 16 16:26:37 waterhole kernel: [13033.204225] Hardware name: eMachines EL1850/EL1850, BIOS P01-B3  06/08/2011
Sep 16 16:26:37 waterhole kernel: [13033.204229]  0000000000000086 00000000fe61e29d ffffffff813124c5 ffff8800c6803b78
Sep 16 16:26:37 waterhole kernel: [13033.204235]  0000000000000000 ffffffff8107af94 0000000000000000 ffff8800c6803bd0
Sep 16 16:26:37 waterhole kernel: [13033.204240]  ffff88012a73f000 ffff8801299e91b8 ffff88012a7e79a8 ffff880114febe00
Sep 16 16:26:37 waterhole kernel: [13033.204245] Call Trace:
Sep 16 16:26:37 waterhole kernel: [13033.204254]  [<ffffffff813124c5>] ? dump_stack+0x5c/0x77
Sep 16 16:26:37 waterhole kernel: [13033.204260]  [<ffffffff8107af94>] ? __warn+0xc4/0xe0
Sep 16 16:26:37 waterhole kernel: [13033.204265]  [<ffffffff8107b00f>] ? warn_slowpath_fmt+0x5f/0x80
Sep 16 16:26:37 waterhole kernel: [13033.204271]  [<ffffffff810bb55b>] ? finish_wait+0x3b/0x70
Sep 16 16:26:37 waterhole kernel: [13033.204320]  [<ffffffffc06b7255>] ? intel_atomic_commit+0x14a5/0x14b0 [i915]
Sep 16 16:26:37 waterhole kernel: [13033.204325]  [<ffffffff810bb6c0>] ? wait_woken+0x90/0x90
Sep 16 16:26:37 waterhole kernel: [13033.204343]  [<ffffffffc042a549>] ? drm_atomic_helper_disable_plane+0xa9/0xf0 [drm_kms_helper]
Sep 16 16:26:37 waterhole kernel: [13033.204379]  [<ffffffffc03b55ef>] ? __setplane_internal+0x17f/0x290 [drm]
Sep 16 16:26:37 waterhole kernel: [13033.204410]  [<ffffffffc03c36f3>] ? drm_modeset_lock_all_ctx+0x93/0xb0 [drm]
Sep 16 16:26:37 waterhole kernel: [13033.204440]  [<ffffffffc03b87bc>] ? drm_mode_setplane+0x13c/0x1b0 [drm]
Sep 16 16:26:37 waterhole kernel: [13033.204463]  [<ffffffffc03aa786>] ? drm_ioctl+0x126/0x490 [drm]
Sep 16 16:26:37 waterhole kernel: [13033.204469]  [<ffffffff811726cf>] ? filemap_map_pages+0x30f/0x330
Sep 16 16:26:37 waterhole kernel: [13033.204498]  [<ffffffffc03b8680>] ? drm_plane_check_pixel_format+0x50/0x50 [drm]
Sep 16 16:26:37 waterhole kernel: [13033.204504]  [<ffffffff811a8e4d>] ? handle_mm_fault+0x154d/0x1cb0
Sep 16 16:26:37 waterhole kernel: [13033.204510]  [<ffffffff812053a9>] ? do_vfs_ioctl+0x99/0x5d0
Sep 16 16:26:37 waterhole kernel: [13033.204515]  [<ffffffff811f1cd7>] ? vfs_write+0x157/0x190
Sep 16 16:26:37 waterhole kernel: [13033.204520]  [<ffffffff81205956>] ? SyS_ioctl+0x76/0x90
Sep 16 16:26:37 waterhole kernel: [13033.204527]  [<ffffffff815c8536>] ? system_call_fast_compare_end+0xc/0x96
Sep 16 16:26:37 waterhole kernel: [13033.204531] ---[ end trace b4da916d849b1cb7 ]---
Sep 16 16:26:37 waterhole kernel: [13033.304040] ------------[ cut here ]------------
Sep 16 16:26:37 waterhole kernel: [13033.304087] WARNING: CPU: 1 PID: 891 at /home/zumbi/linux-4.6.4/drivers/gpu/drm/drm_irq.c:1326 drm_wait_one_vblank+0x15b/0x1a0 [drm]
Sep 16 16:26:37 waterhole kernel: [13033.304091] vblank wait timed out on crtc 0
Sep 16 16:26:37 waterhole kernel: [13033.304094] Modules linked in: hmac(E) drbg(E) ansi_cprng(E) ctr(E) ccm(E) binfmt_misc(E) pci_stub(E) vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) arc4(E) rt73usb(E) rt2x00usb(E) rt2x00lib(E) mac80211(E) cfg80211(E) rfkill(E) crc_itu_t(E) i915(E) kvm_intel(E) kvm(E) iTCO_wdt(E) irqbypass(E) iTCO_vendor_support(E) snd_hda_codec_realtek(E) snd_hda_codec_generic(E) acpi_cpufreq(E) video(E) snd_hda_intel(E) drm_kms_helper(E) snd_hda_codec(E) pcspkr(E) drm(E) snd_hda_core(E) lpc_ich(E) snd_hwdep(E) tpm_tis(E) mfd_core(E) evdev(E) snd_pcm(E) i2c_algo_bit(E) snd_timer(E) snd(E) serio_raw(E) i2c_i801(E) tpm(E) shpchp(E) rng_core(E) ite_cir(E) wmi(E) rc_core(E) button(E) processor(E) soundcore(E) it87(E) hwmon_vid(E) coretemp(E) fuse(E) parport_pc(E) ppdev(E) lp(E) parport(E) autofs4(E) ext4(E) crc16(E) jbd2(E) mbcache(E) uas(E) usb_storage(E) sg(E) sd_mod(E) sr_mod(E) cdrom(E) ata_generic(E) psmouse(E) ata_piix(E) libata(E) scsi_mod(E) fjes(E) xhci_pci(E) xhci_hcd(E) ehci_pci(E) uhci_hcd(E) ehci_hcd(E) usbcore(E) usb_common(E)
Sep 16 16:26:37 waterhole kernel: [13033.304197] CPU: 1 PID: 891 Comm: Xorg Tainted: G        W  OE   4.6.0-0.bpo.1-amd64 #1 Debian 4.6.4-1~bpo8+1
Sep 16 16:26:37 waterhole kernel: [13033.304201] Hardware name: eMachines EL1850/EL1850, BIOS P01-B3  06/08/2011
Sep 16 16:26:37 waterhole kernel: [13033.304204]  0000000000000286 00000000fe61e29d ffffffff813124c5 ffff8800c6803aa8
Sep 16 16:26:37 waterhole kernel: [13033.304210]  0000000000000000 ffffffff8107af94 0000000000000000 ffff8800c6803b00
Sep 16 16:26:37 waterhole kernel: [13033.304215]  0000000000000000 00000000000bd6bf ffff8800c9435608 0000000000000001
Sep 16 16:26:37 waterhole kernel: [13033.304220] Call Trace:
Sep 16 16:26:37 waterhole kernel: [13033.304230]  [<ffffffff813124c5>] ? dump_stack+0x5c/0x77
Sep 16 16:26:37 waterhole kernel: [13033.304236]  [<ffffffff8107af94>] ? __warn+0xc4/0xe0
Sep 16 16:26:37 waterhole kernel: [13033.304240]  [<ffffffff8107b00f>] ? warn_slowpath_fmt+0x5f/0x80
Sep 16 16:26:37 waterhole kernel: [13033.304246]  [<ffffffff810bb55b>] ? finish_wait+0x3b/0x70
Sep 16 16:26:37 waterhole kernel: [13033.304270]  [<ffffffffc03ac56b>] ? drm_wait_one_vblank+0x15b/0x1a0 [drm]
Sep 16 16:26:37 waterhole kernel: [13033.304276]  [<ffffffff810bb6c0>] ? wait_woken+0x90/0x90
Sep 16 16:26:37 waterhole kernel: [13033.304342]  [<ffffffffc06b56de>] ? intel_pre_disable_primary+0x4e/0x80 [i915]
Sep 16 16:26:37 waterhole kernel: [13033.304390]  [<ffffffffc06b5816>] ? intel_pre_plane_update+0x106/0x120 [i915]
Sep 16 16:26:37 waterhole kernel: [13033.304439]  [<ffffffffc06b62f2>] ? intel_atomic_commit+0x542/0x14b0 [i915]
Sep 16 16:26:37 waterhole kernel: [13033.304444]  [<ffffffff810bb6c0>] ? wait_woken+0x90/0x90
Sep 16 16:26:37 waterhole kernel: [13033.304465]  [<ffffffffc042a549>] ? drm_atomic_helper_disable_plane+0xa9/0xf0 [drm_kms_helper]
Sep 16 16:26:37 waterhole kernel: [13033.304493]  [<ffffffffc03b55ef>] ? __setplane_internal+0x17f/0x290 [drm]
Sep 16 16:26:37 waterhole kernel: [13033.304525]  [<ffffffffc03c36f3>] ? drm_modeset_lock_all_ctx+0x93/0xb0 [drm]
Sep 16 16:26:37 waterhole kernel: [13033.304554]  [<ffffffffc03b87bc>] ? drm_mode_setplane+0x13c/0x1b0 [drm]
Sep 16 16:26:37 waterhole kernel: [13033.304577]  [<ffffffffc03aa786>] ? drm_ioctl+0x126/0x490 [drm]
Sep 16 16:26:37 waterhole kernel: [13033.304584]  [<ffffffff811726cf>] ? filemap_map_pages+0x30f/0x330
Sep 16 16:26:37 waterhole kernel: [13033.304613]  [<ffffffffc03b8680>] ? drm_plane_check_pixel_format+0x50/0x50 [drm]
Sep 16 16:26:37 waterhole kernel: [13033.304619]  [<ffffffff811a8e4d>] ? handle_mm_fault+0x154d/0x1cb0
Sep 16 16:26:37 waterhole kernel: [13033.304625]  [<ffffffff812053a9>] ? do_vfs_ioctl+0x99/0x5d0
Sep 16 16:26:37 waterhole kernel: [13033.304630]  [<ffffffff811f1cd7>] ? vfs_write+0x157/0x190
Sep 16 16:26:37 waterhole kernel: [13033.304634]  [<ffffffff81205956>] ? SyS_ioctl+0x76/0x90
Sep 16 16:26:37 waterhole kernel: [13033.304641]  [<ffffffff815c8536>] ? system_call_fast_compare_end+0xc/0x96
Sep 16 16:26:37 waterhole kernel: [13033.304645] ---[ end trace b4da916d849b1cb8 ]---
Sep 16 16:26:37 waterhole kernel: [13033.356045] ------------[ cut here ]------------
Sep 16 16:26:37 waterhole kernel: [13033.356112] WARNING: CPU: 1 PID: 891 at /home/zumbi/linux-4.6.4/drivers/gpu/drm/i915/intel_display.c:13452 intel_atomic_commit+0x130d/0x14b0 [i915]
Sep 16 16:26:37 waterhole kernel: [13033.356115] WARN_ON(!lret)
Sep 16 16:26:37 waterhole kernel: [13033.356118] Modules linked in: hmac(E) drbg(E) ansi_cprng(E) ctr(E) ccm(E) binfmt_misc(E) pci_stub(E) vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) arc4(E) rt73usb(E) rt2x00usb(E) rt2x00lib(E) mac80211(E) cfg80211(E) rfkill(E) crc_itu_t(E) i915(E) kvm_intel(E) kvm(E) iTCO_wdt(E) irqbypass(E) iTCO_vendor_support(E) snd_hda_codec_realtek(E) snd_hda_codec_generic(E) acpi_cpufreq(E) video(E) snd_hda_intel(E) drm_kms_helper(E) snd_hda_codec(E) pcspkr(E) drm(E) snd_hda_core(E) lpc_ich(E) snd_hwdep(E) tpm_tis(E) mfd_core(E) evdev(E) snd_pcm(E) i2c_algo_bit(E) snd_timer(E) snd(E) serio_raw(E) i2c_i801(E) tpm(E) shpchp(E) rng_core(E) ite_cir(E) wmi(E) rc_core(E) button(E) processor(E) soundcore(E) it87(E) hwmon_vid(E) coretemp(E) fuse(E) parport_pc(E) ppdev(E) lp(E) parport(E) autofs4(E) ext4(E) crc16(E) jbd2(E) mbcache(E) uas(E) usb_storage(E) sg(E) sd_mod(E) sr_mod(E) cdrom(E) ata_generic(E) psmouse(E) ata_piix(E) libata(E) scsi_mod(E) fjes(E) xhci_pci(E) xhci_hcd(E) ehci_pci(E) uhci_hcd(E) ehci_hcd(E) usbcore(E) usb_common(E)
Sep 16 16:26:37 waterhole kernel: [13033.356222] CPU: 1 PID: 891 Comm: Xorg Tainted: G        W  OE   4.6.0-0.bpo.1-amd64 #1 Debian 4.6.4-1~bpo8+1
Sep 16 16:26:37 waterhole kernel: [13033.356225] Hardware name: eMachines EL1850/EL1850, BIOS P01-B3  06/08/2011
Sep 16 16:26:37 waterhole kernel: [13033.356228]  0000000000000286 00000000fe61e29d ffffffff813124c5 ffff8800c6803b78
Sep 16 16:26:37 waterhole kernel: [13033.356234]  0000000000000000 ffffffff8107af94 ffff88012a73f000 ffff8800c6803bd0
Sep 16 16:26:37 waterhole kernel: [13033.356239]  00000000000bd6bf 0000000000000000 0000000000000000 ffff88012a7e7800
Sep 16 16:26:37 waterhole kernel: [13033.356244] Call Trace:
Sep 16 16:26:37 waterhole kernel: [13033.356254]  [<ffffffff813124c5>] ? dump_stack+0x5c/0x77
Sep 16 16:26:37 waterhole kernel: [13033.356259]  [<ffffffff8107af94>] ? __warn+0xc4/0xe0
Sep 16 16:26:37 waterhole kernel: [13033.356264]  [<ffffffff8107b00f>] ? warn_slowpath_fmt+0x5f/0x80
Sep 16 16:26:37 waterhole kernel: [13033.356270]  [<ffffffff810bb55b>] ? finish_wait+0x3b/0x70
Sep 16 16:26:37 waterhole kernel: [13033.356318]  [<ffffffffc06b70bd>] ? intel_atomic_commit+0x130d/0x14b0 [i915]
Sep 16 16:26:37 waterhole kernel: [13033.356324]  [<ffffffff810bb6c0>] ? wait_woken+0x90/0x90
Sep 16 16:26:37 waterhole kernel: [13033.356342]  [<ffffffffc042a549>] ? drm_atomic_helper_disable_plane+0xa9/0xf0 [drm_kms_helper]
Sep 16 16:26:37 waterhole kernel: [13033.356376]  [<ffffffffc03b55ef>] ? __setplane_internal+0x17f/0x290 [drm]
Sep 16 16:26:37 waterhole kernel: [13033.356408]  [<ffffffffc03c36f3>] ? drm_modeset_lock_all_ctx+0x93/0xb0 [drm]
Sep 16 16:26:37 waterhole kernel: [13033.356438]  [<ffffffffc03b87bc>] ? drm_mode_setplane+0x13c/0x1b0 [drm]
Sep 16 16:26:37 waterhole kernel: [13033.356461]  [<ffffffffc03aa786>] ? drm_ioctl+0x126/0x490 [drm]
Sep 16 16:26:37 waterhole kernel: [13033.356467]  [<ffffffff811726cf>] ? filemap_map_pages+0x30f/0x330
Sep 16 16:26:37 waterhole kernel: [13033.356496]  [<ffffffffc03b8680>] ? drm_plane_check_pixel_format+0x50/0x50 [drm]
Sep 16 16:26:37 waterhole kernel: [13033.356502]  [<ffffffff811a8e4d>] ? handle_mm_fault+0x154d/0x1cb0
Sep 16 16:26:37 waterhole kernel: [13033.356508]  [<ffffffff812053a9>] ? do_vfs_ioctl+0x99/0x5d0
Sep 16 16:26:37 waterhole kernel: [13033.356513]  [<ffffffff811f1cd7>] ? vfs_write+0x157/0x190
Sep 16 16:26:37 waterhole kernel: [13033.356517]  [<ffffffff81205956>] ? SyS_ioctl+0x76/0x90
Sep 16 16:26:37 waterhole kernel: [13033.356524]  [<ffffffff815c8536>] ? system_call_fast_compare_end+0xc/0x96
Sep 16 16:26:37 waterhole kernel: [13033.356528] ---[ end trace b4da916d849b1cb9 ]---
Sep 16 16:26:37 waterhole kernel: [13033.432028] ------------[ cut here ]------------
Sep 16 16:26:37 waterhole kernel: [13033.432094] WARNING: CPU: 1 PID: 891 at /home/zumbi/linux-4.6.4/drivers/gpu/drm/i915/intel_display.c:13452 intel_atomic_commit+0x130d/0x14b0 [i915]
Sep 16 16:26:37 waterhole kernel: [13033.432096] WARN_ON(!lret)
Sep 16 16:26:37 waterhole kernel: [13033.432147] Modules linked in: hmac(E) drbg(E) ansi_cprng(E) ctr(E) ccm(E) binfmt_misc(E) pci_stub(E) vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) arc4(E) rt73usb(E) rt2x00usb(E) rt2x00lib(E) mac80211(E) cfg80211(E) rfkill(E) crc_itu_t(E) i915(E) kvm_intel(E) kvm(E) iTCO_wdt(E) irqbypass(E) iTCO_vendor_support(E) snd_hda_codec_realtek(E) snd_hda_codec_generic(E) acpi_cpufreq(E) video(E) snd_hda_intel(E) drm_kms_helper(E) snd_hda_codec(E) pcspkr(E) drm(E) snd_hda_core(E) lpc_ich(E) snd_hwdep(E) tpm_tis(E) mfd_core(E) evdev(E) snd_pcm(E) i2c_algo_bit(E) snd_timer(E) snd(E) serio_raw(E) i2c_i801(E) tpm(E) shpchp(E) rng_core(E) ite_cir(E) wmi(E) rc_core(E) button(E) processor(E) soundcore(E) it87(E) hwmon_vid(E) coretemp(E) fuse(E) parport_pc(E) ppdev(E) lp(E) parport(E) autofs4(E) ext4(E) crc16(E) jbd2(E) mbcache(E) uas(E) usb_storage(E) sg(E) sd_mod(E) sr_mod(E) cdrom(E) ata_generic(E) psmouse(E) ata_piix(E) libata(E) scsi_mod(E) fjes(E) xhci_pci(E) xhci_hcd(E) ehci_pci(E) uhci_hcd(E) ehci_hcd(E) usbcore(E) usb_common(E)
Sep 16 16:26:37 waterhole kernel: [13033.432168] CPU: 1 PID: 891 Comm: Xorg Tainted: G        W  OE   4.6.0-0.bpo.1-amd64 #1 Debian 4.6.4-1~bpo8+1
Sep 16 16:26:37 waterhole kernel: [13033.432169] Hardware name: eMachines EL1850/EL1850, BIOS P01-B3  06/08/2011
Sep 16 16:26:37 waterhole kernel: [13033.432174]  0000000000000286 00000000fe61e29d ffffffff813124c5 ffff8800c6803918
Sep 16 16:26:37 waterhole kernel: [13033.432177]  0000000000000000 ffffffff8107af94 ffff88012a73f000 ffff8800c6803970
Sep 16 16:26:37 waterhole kernel: [13033.432180]  00000000000bd6bf 0000000000000000 0000000000000000 ffff88012a7e7800
Sep 16 16:26:37 waterhole kernel: [13033.432181] Call Trace:
Sep 16 16:26:37 waterhole kernel: [13033.432189]  [<ffffffff813124c5>] ? dump_stack+0x5c/0x77
Sep 16 16:26:37 waterhole kernel: [13033.432194]  [<ffffffff8107af94>] ? __warn+0xc4/0xe0
Sep 16 16:26:37 waterhole kernel: [13033.432197]  [<ffffffff8107b00f>] ? warn_slowpath_fmt+0x5f/0x80
Sep 16 16:26:37 waterhole kernel: [13033.432201]  [<ffffffff810bb55b>] ? finish_wait+0x3b/0x70
Sep 16 16:26:37 waterhole kernel: [13033.432226]  [<ffffffffc06b70bd>] ? intel_atomic_commit+0x130d/0x14b0 [i915]
Sep 16 16:26:37 waterhole kernel: [13033.432228]  [<ffffffff810bb6c0>] ? wait_woken+0x90/0x90
Sep 16 16:26:37 waterhole kernel: [13033.432239]  [<ffffffffc042b92c>] ? restore_fbdev_mode+0x22c/0x260 [drm_kms_helper]
Sep 16 16:26:37 waterhole kernel: [13033.432245]  [<ffffffffc042d9ce>] ? drm_fb_helper_restore_fbdev_mode_unlocked+0x2e/0x70 [drm_kms_helper]
Sep 16 16:26:37 waterhole kernel: [13033.432250]  [<ffffffffc042da39>] ? drm_fb_helper_set_par+0x29/0x50 [drm_kms_helper]
Sep 16 16:26:37 waterhole kernel: [13033.432268]  [<ffffffffc06cccd6>] ? intel_fbdev_set_par+0x16/0x60 [i915]
Sep 16 16:26:37 waterhole kernel: [13033.432271]  [<ffffffff8138cec1>] ? fb_set_var+0x171/0x3b0
Sep 16 16:26:37 waterhole kernel: [13033.432273]  [<ffffffff810a1d61>] ? finish_task_switch+0x71/0x230
Sep 16 16:26:37 waterhole kernel: [13033.432275]  [<ffffffff815c415d>] ? __schedule+0x29d/0x930
Sep 16 16:26:37 waterhole kernel: [13033.432277]  [<ffffffff81384177>] ? fbcon_blank+0x227/0x2f0
Sep 16 16:26:37 waterhole kernel: [13033.432279]  [<ffffffff813fff03>] ? do_unblank_screen+0xb3/0x1b0
Sep 16 16:26:37 waterhole kernel: [13033.432281]  [<ffffffff813f6814>] ? complete_change_console+0x54/0xd0
Sep 16 16:26:37 waterhole kernel: [13033.432282]  [<ffffffff813f795a>] ? vt_ioctl+0x10ca/0x1270
Sep 16 16:26:37 waterhole kernel: [13033.432284]  [<ffffffff811a5cd9>] ? do_set_pte+0xb9/0xf0
Sep 16 16:26:37 waterhole kernel: [13033.432287]  [<ffffffff811726cf>] ? filemap_map_pages+0x30f/0x330
Sep 16 16:26:37 waterhole kernel: [13033.432289]  [<ffffffff813eb9e6>] ? tty_ioctl+0x3b6/0xc60
Sep 16 16:26:37 waterhole kernel: [13033.432290]  [<ffffffff811a8e4d>] ? handle_mm_fault+0x154d/0x1cb0
Sep 16 16:26:37 waterhole kernel: [13033.432292]  [<ffffffff812053a9>] ? do_vfs_ioctl+0x99/0x5d0
Sep 16 16:26:37 waterhole kernel: [13033.432294]  [<ffffffff81205956>] ? SyS_ioctl+0x76/0x90
Sep 16 16:26:37 waterhole kernel: [13033.432295]  [<ffffffff815c8536>] ? system_call_fast_compare_end+0xc/0x96
Sep 16 16:26:37 waterhole kernel: [13033.432296] ---[ end trace b4da916d849b1cba ]---
Sep 16 16:27:13 waterhole systemd[7188]: Starting Paths.
Sep 16 16:27:13 waterhole systemd[7188]: Reached target Paths.
Sep 16 16:27:13 waterhole systemd[7188]: Starting Timers.
Sep 16 16:27:13 waterhole systemd[7188]: Reached target Timers.
Sep 16 16:27:13 waterhole systemd[7188]: Starting Sockets.
Sep 16 16:27:13 waterhole systemd[7188]: Reached target Sockets.
Sep 16 16:27:13 waterhole systemd[7188]: Starting Basic System.
Sep 16 16:27:13 waterhole systemd[7188]: Reached target Basic System.
Sep 16 16:27:13 waterhole systemd[7188]: Starting Default.
Sep 16 16:27:13 waterhole systemd[7188]: Reached target Default.
Sep 16 16:27:13 waterhole systemd[7188]: Startup finished in 149ms.
Sep 16 16:27:48 waterhole kernel: [13104.752040] ------------[ cut here ]------------
Sep 16 16:27:48 waterhole kernel: [13104.752109] WARNING: CPU: 1 PID: 891 at /home/zumbi/linux-4.6.4/drivers/gpu/drm/i915/intel_display.c:13452 intel_atomic_commit+0x130d/0x14b0 [i915]
Sep 16 16:27:48 waterhole kernel: [13104.752113] WARN_ON(!lret)
Sep 16 16:27:48 waterhole kernel: [13104.752116] Modules linked in: hmac(E) drbg(E) ansi_cprng(E) ctr(E) ccm(E) binfmt_misc(E) pci_stub(E) vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) arc4(E) rt73usb(E) rt2x00usb(E) rt2x00lib(E) mac80211(E) cfg80211(E) rfkill(E) crc_itu_t(E) i915(E) kvm_intel(E) kvm(E) iTCO_wdt(E) irqbypass(E) iTCO_vendor_support(E) snd_hda_codec_realtek(E) snd_hda_codec_generic(E) acpi_cpufreq(E) video(E) snd_hda_intel(E) drm_kms_helper(E) snd_hda_codec(E) pcspkr(E) drm(E) snd_hda_core(E) lpc_ich(E) snd_hwdep(E) tpm_tis(E) mfd_core(E) evdev(E) snd_pcm(E) i2c_algo_bit(E) snd_timer(E) snd(E) serio_raw(E) i2c_i801(E) tpm(E) shpchp(E) rng_core(E) ite_cir(E) wmi(E) rc_core(E) button(E) processor(E) soundcore(E) it87(E) hwmon_vid(E) coretemp(E) fuse(E) parport_pc(E) ppdev(E) lp(E) parport(E) autofs4(E) ext4(E) crc16(E) jbd2(E) mbcache(E) uas(E) usb_storage(E) sg(E) sd_mod(E) sr_mod(E) cdrom(E) ata_generic(E) psmouse(E) ata_piix(E) libata(E) scsi_mod(E) fjes(E) xhci_pci(E) xhci_hcd(E) ehci_pci(E) uhci_hcd(E) ehci_hcd(E) usbcore(E) usb_common(E)
Sep 16 16:27:48 waterhole kernel: [13104.752218] CPU: 1 PID: 891 Comm: Xorg Tainted: G        W  OE   4.6.0-0.bpo.1-amd64 #1 Debian 4.6.4-1~bpo8+1
Sep 16 16:27:48 waterhole kernel: [13104.752221] Hardware name: eMachines EL1850/EL1850, BIOS P01-B3  06/08/2011
Sep 16 16:27:48 waterhole kernel: [13104.752224]  0000000000000286 00000000fe61e29d ffffffff813124c5 ffff8800c6803bb0
Sep 16 16:27:48 waterhole kernel: [13104.752230]  0000000000000000 ffffffff8107af94 ffff88012a73f000 ffff8800c6803c08
Sep 16 16:27:48 waterhole kernel: [13104.752235]  00000000000bd6bf 0000000000000000 0000000000000000 ffff88012a7e7800
Sep 16 16:27:48 waterhole kernel: [13104.752240] Call Trace:
Sep 16 16:27:48 waterhole kernel: [13104.752250]  [<ffffffff813124c5>] ? dump_stack+0x5c/0x77
Sep 16 16:27:48 waterhole kernel: [13104.752256]  [<ffffffff8107af94>] ? __warn+0xc4/0xe0
Sep 16 16:27:48 waterhole kernel: [13104.752260]  [<ffffffff8107b00f>] ? warn_slowpath_fmt+0x5f/0x80
Sep 16 16:27:48 waterhole kernel: [13104.752266]  [<ffffffff810bb55b>] ? finish_wait+0x3b/0x70
Sep 16 16:27:48 waterhole kernel: [13104.752315]  [<ffffffffc06b70bd>] ? intel_atomic_commit+0x130d/0x14b0 [i915]
Sep 16 16:27:48 waterhole kernel: [13104.752321]  [<ffffffff810bb6c0>] ? wait_woken+0x90/0x90
Sep 16 16:27:48 waterhole kernel: [13104.752339]  [<ffffffffc042a916>] ? drm_atomic_helper_set_config+0x76/0xb0 [drm_kms_helper]
Sep 16 16:27:48 waterhole kernel: [13104.752376]  [<ffffffffc03b51be>] ? drm_mode_set_config_internal+0x5e/0xf0 [drm]
Sep 16 16:27:48 waterhole kernel: [13104.752406]  [<ffffffffc03b89d6>] ? drm_mode_setcrtc+0x1a6/0x510 [drm]
Sep 16 16:27:48 waterhole kernel: [13104.752429]  [<ffffffffc03aa786>] ? drm_ioctl+0x126/0x490 [drm]
Sep 16 16:27:48 waterhole kernel: [13104.752435]  [<ffffffff811725c2>] ? filemap_map_pages+0x202/0x330
Sep 16 16:27:48 waterhole kernel: [13104.752464]  [<ffffffffc03b8830>] ? drm_mode_setplane+0x1b0/0x1b0 [drm]
Sep 16 16:27:48 waterhole kernel: [13104.752470]  [<ffffffff812053a9>] ? do_vfs_ioctl+0x99/0x5d0
Sep 16 16:27:48 waterhole kernel: [13104.752475]  [<ffffffff811f1cd7>] ? vfs_write+0x157/0x190
Sep 16 16:27:48 waterhole kernel: [13104.752480]  [<ffffffff81205956>] ? SyS_ioctl+0x76/0x90
Sep 16 16:27:48 waterhole kernel: [13104.752486]  [<ffffffff815c8536>] ? system_call_fast_compare_end+0xc/0x96
Sep 16 16:27:48 waterhole kernel: [13104.752490] ---[ end trace b4da916d849b1cbb ]---
Sep 16 16:27:55 waterhole kernel: [13111.252028] ------------[ cut here ]------------
Sep 16 16:27:55 waterhole kernel: [13111.252071] WARNING: CPU: 0 PID: 891 at /home/zumbi/linux-4.6.4/drivers/gpu/drm/drm_irq.c:1326 drm_wait_one_vblank+0x15b/0x1a0 [drm]
Sep 16 16:27:55 waterhole kernel: [13111.252075] vblank wait timed out on crtc 0
Sep 16 16:27:55 waterhole kernel: [13111.252078] Modules linked in: hmac(E) drbg(E) ansi_cprng(E) ctr(E) ccm(E) binfmt_misc(E) pci_stub(E) vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) arc4(E) rt73usb(E) rt2x00usb(E) rt2x00lib(E) mac80211(E) cfg80211(E) rfkill(E) crc_itu_t(E) i915(E) kvm_intel(E) kvm(E) iTCO_wdt(E) irqbypass(E) iTCO_vendor_support(E) snd_hda_codec_realtek(E) snd_hda_codec_generic(E) acpi_cpufreq(E) video(E) snd_hda_intel(E) drm_kms_helper(E) snd_hda_codec(E) pcspkr(E) drm(E) snd_hda_core(E) lpc_ich(E) snd_hwdep(E) tpm_tis(E) mfd_core(E) evdev(E) snd_pcm(E) i2c_algo_bit(E) snd_timer(E) snd(E) serio_raw(E) i2c_i801(E) tpm(E) shpchp(E) rng_core(E) ite_cir(E) wmi(E) rc_core(E) button(E) processor(E) soundcore(E) it87(E) hwmon_vid(E) coretemp(E) fuse(E) parport_pc(E) ppdev(E) lp(E) parport(E) autofs4(E) ext4(E) crc16(E) jbd2(E) mbcache(E) uas(E) usb_storage(E) sg(E) sd_mod(E) sr_mod(E) cdrom(E) ata_generic(E) psmouse(E) ata_piix(E) libata(E) scsi_mod(E) fjes(E) xhci_pci(E) xhci_hcd(E) ehci_pci(E) uhci_hcd(E) ehci_hcd(E) usbcore(E) usb_common(E)
Sep 16 16:27:55 waterhole kernel: [13111.252180] CPU: 0 PID: 891 Comm: Xorg Tainted: G        W  OE   4.6.0-0.bpo.1-amd64 #1 Debian 4.6.4-1~bpo8+1
Sep 16 16:27:55 waterhole kernel: [13111.252183] Hardware name: eMachines EL1850/EL1850, BIOS P01-B3  06/08/2011
Sep 16 16:27:55 waterhole kernel: [13111.252186]  0000000000000286 00000000fe61e29d ffffffff813124c5 ffff8800c6803aa8
Sep 16 16:27:55 waterhole kernel: [13111.252192]  0000000000000000 ffffffff8107af94 0000000000000000 ffff8800c6803b00
Sep 16 16:27:55 waterhole kernel: [13111.252197]  0000000000000000 00000000000bd6bf ffff8800c9435608 0000000000000001
Sep 16 16:27:55 waterhole kernel: [13111.252202] Call Trace:
Sep 16 16:27:55 waterhole kernel: [13111.252213]  [<ffffffff813124c5>] ? dump_stack+0x5c/0x77
Sep 16 16:27:55 waterhole kernel: [13111.252218]  [<ffffffff8107af94>] ? __warn+0xc4/0xe0
Sep 16 16:27:55 waterhole kernel: [13111.252223]  [<ffffffff8107b00f>] ? warn_slowpath_fmt+0x5f/0x80
Sep 16 16:27:55 waterhole kernel: [13111.252229]  [<ffffffff810bb55b>] ? finish_wait+0x3b/0x70
Sep 16 16:27:55 waterhole kernel: [13111.252253]  [<ffffffffc03ac56b>] ? drm_wait_one_vblank+0x15b/0x1a0 [drm]
Sep 16 16:27:55 waterhole kernel: [13111.252258]  [<ffffffff810bb6c0>] ? wait_woken+0x90/0x90
Sep 16 16:27:55 waterhole kernel: [13111.252319]  [<ffffffffc06b56de>] ? intel_pre_disable_primary+0x4e/0x80 [i915]
Sep 16 16:27:55 waterhole kernel: [13111.252367]  [<ffffffffc06b5816>] ? intel_pre_plane_update+0x106/0x120 [i915]
Sep 16 16:27:55 waterhole kernel: [13111.252416]  [<ffffffffc06b62f2>] ? intel_atomic_commit+0x542/0x14b0 [i915]
Sep 16 16:27:55 waterhole kernel: [13111.252435]  [<ffffffffc042a549>] ? drm_atomic_helper_disable_plane+0xa9/0xf0 [drm_kms_helper]
Sep 16 16:27:55 waterhole kernel: [13111.252463]  [<ffffffffc03b55ef>] ? __setplane_internal+0x17f/0x290 [drm]
Sep 16 16:27:55 waterhole kernel: [13111.252495]  [<ffffffffc03c36f3>] ? drm_modeset_lock_all_ctx+0x93/0xb0 [drm]
Sep 16 16:27:55 waterhole kernel: [13111.252524]  [<ffffffffc03b87bc>] ? drm_mode_setplane+0x13c/0x1b0 [drm]
Sep 16 16:27:55 waterhole kernel: [13111.252547]  [<ffffffffc03aa786>] ? drm_ioctl+0x126/0x490 [drm]
Sep 16 16:27:55 waterhole kernel: [13111.252576]  [<ffffffffc03b8680>] ? drm_plane_check_pixel_format+0x50/0x50 [drm]
Sep 16 16:27:55 waterhole kernel: [13111.252583]  [<ffffffff812053a9>] ? do_vfs_ioctl+0x99/0x5d0
Sep 16 16:27:55 waterhole kernel: [13111.252588]  [<ffffffff811f1cd7>] ? vfs_write+0x157/0x190
Sep 16 16:27:55 waterhole kernel: [13111.252592]  [<ffffffff81205956>] ? SyS_ioctl+0x76/0x90
Sep 16 16:27:55 waterhole kernel: [13111.252599]  [<ffffffff815c8536>] ? system_call_fast_compare_end+0xc/0x96
Sep 16 16:27:55 waterhole kernel: [13111.252603] ---[ end trace b4da916d849b1cbc ]---
Sep 16 16:27:55 waterhole kernel: [13111.304024] ------------[ cut here ]------------
Sep 16 16:27:55 waterhole kernel: [13111.304082] WARNING: CPU: 0 PID: 891 at /home/zumbi/linux-4.6.4/drivers/gpu/drm/i915/intel_display.c:13452 intel_atomic_commit+0x130d/0x14b0 [i915]
Sep 16 16:27:55 waterhole kernel: [13111.304085] WARN_ON(!lret)
Sep 16 16:27:55 waterhole kernel: [13111.304088] Modules linked in: hmac(E) drbg(E) ansi_cprng(E) ctr(E) ccm(E) binfmt_misc(E) pci_stub(E) vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) arc4(E) rt73usb(E) rt2x00usb(E) rt2x00lib(E) mac80211(E) cfg80211(E) rfkill(E) crc_itu_t(E) i915(E) kvm_intel(E) kvm(E) iTCO_wdt(E) irqbypass(E) iTCO_vendor_support(E) snd_hda_codec_realtek(E) snd_hda_codec_generic(E) acpi_cpufreq(E) video(E) snd_hda_intel(E) drm_kms_helper(E) snd_hda_codec(E) pcspkr(E) drm(E) snd_hda_core(E) lpc_ich(E) snd_hwdep(E) tpm_tis(E) mfd_core(E) evdev(E) snd_pcm(E) i2c_algo_bit(E) snd_timer(E) snd(E) serio_raw(E) i2c_i801(E) tpm(E) shpchp(E) rng_core(E) ite_cir(E) wmi(E) rc_core(E) button(E) processor(E) soundcore(E) it87(E) hwmon_vid(E) coretemp(E) fuse(E) parport_pc(E) ppdev(E) lp(E) parport(E) autofs4(E) ext4(E) crc16(E) jbd2(E) mbcache(E) uas(E) usb_storage(E) sg(E) sd_mod(E) sr_mod(E) cdrom(E) ata_generic(E) psmouse(E) ata_piix(E) libata(E) scsi_mod(E) fjes(E) xhci_pci(E) xhci_hcd(E) ehci_pci(E) uhci_hcd(E) ehci_hcd(E) usbcore(E) usb_common(E)
Sep 16 16:27:55 waterhole kernel: [13111.304184] CPU: 0 PID: 891 Comm: Xorg Tainted: G        W  OE   4.6.0-0.bpo.1-amd64 #1 Debian 4.6.4-1~bpo8+1
Sep 16 16:27:55 waterhole kernel: [13111.304187] Hardware name: eMachines EL1850/EL1850, BIOS P01-B3  06/08/2011
Sep 16 16:27:55 waterhole kernel: [13111.304190]  0000000000000286 00000000fe61e29d ffffffff813124c5 ffff8800c6803b78
Sep 16 16:27:55 waterhole kernel: [13111.304196]  0000000000000000 ffffffff8107af94 ffff88012a73f000 ffff8800c6803bd0
Sep 16 16:27:55 waterhole kernel: [13111.304201]  00000000000bd6bf 0000000000000000 0000000000000000 ffff88012a7e7800
Sep 16 16:27:55 waterhole kernel: [13111.304206] Call Trace:
Sep 16 16:27:55 waterhole kernel: [13111.304215]  [<ffffffff813124c5>] ? dump_stack+0x5c/0x77
Sep 16 16:27:55 waterhole kernel: [13111.304220]  [<ffffffff8107af94>] ? __warn+0xc4/0xe0
Sep 16 16:27:55 waterhole kernel: [13111.304225]  [<ffffffff8107b00f>] ? warn_slowpath_fmt+0x5f/0x80
Sep 16 16:27:55 waterhole kernel: [13111.304230]  [<ffffffff810bb55b>] ? finish_wait+0x3b/0x70
Sep 16 16:27:55 waterhole kernel: [13111.304279]  [<ffffffffc06b70bd>] ? intel_atomic_commit+0x130d/0x14b0 [i915]
Sep 16 16:27:55 waterhole kernel: [13111.304285]  [<ffffffff810bb6c0>] ? wait_woken+0x90/0x90
Sep 16 16:27:55 waterhole kernel: [13111.304301]  [<ffffffffc042a549>] ? drm_atomic_helper_disable_plane+0xa9/0xf0 [drm_kms_helper]
Sep 16 16:27:55 waterhole kernel: [13111.304333]  [<ffffffffc03b55ef>] ? __setplane_internal+0x17f/0x290 [drm]
Sep 16 16:27:55 waterhole kernel: [13111.304364]  [<ffffffffc03c36f3>] ? drm_modeset_lock_all_ctx+0x93/0xb0 [drm]
Sep 16 16:27:55 waterhole kernel: [13111.304394]  [<ffffffffc03b87bc>] ? drm_mode_setplane+0x13c/0x1b0 [drm]
Sep 16 16:27:55 waterhole kernel: [13111.304417]  [<ffffffffc03aa786>] ? drm_ioctl+0x126/0x490 [drm]
Sep 16 16:27:55 waterhole kernel: [13111.304446]  [<ffffffffc03b8680>] ? drm_plane_check_pixel_format+0x50/0x50 [drm]
Sep 16 16:27:55 waterhole kernel: [13111.304452]  [<ffffffff812053a9>] ? do_vfs_ioctl+0x99/0x5d0
Sep 16 16:27:55 waterhole kernel: [13111.304456]  [<ffffffff811f1cd7>] ? vfs_write+0x157/0x190
Sep 16 16:27:55 waterhole kernel: [13111.304461]  [<ffffffff81205956>] ? SyS_ioctl+0x76/0x90
Sep 16 16:27:55 waterhole kernel: [13111.304467]  [<ffffffff815c8536>] ? system_call_fast_compare_end+0xc/0x96
Sep 16 16:27:55 waterhole kernel: [13111.304471] ---[ end trace b4da916d849b1cbd ]---
Sep 16 16:27:55 waterhole kernel: [13111.356029] ------------[ cut here ]------------
Sep 16 16:27:55 waterhole kernel: [13111.356095] WARNING: CPU: 0 PID: 891 at /home/zumbi/linux-4.6.4/drivers/gpu/drm/i915/intel_display.c:13452 intel_atomic_commit+0x130d/0x14b0 [i915]
Sep 16 16:27:55 waterhole kernel: [13111.356098] WARN_ON(!lret)
Sep 16 16:27:55 waterhole kernel: [13111.356147] Modules linked in: hmac(E) drbg(E) ansi_cprng(E) ctr(E) ccm(E) binfmt_misc(E) pci_stub(E) vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) arc4(E) rt73usb(E) rt2x00usb(E) rt2x00lib(E) mac80211(E) cfg80211(E) rfkill(E) crc_itu_t(E) i915(E) kvm_intel(E) kvm(E) iTCO_wdt(E) irqbypass(E) iTCO_vendor_support(E) snd_hda_codec_realtek(E) snd_hda_codec_generic(E) acpi_cpufreq(E) video(E) snd_hda_intel(E) drm_kms_helper(E) snd_hda_codec(E) pcspkr(E) drm(E) snd_hda_core(E) lpc_ich(E) snd_hwdep(E) tpm_tis(E) mfd_core(E) evdev(E) snd_pcm(E) i2c_algo_bit(E) snd_timer(E) snd(E) serio_raw(E) i2c_i801(E) tpm(E) shpchp(E) rng_core(E) ite_cir(E) wmi(E) rc_core(E) button(E) processor(E) soundcore(E) it87(E) hwmon_vid(E) coretemp(E) fuse(E) parport_pc(E) ppdev(E) lp(E) parport(E) autofs4(E) ext4(E) crc16(E) jbd2(E) mbcache(E) uas(E) usb_storage(E) sg(E) sd_mod(E) sr_mod(E) cdrom(E) ata_generic(E) psmouse(E) ata_piix(E) libata(E) scsi_mod(E) fjes(E) xhci_pci(E) xhci_hcd(E) ehci_pci(E) uhci_hcd(E) ehci_hcd(E) usbcore(E) usb_common(E)
Sep 16 16:27:55 waterhole kernel: [13111.356168] CPU: 0 PID: 891 Comm: Xorg Tainted: G        W  OE   4.6.0-0.bpo.1-amd64 #1 Debian 4.6.4-1~bpo8+1
Sep 16 16:27:55 waterhole kernel: [13111.356169] Hardware name: eMachines EL1850/EL1850, BIOS P01-B3  06/08/2011
Sep 16 16:27:55 waterhole kernel: [13111.356173]  0000000000000286 00000000fe61e29d ffffffff813124c5 ffff8800c6803918
Sep 16 16:27:55 waterhole kernel: [13111.356176]  0000000000000000 ffffffff8107af94 ffff88012a73f000 ffff8800c6803970
Sep 16 16:27:55 waterhole kernel: [13111.356179]  00000000000bd6bf 0000000000000000 0000000000000000 ffff88012a7e7800
Sep 16 16:27:55 waterhole kernel: [13111.356180] Call Trace:
Sep 16 16:27:55 waterhole kernel: [13111.356189]  [<ffffffff813124c5>] ? dump_stack+0x5c/0x77
Sep 16 16:27:55 waterhole kernel: [13111.356193]  [<ffffffff8107af94>] ? __warn+0xc4/0xe0
Sep 16 16:27:55 waterhole kernel: [13111.356196]  [<ffffffff8107b00f>] ? warn_slowpath_fmt+0x5f/0x80
Sep 16 16:27:55 waterhole kernel: [13111.356201]  [<ffffffff810bb55b>] ? finish_wait+0x3b/0x70
Sep 16 16:27:55 waterhole kernel: [13111.356248]  [<ffffffffc06b70bd>] ? intel_atomic_commit+0x130d/0x14b0 [i915]
Sep 16 16:27:55 waterhole kernel: [13111.356252]  [<ffffffff810bb6c0>] ? wait_woken+0x90/0x90
Sep 16 16:27:55 waterhole kernel: [13111.356269]  [<ffffffffc042b92c>] ? restore_fbdev_mode+0x22c/0x260 [drm_kms_helper]
Sep 16 16:27:55 waterhole kernel: [13111.356283]  [<ffffffffc042d9ce>] ? drm_fb_helper_restore_fbdev_mode_unlocked+0x2e/0x70 [drm_kms_helper]
Sep 16 16:27:55 waterhole kernel: [13111.356297]  [<ffffffffc042da39>] ? drm_fb_helper_set_par+0x29/0x50 [drm_kms_helper]
Sep 16 16:27:55 waterhole kernel: [13111.356343]  [<ffffffffc06cccd6>] ? intel_fbdev_set_par+0x16/0x60 [i915]
Sep 16 16:27:55 waterhole kernel: [13111.356347]  [<ffffffff8138cec1>] ? fb_set_var+0x171/0x3b0
Sep 16 16:27:55 waterhole kernel: [13111.356351]  [<ffffffff812074b6>] ? do_sys_poll+0x146/0x550
Sep 16 16:27:55 waterhole kernel: [13111.356354]  [<ffffffff810aed1a>] ? update_curr+0xba/0x130
Sep 16 16:27:55 waterhole kernel: [13111.356357]  [<ffffffff810b0599>] ? enqueue_entity+0x329/0x980
Sep 16 16:27:55 waterhole kernel: [13111.356360]  [<ffffffff81384177>] ? fbcon_blank+0x227/0x2f0
Sep 16 16:27:55 waterhole kernel: [13111.356365]  [<ffffffff813fff03>] ? do_unblank_screen+0xb3/0x1b0
Sep 16 16:27:55 waterhole kernel: [13111.356368]  [<ffffffff813f6814>] ? complete_change_console+0x54/0xd0
Sep 16 16:27:55 waterhole kernel: [13111.356371]  [<ffffffff813f795a>] ? vt_ioctl+0x10ca/0x1270
Sep 16 16:27:55 waterhole kernel: [13111.356401]  [<ffffffffc03aa7b7>] ? drm_ioctl+0x157/0x490 [drm]
Sep 16 16:27:55 waterhole kernel: [13111.356404]  [<ffffffff813eb9e6>] ? tty_ioctl+0x3b6/0xc60
Sep 16 16:27:55 waterhole kernel: [13111.356408]  [<ffffffff812053a9>] ? do_vfs_ioctl+0x99/0x5d0
Sep 16 16:27:55 waterhole kernel: [13111.356412]  [<ffffffff811f1cd7>] ? vfs_write+0x157/0x190
Sep 16 16:27:55 waterhole kernel: [13111.356415]  [<ffffffff81205956>] ? SyS_ioctl+0x76/0x90
Sep 16 16:27:55 waterhole kernel: [13111.356420]  [<ffffffff815c8536>] ? system_call_fast_compare_end+0xc/0x96
Sep 16 16:27:55 waterhole kernel: [13111.356422] ---[ end trace b4da916d849b1cbe ]---
Sep 16 16:28:19 waterhole org.kde.kuiserver[1105]: kuiserver: Fatal IO error: client killed
Sep 16 16:28:21 waterhole kdm[885]: X server for display :0 terminated unexpectedly
Sep 16 16:28:21 waterhole acpid: client 891[0:0] has disconnected
Sep 16 16:28:21 waterhole acpid: client connected from 7211[0:0]
Sep 16 16:28:21 waterhole acpid: 1 client rule loaded
Sep 16 16:28:22 waterhole kernel: [13138.448036] ------------[ cut here ]------------
Sep 16 16:28:22 waterhole kernel: [13138.448108] WARNING: CPU: 1 PID: 7211 at /home/zumbi/linux-4.6.4/drivers/gpu/drm/i915/intel_display.c:13452 intel_atomic_commit+0x130d/0x14b0 [i915]
Sep 16 16:28:22 waterhole kernel: [13138.448111] WARN_ON(!lret)
Sep 16 16:28:22 waterhole kernel: [13138.448113] Modules linked in: hmac(E) drbg(E) ansi_cprng(E) ctr(E) ccm(E) binfmt_misc(E) pci_stub(E) vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) arc4(E) rt73usb(E) rt2x00usb(E) rt2x00lib(E) mac80211(E) cfg80211(E) rfkill(E) crc_itu_t(E) i915(E) kvm_intel(E) kvm(E) iTCO_wdt(E) irqbypass(E) iTCO_vendor_support(E) snd_hda_codec_realtek(E) snd_hda_codec_generic(E) acpi_cpufreq(E) video(E) snd_hda_intel(E) drm_kms_helper(E) snd_hda_codec(E) pcspkr(E) drm(E) snd_hda_core(E) lpc_ich(E) snd_hwdep(E) tpm_tis(E) mfd_core(E) evdev(E) snd_pcm(E) i2c_algo_bit(E) snd_timer(E) snd(E) serio_raw(E) i2c_i801(E) tpm(E) shpchp(E) rng_core(E) ite_cir(E) wmi(E) rc_core(E) button(E) processor(E) soundcore(E) it87(E) hwmon_vid(E) coretemp(E) fuse(E) parport_pc(E) ppdev(E) lp(E) parport(E) autofs4(E) ext4(E) crc16(E) jbd2(E) mbcache(E) uas(E) usb_storage(E) sg(E) sd_mod(E) sr_mod(E) cdrom(E) ata_generic(E) psmouse(E) ata_piix(E) libata(E) scsi_mod(E) fjes(E) xhci_pci(E) xhci_hcd(E) ehci_pci(E) uhci_hcd(E) ehci_hcd(E) usbcore(E) usb_common(E)
Sep 16 16:28:22 waterhole kernel: [13138.448193] CPU: 1 PID: 7211 Comm: Xorg Tainted: G        W  OE   4.6.0-0.bpo.1-amd64 #1 Debian 4.6.4-1~bpo8+1
Sep 16 16:28:22 waterhole kernel: [13138.448195] Hardware name: eMachines EL1850/EL1850, BIOS P01-B3  06/08/2011
Sep 16 16:28:22 waterhole kernel: [13138.448198]  0000000000000286 00000000ea9d746b ffffffff813124c5 ffff8800c777bbb0
Sep 16 16:28:22 waterhole kernel: [13138.448202]  0000000000000000 ffffffff8107af94 ffff88012a73f000 ffff8800c777bc08
Sep 16 16:28:22 waterhole kernel: [13138.448206]  00000000000bd6bf 0000000000000000 0000000000000000 ffff88012a7e7800
Sep 16 16:28:22 waterhole kernel: [13138.448210] Call Trace:
Sep 16 16:28:22 waterhole kernel: [13138.448218]  [<ffffffff813124c5>] ? dump_stack+0x5c/0x77
Sep 16 16:28:22 waterhole kernel: [13138.448223]  [<ffffffff8107af94>] ? __warn+0xc4/0xe0
Sep 16 16:28:22 waterhole kernel: [13138.448226]  [<ffffffff8107b00f>] ? warn_slowpath_fmt+0x5f/0x80
Sep 16 16:28:22 waterhole kernel: [13138.448231]  [<ffffffff810bb55b>] ? finish_wait+0x3b/0x70
Sep 16 16:28:22 waterhole kernel: [13138.448267]  [<ffffffffc06b70bd>] ? intel_atomic_commit+0x130d/0x14b0 [i915]
Sep 16 16:28:22 waterhole kernel: [13138.448272]  [<ffffffff810bb6c0>] ? wait_woken+0x90/0x90
Sep 16 16:28:22 waterhole kernel: [13138.448286]  [<ffffffffc042a916>] ? drm_atomic_helper_set_config+0x76/0xb0 [drm_kms_helper]
Sep 16 16:28:22 waterhole kernel: [13138.448315]  [<ffffffffc03b51be>] ? drm_mode_set_config_internal+0x5e/0xf0 [drm]
Sep 16 16:28:22 waterhole kernel: [13138.448337]  [<ffffffffc03b89d6>] ? drm_mode_setcrtc+0x1a6/0x510 [drm]
Sep 16 16:28:22 waterhole kernel: [13138.448354]  [<ffffffffc03aa786>] ? drm_ioctl+0x126/0x490 [drm]
Sep 16 16:28:22 waterhole kernel: [13138.448376]  [<ffffffffc03b8830>] ? drm_mode_setplane+0x1b0/0x1b0 [drm]
Sep 16 16:28:22 waterhole kernel: [13138.448381]  [<ffffffff812053a9>] ? do_vfs_ioctl+0x99/0x5d0
Sep 16 16:28:22 waterhole kernel: [13138.448385]  [<ffffffff81087673>] ? recalc_sigpending+0x13/0x50
Sep 16 16:28:22 waterhole kernel: [13138.448389]  [<ffffffff81087f9d>] ? __set_task_blocked+0x3d/0x90
Sep 16 16:28:22 waterhole kernel: [13138.448392]  [<ffffffff8108a8f1>] ? __set_current_blocked+0x31/0x50
Sep 16 16:28:22 waterhole kernel: [13138.448395]  [<ffffffff81205956>] ? SyS_ioctl+0x76/0x90
Sep 16 16:28:22 waterhole kernel: [13138.448401]  [<ffffffff815c8536>] ? system_call_fast_compare_end+0xc/0x96
Sep 16 16:28:22 waterhole kernel: [13138.448404] ---[ end trace b4da916d849b1cbf ]---
Comment 102 Ralf 2016-09-19 13:51:30 UTC
Confirmed on

-- chipset: i915
-- system architecture: x86_64
-- xf86-video-intel: 2.99.917-15.1
-- xorg-x11-server: 7.6_1.17.2-24.2
-- mesa: 11.0.8-148.1
   (however I can reliably reproduce lockups with steam games which use
    a different verion I believe) 
-- libdrm_intel1: 2.4.65-1.1
-- kernel: 4.1.31-30-default #1 SMP PREEMPT Wed Aug 24 06:20:09 UTC 2016 (de9ddf8)
-- Linux distribution: OpenSuSE Leap 42.1

Graphics lockups with steam games and graphics intensive web pages (ads) in chromium showed first without the drm:i915_hangcheck_elapsed [i915] kernel warning. Now they do so (unreliably) I found this page and it all fits perfectly. I will try to abstain from games and have disabled chrome hardware acceleration, and if you hear nothing more from me that will have succeeded.

I can pretty reliably reproduce it and noticed it more probable with several minutes uptime than immediately after boot.
Comment 103 Ralf 2016-09-26 08:34:31 UTC
Actually that didn't work, but a complete reinstall with a different desktop did. Corrupt chromium processes in the background were noticed too.
Comment 104 Miguel A. Vallejo 2016-10-06 11:35:18 UTC
Bug still present in kernel 4.7:

Linux waterhole 4.7.0-0.bpo.1-amd64 #1 SMP Debian 4.7.5-1~bpo8+1 (2016-09-30) x86_64 GNU/Linux

With upgraded xserver-xorg-video-intel: 2:2.99.917+git20160706-1~bpo8+1

and Mesa 12. I wonder if anyone is working in this bug. It is present since kernel 3.10 or so and still *zero* progress. I'm considering seriously to change the computer to a non-intel one because it is impossible to do serious work if your computer freezes randomly.

The *only* workaround I have find is to add

Option      "DRI" "False"

to the xorg configuration file, but then, the video performance is *really* poor, with lot of tearing. A very awful experience.

=================================================================

Oct  6 13:11:16 waterhole kernel: [ 5540.820100] [drm:i915_hangcheck_elapsed [i915]] *ERROR* Hangcheck timer elapsed... render ring idle
Oct  6 13:12:46 waterhole kernel: [ 5630.068049] ------------[ cut here ]------------
Oct  6 13:12:46 waterhole kernel: [ 5630.068119] WARNING: CPU: 0 PID: 1864 at /build/linux-sJRxMe/linux-4.7.5/drivers/gpu/drm/i915/intel_display.c:3857 intel_atomic_commit+0x132c/0x1330 [i915]
Oct  6 13:12:46 waterhole kernel: [ 5630.068123] Removing stuck page flip
Oct  6 13:12:46 waterhole kernel: [ 5630.068125] Modules linked in: hmac(E) drbg(E) ansi_cprng(E) ctr(E) ccm(E) pci_stub(E) vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) binfmt_misc(E) arc4(E) rt73usb(E) rt2x00usb(E) rt2x00lib(E) mac80211(E) cfg80211(E) rfkill(E) crc_itu_t(E) kvm_intel(E) kvm(E) iTCO_wdt(E) irqbypass(E) iTCO_vendor_support(E) pcspkr(E) evdev(E) serio_raw(E) i915(E) i2c_i801(E) snd_hda_codec_realtek(E) lpc_ich(E) snd_hda_codec_generic(E) video(E) mfd_core(E) snd_hda_intel(E) ite_cir(E) rc_core(E) drm_kms_helper(E) snd_hda_codec(E) snd_hda_core(E) drm(E) sg(E) snd_hwdep(E) snd_pcm(E) snd_timer(E) snd(E) soundcore(E) shpchp(E) wmi(E) rng_core(E) button(E) i2c_algo_bit(E) acpi_cpufreq(E) tpm_tis(E) tpm(E) it87(E) hwmon_vid(E) coretemp(E) fuse(E) parport_pc(E) ppdev(E) lp(E) parport(E) autofs4(E) ext4(E) crc16(E) jbd2(E) mbcache(E) uas(E) usb_storage(E) sr_mod(E) cdrom(E) sd_mod(E) ata_generic(E) psmouse(E) ata_piix(E) fjes(E) libata(E) scsi_mod(E) xhci_pci(E) ehci_pci(E) xhci_hcd(E) uhci_hcd(E) ehci_hcd(E) usbcore(E) usb_common(E)
Oct  6 13:12:46 waterhole kernel: [ 5630.068228] CPU: 0 PID: 1864 Comm: Xorg Tainted: G           OE   4.7.0-0.bpo.1-amd64 #1 Debian 4.7.5-1~bpo8+1
Oct  6 13:12:46 waterhole kernel: [ 5630.068231] Hardware name: eMachines EL1850/EL1850, BIOS P01-B3  06/08/2011
Oct  6 13:12:46 waterhole kernel: [ 5630.068234]  0000000000000086 00000000221dfc71 ffffffffad91c485 ffff8800c8a73b60
Oct  6 13:12:46 waterhole kernel: [ 5630.068240]  0000000000000000 ffffffffad67c984 0000000000000000 ffff8800c8a73bb8
Oct  6 13:12:46 waterhole kernel: [ 5630.068245]  ffff8800c9135000 ffff8800c87a9508 ffff8800c87b81d0 ffff8800c7008800
Oct  6 13:12:46 waterhole kernel: [ 5630.068250] Call Trace:
Oct  6 13:12:46 waterhole kernel: [ 5630.068260]  [<ffffffffad91c485>] ? dump_stack+0x5c/0x77
Oct  6 13:12:46 waterhole kernel: [ 5630.068266]  [<ffffffffad67c984>] ? __warn+0xc4/0xe0
Oct  6 13:12:46 waterhole kernel: [ 5630.068270]  [<ffffffffad67c9ff>] ? warn_slowpath_fmt+0x5f/0x80
Oct  6 13:12:46 waterhole kernel: [ 5630.068275]  [<ffffffffad6bd76b>] ? finish_wait+0x3b/0x70
Oct  6 13:12:46 waterhole kernel: [ 5630.068326]  [<ffffffffc062254c>] ? intel_atomic_commit+0x132c/0x1330 [i915]
Oct  6 13:12:46 waterhole kernel: [ 5630.068331]  [<ffffffffad6bd8d0>] ? wait_woken+0x90/0x90
Oct  6 13:12:46 waterhole kernel: [ 5630.068349]  [<ffffffffc0562769>] ? drm_atomic_helper_disable_plane+0xa9/0xf0 [drm_kms_helper]
Oct  6 13:12:46 waterhole kernel: [ 5630.068383]  [<ffffffffc049660e>] ? __setplane_internal+0x18e/0x2a0 [drm]
Oct  6 13:12:46 waterhole kernel: [ 5630.068414]  [<ffffffffc04a5433>] ? drm_modeset_lock_all_ctx+0x93/0xb0 [drm]
Oct  6 13:12:46 waterhole kernel: [ 5630.068443]  [<ffffffffc049a09b>] ? drm_mode_setplane+0x14b/0x1c0 [drm]
Oct  6 13:12:46 waterhole kernel: [ 5630.068466]  [<ffffffffc048c686>] ? drm_ioctl+0x126/0x490 [drm]
Oct  6 13:12:46 waterhole kernel: [ 5630.068494]  [<ffffffffc0499f50>] ? drm_plane_check_pixel_format+0x50/0x50 [drm]
Oct  6 13:12:46 waterhole kernel: [ 5630.068501]  [<ffffffffad80d2eb>] ? do_vfs_ioctl+0x9b/0x5e0
Oct  6 13:12:46 waterhole kernel: [ 5630.068506]  [<ffffffffad7f9ab3>] ? vfs_write+0x163/0x1a0
Oct  6 13:12:46 waterhole kernel: [ 5630.068510]  [<ffffffffad80d8a6>] ? SyS_ioctl+0x76/0x90
Oct  6 13:12:46 waterhole kernel: [ 5630.068516]  [<ffffffffadbde3f6>] ? system_call_fast_compare_end+0xc/0x96
Oct  6 13:12:46 waterhole kernel: [ 5630.068520] ---[ end trace ca0c1f2a5d10d54f ]---
Oct  6 13:12:46 waterhole kernel: [ 5630.168035] ------------[ cut here ]------------
Oct  6 13:12:46 waterhole kernel: [ 5630.168077] WARNING: CPU: 0 PID: 1864 at /build/linux-sJRxMe/linux-4.7.5/drivers/gpu/drm/drm_irq.c:1318 drm_wait_one_vblank+0x15b/0x1a0 [drm]
Oct  6 13:12:46 waterhole kernel: [ 5630.168080] vblank wait timed out on crtc 0
Oct  6 13:12:46 waterhole kernel: [ 5630.168083] Modules linked in: hmac(E) drbg(E) ansi_cprng(E) ctr(E) ccm(E) pci_stub(E) vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) binfmt_misc(E) arc4(E) rt73usb(E) rt2x00usb(E) rt2x00lib(E) mac80211(E) cfg80211(E) rfkill(E) crc_itu_t(E) kvm_intel(E) kvm(E) iTCO_wdt(E) irqbypass(E) iTCO_vendor_support(E) pcspkr(E) evdev(E) serio_raw(E) i915(E) i2c_i801(E) snd_hda_codec_realtek(E) lpc_ich(E) snd_hda_codec_generic(E) video(E) mfd_core(E) snd_hda_intel(E) ite_cir(E) rc_core(E) drm_kms_helper(E) snd_hda_codec(E) snd_hda_core(E) drm(E) sg(E) snd_hwdep(E) snd_pcm(E) snd_timer(E) snd(E) soundcore(E) shpchp(E) wmi(E) rng_core(E) button(E) i2c_algo_bit(E) acpi_cpufreq(E) tpm_tis(E) tpm(E) it87(E) hwmon_vid(E) coretemp(E) fuse(E) parport_pc(E) ppdev(E) lp(E) parport(E) autofs4(E) ext4(E) crc16(E) jbd2(E) mbcache(E) uas(E) usb_storage(E) sr_mod(E) cdrom(E) sd_mod(E) ata_generic(E) psmouse(E) ata_piix(E) fjes(E) libata(E) scsi_mod(E) xhci_pci(E) ehci_pci(E) xhci_hcd(E) uhci_hcd(E) ehci_hcd(E) usbcore(E) usb_common(E)
Oct  6 13:12:46 waterhole kernel: [ 5630.168185] CPU: 0 PID: 1864 Comm: Xorg Tainted: G        W  OE   4.7.0-0.bpo.1-amd64 #1 Debian 4.7.5-1~bpo8+1
Oct  6 13:12:46 waterhole kernel: [ 5630.168189] Hardware name: eMachines EL1850/EL1850, BIOS P01-B3  06/08/2011
Oct  6 13:12:46 waterhole kernel: [ 5630.168192]  0000000000000286 00000000221dfc71 ffffffffad91c485 ffff8800c8a73ab0
Oct  6 13:12:46 waterhole kernel: [ 5630.168198]  0000000000000000 ffffffffad67c984 0000000000000000 ffff8800c8a73b08
Oct  6 13:12:46 waterhole kernel: [ 5630.168203]  0000000000000000 0000000000050e6a ffff8800c93c3808 0000000000000001
Oct  6 13:12:46 waterhole kernel: [ 5630.168208] Call Trace:
Oct  6 13:12:46 waterhole kernel: [ 5630.168218]  [<ffffffffad91c485>] ? dump_stack+0x5c/0x77
Oct  6 13:12:46 waterhole kernel: [ 5630.168224]  [<ffffffffad67c984>] ? __warn+0xc4/0xe0
Oct  6 13:12:46 waterhole kernel: [ 5630.168229]  [<ffffffffad67c9ff>] ? warn_slowpath_fmt+0x5f/0x80
Oct  6 13:12:46 waterhole kernel: [ 5630.168234]  [<ffffffffad6bd76b>] ? finish_wait+0x3b/0x70
Oct  6 13:12:46 waterhole kernel: [ 5630.168258]  [<ffffffffc048e43b>] ? drm_wait_one_vblank+0x15b/0x1a0 [drm]
Oct  6 13:12:46 waterhole kernel: [ 5630.168262]  [<ffffffffad6bd8d0>] ? wait_woken+0x90/0x90
Oct  6 13:12:46 waterhole kernel: [ 5630.168328]  [<ffffffffc0620d0a>] ? intel_pre_plane_update+0x14a/0x180 [i915]
Oct  6 13:12:46 waterhole kernel: [ 5630.168379]  [<ffffffffc0621763>] ? intel_atomic_commit+0x543/0x1330 [i915]
Oct  6 13:12:46 waterhole kernel: [ 5630.168384]  [<ffffffffad6bd8d0>] ? wait_woken+0x90/0x90
Oct  6 13:12:46 waterhole kernel: [ 5630.168403]  [<ffffffffc0562769>] ? drm_atomic_helper_disable_plane+0xa9/0xf0 [drm_kms_helper]
Oct  6 13:12:46 waterhole kernel: [ 5630.168431]  [<ffffffffc049660e>] ? __setplane_internal+0x18e/0x2a0 [drm]
Oct  6 13:12:46 waterhole kernel: [ 5630.168462]  [<ffffffffc04a5433>] ? drm_modeset_lock_all_ctx+0x93/0xb0 [drm]
Oct  6 13:12:46 waterhole kernel: [ 5630.168491]  [<ffffffffc049a09b>] ? drm_mode_setplane+0x14b/0x1c0 [drm]
Oct  6 13:12:46 waterhole kernel: [ 5630.168514]  [<ffffffffc048c686>] ? drm_ioctl+0x126/0x490 [drm]
Oct  6 13:12:46 waterhole kernel: [ 5630.168542]  [<ffffffffc0499f50>] ? drm_plane_check_pixel_format+0x50/0x50 [drm]
Oct  6 13:12:46 waterhole kernel: [ 5630.168549]  [<ffffffffad80d2eb>] ? do_vfs_ioctl+0x9b/0x5e0
Oct  6 13:12:46 waterhole kernel: [ 5630.168554]  [<ffffffffad7f9ab3>] ? vfs_write+0x163/0x1a0
Oct  6 13:12:46 waterhole kernel: [ 5630.168559]  [<ffffffffad80d8a6>] ? SyS_ioctl+0x76/0x90
Oct  6 13:12:46 waterhole kernel: [ 5630.168564]  [<ffffffffadbde3f6>] ? system_call_fast_compare_end+0xc/0x96
Oct  6 13:12:46 waterhole kernel: [ 5630.168568] ---[ end trace ca0c1f2a5d10d550 ]---
Oct  6 13:12:46 waterhole kernel: [ 5630.220043] ------------[ cut here ]------------
Oct  6 13:12:46 waterhole kernel: [ 5630.220109] WARNING: CPU: 0 PID: 1864 at /build/linux-sJRxMe/linux-4.7.5/drivers/gpu/drm/i915/intel_display.c:13554 intel_atomic_commit+0x1224/0x1330 [i915]
Oct  6 13:12:46 waterhole kernel: [ 5630.220113] pipe A vblank wait timed out
Oct  6 13:12:46 waterhole kernel: [ 5630.220115] Modules linked in: hmac(E) drbg(E) ansi_cprng(E) ctr(E) ccm(E) pci_stub(E) vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) binfmt_misc(E) arc4(E) rt73usb(E) rt2x00usb(E) rt2x00lib(E) mac80211(E) cfg80211(E) rfkill(E) crc_itu_t(E) kvm_intel(E) kvm(E) iTCO_wdt(E) irqbypass(E) iTCO_vendor_support(E) pcspkr(E) evdev(E) serio_raw(E) i915(E) i2c_i801(E) snd_hda_codec_realtek(E) lpc_ich(E) snd_hda_codec_generic(E) video(E) mfd_core(E) snd_hda_intel(E) ite_cir(E) rc_core(E) drm_kms_helper(E) snd_hda_codec(E) snd_hda_core(E) drm(E) sg(E) snd_hwdep(E) snd_pcm(E) snd_timer(E) snd(E) soundcore(E) shpchp(E) wmi(E) rng_core(E) button(E) i2c_algo_bit(E) acpi_cpufreq(E) tpm_tis(E) tpm(E) it87(E) hwmon_vid(E) coretemp(E) fuse(E) parport_pc(E) ppdev(E) lp(E) parport(E) autofs4(E) ext4(E) crc16(E) jbd2(E) mbcache(E) uas(E) usb_storage(E) sr_mod(E) cdrom(E) sd_mod(E) ata_generic(E) psmouse(E) ata_piix(E) fjes(E) libata(E) scsi_mod(E) xhci_pci(E) ehci_pci(E) xhci_hcd(E) uhci_hcd(E) ehci_hcd(E) usbcore(E) usb_common(E)
Oct  6 13:12:46 waterhole kernel: [ 5630.220216] CPU: 0 PID: 1864 Comm: Xorg Tainted: G        W  OE   4.7.0-0.bpo.1-amd64 #1 Debian 4.7.5-1~bpo8+1
Oct  6 13:12:46 waterhole kernel: [ 5630.220220] Hardware name: eMachines EL1850/EL1850, BIOS P01-B3  06/08/2011
Oct  6 13:12:46 waterhole kernel: [ 5630.220223]  0000000000000286 00000000221dfc71 ffffffffad91c485 ffff8800c8a73b60
Oct  6 13:12:46 waterhole kernel: [ 5630.220229]  0000000000000000 ffffffffad67c984 0000000000000001 ffff8800c8a73bb8
Oct  6 13:12:46 waterhole kernel: [ 5630.220234]  0000000000050e6a 0000000000000000 0000000000000000 0000000000000000
Oct  6 13:12:46 waterhole kernel: [ 5630.220239] Call Trace:
Oct  6 13:12:46 waterhole kernel: [ 5630.220248]  [<ffffffffad91c485>] ? dump_stack+0x5c/0x77
Oct  6 13:12:46 waterhole kernel: [ 5630.220254]  [<ffffffffad67c984>] ? __warn+0xc4/0xe0
Oct  6 13:12:46 waterhole kernel: [ 5630.220258]  [<ffffffffad67c9ff>] ? warn_slowpath_fmt+0x5f/0x80
Oct  6 13:12:46 waterhole kernel: [ 5630.220263]  [<ffffffffad6bd76b>] ? finish_wait+0x3b/0x70
Oct  6 13:12:46 waterhole kernel: [ 5630.220314]  [<ffffffffc0622444>] ? intel_atomic_commit+0x1224/0x1330 [i915]
Oct  6 13:12:46 waterhole kernel: [ 5630.220319]  [<ffffffffad6bd8d0>] ? wait_woken+0x90/0x90
Oct  6 13:12:46 waterhole kernel: [ 5630.220336]  [<ffffffffc0562769>] ? drm_atomic_helper_disable_plane+0xa9/0xf0 [drm_kms_helper]
Oct  6 13:12:46 waterhole kernel: [ 5630.220369]  [<ffffffffc049660e>] ? __setplane_internal+0x18e/0x2a0 [drm]
Oct  6 13:12:46 waterhole kernel: [ 5630.220400]  [<ffffffffc04a5433>] ? drm_modeset_lock_all_ctx+0x93/0xb0 [drm]
Oct  6 13:12:46 waterhole kernel: [ 5630.220429]  [<ffffffffc049a09b>] ? drm_mode_setplane+0x14b/0x1c0 [drm]
Oct  6 13:12:46 waterhole kernel: [ 5630.220452]  [<ffffffffc048c686>] ? drm_ioctl+0x126/0x490 [drm]
Oct  6 13:12:46 waterhole kernel: [ 5630.220481]  [<ffffffffc0499f50>] ? drm_plane_check_pixel_format+0x50/0x50 [drm]
Oct  6 13:12:46 waterhole kernel: [ 5630.220487]  [<ffffffffad80d2eb>] ? do_vfs_ioctl+0x9b/0x5e0
Oct  6 13:12:46 waterhole kernel: [ 5630.220492]  [<ffffffffad7f9ab3>] ? vfs_write+0x163/0x1a0
Oct  6 13:12:46 waterhole kernel: [ 5630.220496]  [<ffffffffad80d8a6>] ? SyS_ioctl+0x76/0x90
Oct  6 13:12:46 waterhole kernel: [ 5630.220502]  [<ffffffffadbde3f6>] ? system_call_fast_compare_end+0xc/0x96
Oct  6 13:12:46 waterhole kernel: [ 5630.220506] ---[ end trace ca0c1f2a5d10d551 ]---
Oct  6 13:12:46 waterhole kernel: [ 5630.320033] ------------[ cut here ]------------
Oct  6 13:12:46 waterhole kernel: [ 5630.320072] WARNING: CPU: 0 PID: 1864 at /build/linux-sJRxMe/linux-4.7.5/drivers/gpu/drm/drm_irq.c:1318 drm_wait_one_vblank+0x15b/0x1a0 [drm]
Oct  6 13:12:46 waterhole kernel: [ 5630.320073] vblank wait timed out on crtc 0
Oct  6 13:12:46 waterhole kernel: [ 5630.320125] Modules linked in: hmac(E) drbg(E) ansi_cprng(E) ctr(E) ccm(E) pci_stub(E) vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) binfmt_misc(E) arc4(E) rt73usb(E) rt2x00usb(E) rt2x00lib(E) mac80211(E) cfg80211(E) rfkill(E) crc_itu_t(E) kvm_intel(E) kvm(E) iTCO_wdt(E) irqbypass(E) iTCO_vendor_support(E) pcspkr(E) evdev(E) serio_raw(E) i915(E) i2c_i801(E) snd_hda_codec_realtek(E) lpc_ich(E) snd_hda_codec_generic(E) video(E) mfd_core(E) snd_hda_intel(E) ite_cir(E) rc_core(E) drm_kms_helper(E) snd_hda_codec(E) snd_hda_core(E) drm(E) sg(E) snd_hwdep(E) snd_pcm(E) snd_timer(E) snd(E) soundcore(E) shpchp(E) wmi(E) rng_core(E) button(E) i2c_algo_bit(E) acpi_cpufreq(E) tpm_tis(E) tpm(E) it87(E) hwmon_vid(E) coretemp(E) fuse(E) parport_pc(E) ppdev(E) lp(E) parport(E) autofs4(E) ext4(E) crc16(E) jbd2(E) mbcache(E) uas(E) usb_storage(E) sr_mod(E) cdrom(E) sd_mod(E) ata_generic(E) psmouse(E) ata_piix(E) fjes(E) libata(E) scsi_mod(E) xhci_pci(E) ehci_pci(E) xhci_hcd(E) uhci_hcd(E) ehci_hcd(E) usbcore(E) usb_common(E)
Oct  6 13:12:46 waterhole kernel: [ 5630.320146] CPU: 0 PID: 1864 Comm: Xorg Tainted: G        W  OE   4.7.0-0.bpo.1-amd64 #1 Debian 4.7.5-1~bpo8+1
Oct  6 13:12:46 waterhole kernel: [ 5630.320147] Hardware name: eMachines EL1850/EL1850, BIOS P01-B3  06/08/2011
Oct  6 13:12:46 waterhole kernel: [ 5630.320152]  0000000000000286 00000000221dfc71 ffffffffad91c485 ffff8800c8a73858
Oct  6 13:12:46 waterhole kernel: [ 5630.320155]  0000000000000000 ffffffffad67c984 0000000000000000 ffff8800c8a738b0
Oct  6 13:12:46 waterhole kernel: [ 5630.320158]  0000000000000000 0000000000050e6a ffff8800c93c3808 0000000000000001
Oct  6 13:12:46 waterhole kernel: [ 5630.320159] Call Trace:
Oct  6 13:12:46 waterhole kernel: [ 5630.320167]  [<ffffffffad91c485>] ? dump_stack+0x5c/0x77
Oct  6 13:12:46 waterhole kernel: [ 5630.320172]  [<ffffffffad67c984>] ? __warn+0xc4/0xe0
Oct  6 13:12:46 waterhole kernel: [ 5630.320175]  [<ffffffffad67c9ff>] ? warn_slowpath_fmt+0x5f/0x80
Oct  6 13:12:46 waterhole kernel: [ 5630.320179]  [<ffffffffad6bd76b>] ? finish_wait+0x3b/0x70
Oct  6 13:12:46 waterhole kernel: [ 5630.320201]  [<ffffffffc048e43b>] ? drm_wait_one_vblank+0x15b/0x1a0 [drm]
Oct  6 13:12:46 waterhole kernel: [ 5630.320204]  [<ffffffffad6bd8d0>] ? wait_woken+0x90/0x90
Oct  6 13:12:46 waterhole kernel: [ 5630.320266]  [<ffffffffc0620d0a>] ? intel_pre_plane_update+0x14a/0x180 [i915]
Oct  6 13:12:46 waterhole kernel: [ 5630.320315]  [<ffffffffc0621763>] ? intel_atomic_commit+0x543/0x1330 [i915]
Oct  6 13:12:46 waterhole kernel: [ 5630.320346]  [<ffffffffc04a6d62>] ? drm_atomic_add_affected_connectors+0x22/0xe0 [drm]
Oct  6 13:12:46 waterhole kernel: [ 5630.320364]  [<ffffffffc0563b3c>] ? restore_fbdev_mode+0x22c/0x260 [drm_kms_helper]
Oct  6 13:12:46 waterhole kernel: [ 5630.320378]  [<ffffffffc0565ebe>] ? drm_fb_helper_restore_fbdev_mode_unlocked+0x2e/0x70 [drm_kms_helper]
Oct  6 13:12:46 waterhole kernel: [ 5630.320392]  [<ffffffffc0565f29>] ? drm_fb_helper_set_par+0x29/0x50 [drm_kms_helper]
Oct  6 13:12:46 waterhole kernel: [ 5630.320440]  [<ffffffffc063bd06>] ? intel_fbdev_set_par+0x16/0x60 [i915]
Oct  6 13:12:46 waterhole kernel: [ 5630.320444]  [<ffffffffad998f51>] ? fb_set_var+0x171/0x3b0
Oct  6 13:12:46 waterhole kernel: [ 5630.320447]  [<ffffffffad6b070f>] ? update_curr+0xdf/0x160
Oct  6 13:12:46 waterhole kernel: [ 5630.320450]  [<ffffffffad6b2c10>] ? enqueue_entity+0x2c0/0xde0
Oct  6 13:12:46 waterhole kernel: [ 5630.320455]  [<ffffffffad990227>] ? fbcon_blank+0x227/0x2f0
Oct  6 13:12:46 waterhole kernel: [ 5630.320460]  [<ffffffffada0f8f3>] ? do_unblank_screen+0xb3/0x1b0
Oct  6 13:12:46 waterhole kernel: [ 5630.320464]  [<ffffffffada06204>] ? complete_change_console+0x54/0xd0
Oct  6 13:12:46 waterhole kernel: [ 5630.320467]  [<ffffffffada0734a>] ? vt_ioctl+0x10ca/0x1270
Oct  6 13:12:46 waterhole kernel: [ 5630.320471]  [<ffffffffad7ad25c>] ? do_wp_page+0x1bc/0x8f0
Oct  6 13:12:46 waterhole kernel: [ 5630.320492]  [<ffffffffc048c6b7>] ? drm_ioctl+0x157/0x490 [drm]
Oct  6 13:12:46 waterhole kernel: [ 5630.320496]  [<ffffffffad9fb3c6>] ? tty_ioctl+0x3b6/0xc60
Oct  6 13:12:46 waterhole kernel: [ 5630.320499]  [<ffffffffad7b13a2>] ? handle_mm_fault+0xde2/0x1cd0
Oct  6 13:12:46 waterhole kernel: [ 5630.320503]  [<ffffffffad80d2eb>] ? do_vfs_ioctl+0x9b/0x5e0
Oct  6 13:12:46 waterhole kernel: [ 5630.320506]  [<ffffffffad80d8a6>] ? SyS_ioctl+0x76/0x90
Oct  6 13:12:46 waterhole kernel: [ 5630.320510]  [<ffffffffadbde3f6>] ? system_call_fast_compare_end+0xc/0x96
Oct  6 13:12:46 waterhole kernel: [ 5630.320512] ---[ end trace ca0c1f2a5d10d552 ]---
Oct  6 13:12:46 waterhole kernel: [ 5630.372038] ------------[ cut here ]------------
Oct  6 13:12:46 waterhole kernel: [ 5630.372096] WARNING: CPU: 0 PID: 1864 at /build/linux-sJRxMe/linux-4.7.5/drivers/gpu/drm/i915/intel_display.c:13554 intel_atomic_commit+0x1224/0x1330 [i915]
Oct  6 13:12:46 waterhole kernel: [ 5630.372098] pipe A vblank wait timed out
Oct  6 13:12:46 waterhole kernel: [ 5630.372145] Modules linked in: hmac(E) drbg(E) ansi_cprng(E) ctr(E) ccm(E) pci_stub(E) vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) binfmt_misc(E) arc4(E) rt73usb(E) rt2x00usb(E) rt2x00lib(E) mac80211(E) cfg80211(E) rfkill(E) crc_itu_t(E) kvm_intel(E) kvm(E) iTCO_wdt(E) irqbypass(E) iTCO_vendor_support(E) pcspkr(E) evdev(E) serio_raw(E) i915(E) i2c_i801(E) snd_hda_codec_realtek(E) lpc_ich(E) snd_hda_codec_generic(E) video(E) mfd_core(E) snd_hda_intel(E) ite_cir(E) rc_core(E) drm_kms_helper(E) snd_hda_codec(E) snd_hda_core(E) drm(E) sg(E) snd_hwdep(E) snd_pcm(E) snd_timer(E) snd(E) soundcore(E) shpchp(E) wmi(E) rng_core(E) button(E) i2c_algo_bit(E) acpi_cpufreq(E) tpm_tis(E) tpm(E) it87(E) hwmon_vid(E) coretemp(E) fuse(E) parport_pc(E) ppdev(E) lp(E) parport(E) autofs4(E) ext4(E) crc16(E) jbd2(E) mbcache(E) uas(E) usb_storage(E) sr_mod(E) cdrom(E) sd_mod(E) ata_generic(E) psmouse(E) ata_piix(E) fjes(E) libata(E) scsi_mod(E) xhci_pci(E) ehci_pci(E) xhci_hcd(E) uhci_hcd(E) ehci_hcd(E) usbcore(E) usb_common(E)
Oct  6 13:12:46 waterhole kernel: [ 5630.372165] CPU: 0 PID: 1864 Comm: Xorg Tainted: G        W  OE   4.7.0-0.bpo.1-amd64 #1 Debian 4.7.5-1~bpo8+1
Oct  6 13:12:46 waterhole kernel: [ 5630.372166] Hardware name: eMachines EL1850/EL1850, BIOS P01-B3  06/08/2011
Oct  6 13:12:46 waterhole kernel: [ 5630.372170]  0000000000000286 00000000221dfc71 ffffffffad91c485 ffff8800c8a73908
Oct  6 13:12:46 waterhole kernel: [ 5630.372174]  0000000000000000 ffffffffad67c984 0000000000000001 ffff8800c8a73960
Oct  6 13:12:46 waterhole kernel: [ 5630.372177]  0000000000050e6a 0000000000000000 0000000000000000 0000000000000000
Oct  6 13:12:46 waterhole kernel: [ 5630.372178] Call Trace:
Oct  6 13:12:46 waterhole kernel: [ 5630.372183]  [<ffffffffad91c485>] ? dump_stack+0x5c/0x77
Oct  6 13:12:46 waterhole kernel: [ 5630.372188]  [<ffffffffad67c984>] ? __warn+0xc4/0xe0
Oct  6 13:12:46 waterhole kernel: [ 5630.372191]  [<ffffffffad67c9ff>] ? warn_slowpath_fmt+0x5f/0x80
Oct  6 13:12:46 waterhole kernel: [ 5630.372194]  [<ffffffffad6bd76b>] ? finish_wait+0x3b/0x70
Oct  6 13:12:46 waterhole kernel: [ 5630.372243]  [<ffffffffc0622444>] ? intel_atomic_commit+0x1224/0x1330 [i915]
Oct  6 13:12:46 waterhole kernel: [ 5630.372246]  [<ffffffffad6bd8d0>] ? wait_woken+0x90/0x90
Oct  6 13:12:46 waterhole kernel: [ 5630.372262]  [<ffffffffc0563b3c>] ? restore_fbdev_mode+0x22c/0x260 [drm_kms_helper]
Oct  6 13:12:46 waterhole kernel: [ 5630.372276]  [<ffffffffc0565ebe>] ? drm_fb_helper_restore_fbdev_mode_unlocked+0x2e/0x70 [drm_kms_helper]
Oct  6 13:12:46 waterhole kernel: [ 5630.372290]  [<ffffffffc0565f29>] ? drm_fb_helper_set_par+0x29/0x50 [drm_kms_helper]
Oct  6 13:12:46 waterhole kernel: [ 5630.372338]  [<ffffffffc063bd06>] ? intel_fbdev_set_par+0x16/0x60 [i915]
Oct  6 13:12:46 waterhole kernel: [ 5630.372341]  [<ffffffffad998f51>] ? fb_set_var+0x171/0x3b0
Oct  6 13:12:46 waterhole kernel: [ 5630.372345]  [<ffffffffad6b070f>] ? update_curr+0xdf/0x160
Oct  6 13:12:46 waterhole kernel: [ 5630.372348]  [<ffffffffad6b2c10>] ? enqueue_entity+0x2c0/0xde0
Oct  6 13:12:46 waterhole kernel: [ 5630.372354]  [<ffffffffad990227>] ? fbcon_blank+0x227/0x2f0
Oct  6 13:12:46 waterhole kernel: [ 5630.372358]  [<ffffffffada0f8f3>] ? do_unblank_screen+0xb3/0x1b0
Oct  6 13:12:46 waterhole kernel: [ 5630.372361]  [<ffffffffada06204>] ? complete_change_console+0x54/0xd0
Oct  6 13:12:46 waterhole kernel: [ 5630.372364]  [<ffffffffada0734a>] ? vt_ioctl+0x10ca/0x1270
Oct  6 13:12:46 waterhole kernel: [ 5630.372367]  [<ffffffffad7ad25c>] ? do_wp_page+0x1bc/0x8f0
Oct  6 13:12:46 waterhole kernel: [ 5630.372392]  [<ffffffffc048c6b7>] ? drm_ioctl+0x157/0x490 [drm]
Oct  6 13:12:46 waterhole kernel: [ 5630.372397]  [<ffffffffad9fb3c6>] ? tty_ioctl+0x3b6/0xc60
Oct  6 13:12:46 waterhole kernel: [ 5630.372400]  [<ffffffffad7b13a2>] ? handle_mm_fault+0xde2/0x1cd0
Oct  6 13:12:46 waterhole kernel: [ 5630.372403]  [<ffffffffad80d2eb>] ? do_vfs_ioctl+0x9b/0x5e0
Oct  6 13:12:46 waterhole kernel: [ 5630.372406]  [<ffffffffad80d8a6>] ? SyS_ioctl+0x76/0x90
Oct  6 13:12:46 waterhole kernel: [ 5630.372410]  [<ffffffffadbde3f6>] ? system_call_fast_compare_end+0xc/0x96
Oct  6 13:12:46 waterhole kernel: [ 5630.372412] ---[ end trace ca0c1f2a5d10d553 ]---
Comment 105 Diego Viola 2016-10-06 12:04:21 UTC
Does removing xf86-video-intel and using modesetting/glamor makes a difference?

I stopped having this problem a while ago.
Comment 106 Diego Viola 2016-10-06 12:37:39 UTC
Modesetting/glamor is part of the xorg-server, so in order to use it, removing xf86-video-intel should be enough.
Comment 107 Chris 2016-10-06 13:26:29 UTC
FWIW back in early July this year I upgraded to Ubuntu 16.04.1LTS. Since then I have had no issues at all with any freezes. A few weeks prior to the upgrade I'd changed over to modesetting however I'm not sure how to check to see if that is still being used. The current Xserver installed is:

chris@localhost:~$ apt-cache policy xserver-xorg-video-intel
xserver-xorg-video-intel:
  Installed: 2:2.99.917+git20160325-1ubuntu1.1
  Candidate: 2:2.99.917+git20160325-1ubuntu1.1
  Version table:
 *** 2:2.99.917+git20160325-1ubuntu1.1 500
        500 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     2:2.99.917+git20160325-1ubuntu1 500
        500 http://us.archive.ubuntu.com/ubuntu xenial/main amd64 Packages

And I'm running kernel:

4.4.0-38-generic #57-Ubuntu SMP Tue Sep 6 15:42:33 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
Comment 108 Diego Viola 2016-10-06 13:43:32 UTC
(In reply to Chris from comment #107)
> FWIW back in early July this year I upgraded to Ubuntu 16.04.1LTS. Since
> then I have had no issues at all with any freezes. A few weeks prior to the
> upgrade I'd changed over to modesetting however I'm not sure how to check to
> see if that is still being used. The current Xserver installed is:
> 
> chris@localhost:~$ apt-cache policy xserver-xorg-video-intel
> xserver-xorg-video-intel:
>   Installed: 2:2.99.917+git20160325-1ubuntu1.1
>   Candidate: 2:2.99.917+git20160325-1ubuntu1.1
>   Version table:
>  *** 2:2.99.917+git20160325-1ubuntu1.1 500
>         500 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64
> Packages
>         100 /var/lib/dpkg/status
>      2:2.99.917+git20160325-1ubuntu1 500
>         500 http://us.archive.ubuntu.com/ubuntu xenial/main amd64 Packages
> 
> And I'm running kernel:
> 
> 4.4.0-38-generic #57-Ubuntu SMP Tue Sep 6 15:42:33 UTC 2016 x86_64 x86_64
> x86_64 GNU/Linux

That's the Intel driver. The Debian wiki mentions this about this package:

"The use of this driver is discouraged if your hw is new enough (ca. 2007 and newer). You can try uninstalling this driver and let the server use it's builtin modesetting driver instead."

You can probably check your ~/.local/share/xorg/Xorg.0.log to verify which module is being loaded by X, on my system I have this:

[ 11890.282] (II) Loading /usr/lib/xorg/modules/drivers/modesetting_drv.so

I'm on Arch Linux though.
Comment 109 Miguel A. Vallejo 2016-10-06 13:50:53 UTC
Removing xf86-video-intel works, but no DRI, no OpenGL, no hardware acceleration and lot of screen flickering. The intel driver with DRI false seems to work much better
Comment 110 Diego Viola 2016-10-06 13:52:31 UTC
(In reply to Miguel A. Vallejo from comment #109)
> Removing xf86-video-intel works, but no DRI, no OpenGL, no hardware
> acceleration and lot of screen flickering. The intel driver with DRI false
> seems to work much better

That's weird, what distro are you on? What CPU?
Comment 111 Diego Viola 2016-10-06 14:07:43 UTC
(In reply to Miguel A. Vallejo from comment #109)
> Removing xf86-video-intel works, but no DRI, no OpenGL, no hardware
> acceleration and lot of screen flickering. The intel driver with DRI false
> seems to work much better

Have you actually set up glamor/modesetting correctly? I'm running with glamor/modesetting here and everything works, no hangs anymore and it's incredibly stable.
Comment 112 Miguel A. Vallejo 2016-10-06 14:15:00 UTC
Debian Jessie + Backports on Intel E5700 CPU.



cat /var/log/Xorg.0.log | grep Loading
[    32.353] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[    33.163] (II) Loading /usr/lib/xorg/modules/drivers/modesetting_drv.so
[    33.486] (II) Loading sub module "fb"
[    33.486] (II) Loading /usr/lib/xorg/modules/libfb.so
[    33.749] (II) Loading sub module "shadow"
[    33.749] (II) Loading /usr/lib/xorg/modules/libshadow.so
[    39.952] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so



cat /var/log/Xorg.0.log | grep DRI
[    33.941] (II) AIGLX: Screen 0 is not DRI2 capable                                       
[    39.299] (II) GLX: Initialized DRISWRAST GL provider for screen 0 



glxinfo | grep OpenGL
OpenGL vendor string: VMware, Inc.
OpenGL renderer string: Gallium 0.4 on llvmpipe (LLVM 3.8, 128 bits)
OpenGL version string: 3.0 Mesa 12.0.3
OpenGL shading language version string: 1.30
OpenGL context flags: (none)
OpenGL extensions:



Maybe some missing package / config file?
Comment 113 Chris Wilson 2016-10-06 14:18:34 UTC
(In reply to Diego Viola from comment #111)
> (In reply to Miguel A. Vallejo from comment #109)
> > Removing xf86-video-intel works, but no DRI, no OpenGL, no hardware
> > acceleration and lot of screen flickering. The intel driver with DRI false
> > seems to work much better
> 
> Have you actually set up glamor/modesetting correctly? I'm running with
> glamor/modesetting here and everything works, no hangs anymore and it's
> incredibly stable.

Note that the bug Miguel has is not from the ddx, but the kernel.

As for glamor being stable, bugzilla differs so ymmv.
Comment 114 Diego Viola 2016-10-06 14:26:21 UTC
(In reply to Chris Wilson from comment #113)
> (In reply to Diego Viola from comment #111)
> > (In reply to Miguel A. Vallejo from comment #109)
> > > Removing xf86-video-intel works, but no DRI, no OpenGL, no hardware
> > > acceleration and lot of screen flickering. The intel driver with DRI false
> > > seems to work much better
> > 
> > Have you actually set up glamor/modesetting correctly? I'm running with
> > glamor/modesetting here and everything works, no hangs anymore and it's
> > incredibly stable.
> 
> Note that the bug Miguel has is not from the ddx, but the kernel.
> 
> As for glamor being stable, bugzilla differs so ymmv.

I see, thanks.

I remember opening this bug 2 years ago but even with xf86-video-intel I don't have this hang problem anymore.
Comment 115 Diego Viola 2016-10-06 16:31:09 UTC
(In reply to Miguel A. Vallejo from comment #112)
> Debian Jessie + Backports on Intel E5700 CPU.
> 
> 
> 
> cat /var/log/Xorg.0.log | grep Loading
> [    32.353] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
> [    33.163] (II) Loading /usr/lib/xorg/modules/drivers/modesetting_drv.so
> [    33.486] (II) Loading sub module "fb"
> [    33.486] (II) Loading /usr/lib/xorg/modules/libfb.so
> [    33.749] (II) Loading sub module "shadow"
> [    33.749] (II) Loading /usr/lib/xorg/modules/libshadow.so
> [    39.952] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
> 
> 
> 
> cat /var/log/Xorg.0.log | grep DRI
> [    33.941] (II) AIGLX: Screen 0 is not DRI2 capable                       
> 
> [    39.299] (II) GLX: Initialized DRISWRAST GL provider for screen 0 
> 
> 
> 
> glxinfo | grep OpenGL
> OpenGL vendor string: VMware, Inc.
> OpenGL renderer string: Gallium 0.4 on llvmpipe (LLVM 3.8, 128 bits)
> OpenGL version string: 3.0 Mesa 12.0.3
> OpenGL shading language version string: 1.30
> OpenGL context flags: (none)
> OpenGL extensions:
> 
> 
> 
> Maybe some missing package / config file?

modesetting/glamor should only be usable with a recent enough stack (mesa, linux kernel, xorg server).

Not sure what Debian is lacking here.
Comment 116 Miguel A. Vallejo 2016-10-06 16:34:41 UTC
I'm using kernel 4.7, Mesa 12 and xorg 1.7

I can't figure out what is missing.
Comment 117 Diego Viola 2016-10-06 16:48:04 UTC
(In reply to Miguel A. Vallejo from comment #116)
> I'm using kernel 4.7, Mesa 12 and xorg 1.7
> 
> I can't figure out what is missing.

I'd try at least xorg-server 1.18 and make sure it's compiled with --enable-glamor.

Does Mesa needs something specific for glamor/modesetting to work?

Any ideas?
Comment 118 Diego Viola 2016-10-06 17:00:16 UTC
(In reply to Miguel A. Vallejo from comment #116)
> I'm using kernel 4.7, Mesa 12 and xorg 1.7
> 
> I can't figure out what is missing.

Why don't you try sid or testing? I heard that's using modesetting by default.
Comment 119 Miguel A. Vallejo 2016-10-06 17:14:00 UTC
Because testing and sid are using the very same versions I'm using right now. Anyway, the bug still exists and it is located in the kernel.

This bug is more than 3 years old and it seems nobody wants to fix it. I suffered it all these years. I'm sooo tired of being bitten by it... I wonder what is the point to report bugs if nobody cares of them.
Comment 120 Diego Viola 2016-10-06 17:31:28 UTC
(In reply to Miguel A. Vallejo from comment #119)
> Because testing and sid are using the very same versions I'm using right
> now. Anyway, the bug still exists and it is located in the kernel.
> 
> This bug is more than 3 years old and it seems nobody wants to fix it. I
> suffered it all these years. I'm sooo tired of being bitten by it... I
> wonder what is the point to report bugs if nobody cares of them.

Yes, I realize it's a bug in the kernel, and it sucks nobody is doing anything about them.

What I'm saying is that maybe you'll be able to alleviate by using modesetting/glamor as it probably uses different functions than xf86-video-intel.

Although that is more of a workaround right now, and it has worked for me.
Comment 121 Diego Viola 2016-10-06 18:47:01 UTC
(In reply to Miguel A. Vallejo from comment #119)
> Because testing and sid are using the very same versions I'm using right
> now. Anyway, the bug still exists and it is located in the kernel.
> 
> This bug is more than 3 years old and it seems nobody wants to fix it. I
> suffered it all these years. I'm sooo tired of being bitten by it... I
> wonder what is the point to report bugs if nobody cares of them.

Have you tried doing a git bisect of the kernel? Is this problem affecting only a few versions of the kernel? Maybe you can start by helping this way.
Comment 122 Miguel A. Vallejo 2016-10-06 19:57:50 UTC
The problem is is every kernel since 3.13 - 3.12 or maybe earlier. 

The main problem here is to assume a Linux user is a programmer: I really have no idea how to do a kernel bisect, I have never used git, and I have never programmed in Linux. That's the reason the only thing I can do is to post kernel logs.
Comment 123 Jani Nikula 2016-10-07 08:04:26 UTC
(In reply to Miguel A. Vallejo from comment #122)
> The main problem here is to assume a Linux user is a programmer: I really
> have no idea how to do a kernel bisect, I have never used git, and I have
> never programmed in Linux. That's the reason the only thing I can do is to
> post kernel logs.

FWIW, this upstream bugzilla is mostly intended for people who can do all of those things. This is generally not an end user support forum.
Comment 124 Miguel A. Vallejo 2016-10-07 10:30:10 UTC
So you prefer not to know about bugs and real scenarios cases and only hear from people able to solve the bugs by themselves. Nice. I will not waste anymore time in reporting bugs.
Comment 125 Jani Nikula 2016-10-07 11:26:51 UTC
(In reply to Miguel A. Vallejo from comment #124)
> So you prefer not to know about bugs and real scenarios cases and only hear
> from people able to solve the bugs by themselves. Nice. I will not waste
> anymore time in reporting bugs.

Look, this is a channel for you to deal with a limited pool of developers directly. You'd never be able to get in touch with Windows or OS X kernel developers as an end user. Your complaint in comment #122 is that the assumptions/expectations here are high. But the users outnumber the developers by a ratio of, I don't know, 1:1000000. It just mostly is the case that we can't help you if you can't help us. Is that unreasonable?
Comment 126 caicai 2016-11-14 01:45:08 UTC
hi ,I think I had already solved, have been tested for 3 days, not hanging to death, the same test before will be out within 15 minutes.I also use the function of DRI, performance is little.

I added /etc/X11/xorg.conf.d/20-intel.conf
Section "Device"
Identifier "Intel Graphics"
Driver "intel"
Option "DRI" "True"
Option "TearFree" "true"
#Option "AccelMethod" "sna"
Option "VSync"         "False"
Option "PageFlip"      "False"
Option "RelaxedFencing" "False"
Option "SwapbuffersWait" "False"
EndSection

and my kernel cmd parameters: 
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.13.0-49-generic root=UUID=7ea7f693-5856-4b3d-9271-55a9061950e1 ro mem=2G i915.semaphores=1 intel_idle.max_cstate=1 i915.enable_rc6=0 

But Dmesg info when there also with { [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... render ring idle } again , but the system did not hang dead, I don't know why, which friends with same problem can try that again.
Comment 127 caicai 2016-11-14 05:35:54 UTC
(In reply to caicai from comment #126)
> hi ,I think I had already solved, have been tested for 3 days, not hanging
> to death, the same test before will be out within 15 minutes.I also use the
> function of DRI, performance is little.
> 
> I added /etc/X11/xorg.conf.d/20-intel.conf
> Section "Device"
> Identifier "Intel Graphics"
> Driver "intel"
> Option "DRI" "True"
> Option "TearFree" "true"
> #Option "AccelMethod" "sna"
> Option "VSync"         "False"
> Option "PageFlip"      "False"
> Option "RelaxedFencing" "False"
> Option "SwapbuffersWait" "False"
> EndSection
> 
> and my kernel cmd parameters: 
> Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.13.0-49-generic
> root=UUID=7ea7f693-5856-4b3d-9271-55a9061950e1 ro mem=2G i915.semaphores=1
> intel_idle.max_cstate=1 i915.enable_rc6=0 
> 
> But Dmesg info when there also with { [drm:i915_hangcheck_elapsed] *ERROR*
> Hangcheck timer elapsed... render ring idle } again , but the system did not
> hang dead, I don't know why, which friends with same problem can try that
> again.
Comment 128 caicai 2016-11-14 05:41:50 UTC
I try to use in the kernel cmd add i915. Enable_hangcheck, but the system would have system 'hangs' in 15 minutes.I don't know any reason yet.
Comment 129 Jani Saarinen 2016-12-09 09:31:39 UTC
Any updates if still valid?
Comment 130 Jani Saarinen 2017-05-22 09:22:36 UTC
Closing as no comments in few months.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.